import { buildTx } from "../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgSend, MsgMultiSend } from "./tx";
export const createSend = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgSend.typeUrl,
    encoders: toEncoders(MsgSend),
    converters: toConverters(MsgSend),
    deps: [MsgSend]
});
export const createMultiSend = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgMultiSend.typeUrl,
    encoders: toEncoders(MsgMultiSend),
    converters: toConverters(MsgMultiSend),
    deps: [MsgMultiSend]
});
