import { LCDClient } from "@cosmology/lcd";
import { GetAuthnDescriptorRequest, GetAuthnDescriptorResponseSDKType, GetChainDescriptorRequest, GetChainDescriptorResponseSDKType, GetCodecDescriptorRequest, GetCodecDescriptorResponseSDKType, GetConfigurationDescriptorRequest, GetConfigurationDescriptorResponseSDKType, GetQueryServicesDescriptorRequest, GetQueryServicesDescriptorResponseSDKType, GetTxDescriptorRequest, GetTxDescriptorResponseSDKType } from "./reflection";
export declare class LCDQueryClient {
    req: LCDClient;
    constructor({ requestClient }: {
        requestClient: LCDClient;
    });
    getAuthnDescriptor: (_params?: GetAuthnDescriptorRequest) => Promise<GetAuthnDescriptorResponseSDKType>;
    getChainDescriptor: (_params?: GetChainDescriptorRequest) => Promise<GetChainDescriptorResponseSDKType>;
    getCodecDescriptor: (_params?: GetCodecDescriptorRequest) => Promise<GetCodecDescriptorResponseSDKType>;
    getConfigurationDescriptor: (_params?: GetConfigurationDescriptorRequest) => Promise<GetConfigurationDescriptorResponseSDKType>;
    getQueryServicesDescriptor: (_params?: GetQueryServicesDescriptorRequest) => Promise<GetQueryServicesDescriptorResponseSDKType>;
    getTxDescriptor: (_params?: GetTxDescriptorRequest) => Promise<GetTxDescriptorResponseSDKType>;
}
