import { Rpc } from "../helpers";
export declare const createCosmicRPCQueryClient: ({ rpc }: {
    rpc: Rpc;
}) => Promise<{
    cosmos: {
        bank: {
            v1beta1: import("./bank/v1beta1/query.rpc.Query").QueryClientImpl;
        };
        gov: {
            v1beta1: import("./gov/v1beta1/query.rpc.Query").QueryClientImpl;
        };
    };
}>;
