import { Rpc } from "../helpers";
export declare const createCosmicRPCTxClient: ({ rpc }: {
    rpc: Rpc;
}) => Promise<{
    cosmos: {
        bank: {
            v1beta1: import("./bank/v1beta1/tx.rpc.msg").MsgClientImpl;
        };
        gov: {
            v1beta1: import("./gov/v1beta1/tx.rpc.msg").MsgClientImpl;
        };
    };
}>;
