import { QueryProposalRequest, QueryProposalResponse, QueryProposalsRequest, QueryProposalsResponse, QueryVoteRequest, QueryVoteResponse, QueryVotesRequest, QueryVotesResponse, QueryParamsRequest, QueryParamsResponse, QueryDepositRequest, QueryDepositResponse, QueryDepositsRequest, QueryDepositsResponse, QueryTallyResultRequest, QueryTallyResultResponse } from "./query";
export declare const useGetProposal: <TData = QueryProposalResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryProposalRequest, QueryProposalResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetProposals: <TData = QueryProposalsResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryProposalsRequest, QueryProposalsResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useHelperVote: <TData = QueryVoteResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryVoteRequest, QueryVoteResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useHelperVotes: <TData = QueryVotesResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryVotesRequest, QueryVotesResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetParams: <TData = QueryParamsResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryParamsRequest, QueryParamsResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useCheckDeposit: <TData = QueryDepositResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryDepositRequest, QueryDepositResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGoOverDeposits: <TData = QueryDepositsResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryDepositsRequest, QueryDepositsResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetTallyResult: <TData = QueryTallyResultResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryTallyResultRequest, QueryTallyResultResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
