import { SigningClientResolver } from "../../../helper-func-types";
import { MsgCreateValidator, MsgEditValidator, MsgDelegate, MsgBeginRedelegate, MsgUndelegate } from "./tx";
export declare const createCreateValidator: (clientResolver?: SigningClientResolver) => (signerAddress: string, message: MsgCreateValidator, fee: import("../../../helper-func-types").StdFee | "auto", memo: string) => Promise<import("../../../helper-func-types").DeliverTxResponse>;
export declare const createEditValidator: (clientResolver?: SigningClientResolver) => (signerAddress: string, message: MsgEditValidator, fee: import("../../../helper-func-types").StdFee | "auto", memo: string) => Promise<import("../../../helper-func-types").DeliverTxResponse>;
export declare const createDelegate: (clientResolver?: SigningClientResolver) => (signerAddress: string, message: MsgDelegate, fee: import("../../../helper-func-types").StdFee | "auto", memo: string) => Promise<import("../../../helper-func-types").DeliverTxResponse>;
export declare const createBeginRedelegate: (clientResolver?: SigningClientResolver) => (signerAddress: string, message: MsgBeginRedelegate, fee: import("../../../helper-func-types").StdFee | "auto", memo: string) => Promise<import("../../../helper-func-types").DeliverTxResponse>;
export declare const createUndelegate: (clientResolver?: SigningClientResolver) => (signerAddress: string, message: MsgUndelegate, fee: import("../../../helper-func-types").StdFee | "auto", memo: string) => Promise<import("../../../helper-func-types").DeliverTxResponse>;
