import { buildUseMutation } from "../../../react-query";
import { createCreateValidator, createEditValidator, createDelegate, createBeginRedelegate, createUndelegate } from "./tx.rpc.func";
export const useCreateValidator = buildUseMutation({
    builderMutationFn: createCreateValidator
});
export const useEditValidator = buildUseMutation({
    builderMutationFn: createEditValidator
});
export const useDelegate = buildUseMutation({
    builderMutationFn: createDelegate
});
export const useBeginRedelegate = buildUseMutation({
    builderMutationFn: createBeginRedelegate
});
export const useUndelegate = buildUseMutation({
    builderMutationFn: createUndelegate
});
