import { MsgSubmitEvidence } from "./tx";
export class MsgClientImpl {
    rpc;
    constructor(rpc) {
        this.rpc = rpc;
    }
    /* SubmitEvidence submits an arbitrary Evidence of misbehavior such as equivocation or
     counterfactual signing. */
    submitEvidence = async (signerAddress, message, fee = "auto", memo = "") => {
        const data = [{
                typeUrl: MsgSubmitEvidence.typeUrl,
                value: message
            }];
        return this.rpc.signAndBroadcast(signerAddress, data, fee, memo);
    };
}
export const createClientImpl = (rpc) => {
    return new MsgClientImpl(rpc);
};
