import { QueryParamsResponse } from "./query";
export class LCDQueryClient {
    req;
    constructor({ requestClient }) {
        this.req = requestClient;
    }
    /* Params defines a gRPC query method that returns the ibc-rate-limit module's
     parameters. */
    params = async (_params = {}) => {
        const endpoint = `osmosis/ibc-rate-limit/v1beta1/params`;
        return QueryParamsResponse.fromSDKJSON(await this.req.get(endpoint));
    };
}
