import * as _153 from "./claims/v1/claims";
import * as _154 from "./claims/v1/genesis";
import * as _155 from "./claims/v1/query";
import * as _156 from "./epochs/v1/genesis";
import * as _157 from "./epochs/v1/query";
import * as _158 from "./erc20/v1/erc20";
import * as _159 from "./erc20/v1/genesis";
import * as _160 from "./erc20/v1/query";
import * as _161 from "./erc20/v1/tx";
import * as _162 from "./fees/v1/fees";
import * as _163 from "./fees/v1/genesis";
import * as _164 from "./fees/v1/query";
import * as _165 from "./fees/v1/tx";
import * as _166 from "./incentives/v1/genesis";
import * as _167 from "./incentives/v1/incentives";
import * as _168 from "./incentives/v1/query";
import * as _169 from "./inflation/v1/genesis";
import * as _170 from "./inflation/v1/inflation";
import * as _171 from "./inflation/v1/query";
import * as _172 from "./recovery/v1/genesis";
import * as _173 from "./recovery/v1/query";
import * as _174 from "./vesting/v1/query";
import * as _175 from "./vesting/v1/tx";
import * as _176 from "./vesting/v1/vesting";
import * as _450 from "./claims/v1/query.lcd";
import * as _451 from "./epochs/v1/query.lcd";
import * as _452 from "./erc20/v1/query.lcd";
import * as _453 from "./fees/v1/query.lcd";
import * as _454 from "./incentives/v1/query.lcd";
import * as _455 from "./inflation/v1/query.lcd";
import * as _456 from "./recovery/v1/query.lcd";
import * as _457 from "./vesting/v1/query.lcd";
import * as _458 from "./claims/v1/query.rpc.Query";
import * as _459 from "./epochs/v1/query.rpc.Query";
import * as _460 from "./erc20/v1/query.rpc.Query";
import * as _461 from "./fees/v1/query.rpc.Query";
import * as _462 from "./incentives/v1/query.rpc.Query";
import * as _463 from "./inflation/v1/query.rpc.Query";
import * as _464 from "./recovery/v1/query.rpc.Query";
import * as _465 from "./vesting/v1/query.rpc.Query";
import * as _466 from "./erc20/v1/tx.rpc.msg";
import * as _467 from "./fees/v1/tx.rpc.msg";
import * as _468 from "./vesting/v1/tx.rpc.msg";
export declare namespace evmos {
    namespace claims {
        const v1: {
            QueryClientImpl: typeof _458.QueryClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _458.QueryClientImpl;
            LCDQueryClient: typeof _450.LCDQueryClient;
            protobufPackage: "evmos.claims.v1";
            QueryTotalUnclaimedRequest: {
                typeUrl: string;
                is(o: any): o is _155.QueryTotalUnclaimedRequest;
                isSDK(o: any): o is _155.QueryTotalUnclaimedRequestSDKType;
                isAmino(o: any): o is _155.QueryTotalUnclaimedRequestAmino;
                encode(_: _155.QueryTotalUnclaimedRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryTotalUnclaimedRequest;
                fromJSON(_: any): _155.QueryTotalUnclaimedRequest;
                toJSON(_: _155.QueryTotalUnclaimedRequest): import("..").JsonSafe<_155.QueryTotalUnclaimedRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_155.QueryTotalUnclaimedRequest>): _155.QueryTotalUnclaimedRequest;
                fromSDK(_: _155.QueryTotalUnclaimedRequestSDKType): _155.QueryTotalUnclaimedRequest;
                fromSDKJSON(_: any): _155.QueryTotalUnclaimedRequestSDKType;
                toSDK(_: _155.QueryTotalUnclaimedRequest): _155.QueryTotalUnclaimedRequestSDKType;
                fromAmino(_: _155.QueryTotalUnclaimedRequestAmino): _155.QueryTotalUnclaimedRequest;
                toAmino(_: _155.QueryTotalUnclaimedRequest): _155.QueryTotalUnclaimedRequestAmino;
                fromAminoMsg(object: _155.QueryTotalUnclaimedRequestAminoMsg): _155.QueryTotalUnclaimedRequest;
                fromProtoMsg(message: _155.QueryTotalUnclaimedRequestProtoMsg): _155.QueryTotalUnclaimedRequest;
                toProto(message: _155.QueryTotalUnclaimedRequest): Uint8Array;
                toProtoMsg(message: _155.QueryTotalUnclaimedRequest): _155.QueryTotalUnclaimedRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryTotalUnclaimedResponse: {
                typeUrl: string;
                is(o: any): o is _155.QueryTotalUnclaimedResponse;
                isSDK(o: any): o is _155.QueryTotalUnclaimedResponseSDKType;
                isAmino(o: any): o is _155.QueryTotalUnclaimedResponseAmino;
                encode(message: _155.QueryTotalUnclaimedResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryTotalUnclaimedResponse;
                fromJSON(object: any): _155.QueryTotalUnclaimedResponse;
                toJSON(message: _155.QueryTotalUnclaimedResponse): import("..").JsonSafe<_155.QueryTotalUnclaimedResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_155.QueryTotalUnclaimedResponse>): _155.QueryTotalUnclaimedResponse;
                fromSDK(object: _155.QueryTotalUnclaimedResponseSDKType): _155.QueryTotalUnclaimedResponse;
                fromSDKJSON(object: any): _155.QueryTotalUnclaimedResponseSDKType;
                toSDK(message: _155.QueryTotalUnclaimedResponse): _155.QueryTotalUnclaimedResponseSDKType;
                fromAmino(object: _155.QueryTotalUnclaimedResponseAmino): _155.QueryTotalUnclaimedResponse;
                toAmino(message: _155.QueryTotalUnclaimedResponse): _155.QueryTotalUnclaimedResponseAmino;
                fromAminoMsg(object: _155.QueryTotalUnclaimedResponseAminoMsg): _155.QueryTotalUnclaimedResponse;
                fromProtoMsg(message: _155.QueryTotalUnclaimedResponseProtoMsg): _155.QueryTotalUnclaimedResponse;
                toProto(message: _155.QueryTotalUnclaimedResponse): Uint8Array;
                toProtoMsg(message: _155.QueryTotalUnclaimedResponse): _155.QueryTotalUnclaimedResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsRequest: {
                typeUrl: string;
                is(o: any): o is _155.QueryParamsRequest;
                isSDK(o: any): o is _155.QueryParamsRequestSDKType;
                isAmino(o: any): o is _155.QueryParamsRequestAmino;
                encode(_: _155.QueryParamsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryParamsRequest;
                fromJSON(_: any): _155.QueryParamsRequest;
                toJSON(_: _155.QueryParamsRequest): import("..").JsonSafe<_155.QueryParamsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_155.QueryParamsRequest>): _155.QueryParamsRequest;
                fromSDK(_: _155.QueryParamsRequestSDKType): _155.QueryParamsRequest;
                fromSDKJSON(_: any): _155.QueryParamsRequestSDKType;
                toSDK(_: _155.QueryParamsRequest): _155.QueryParamsRequestSDKType;
                fromAmino(_: _155.QueryParamsRequestAmino): _155.QueryParamsRequest;
                toAmino(_: _155.QueryParamsRequest): _155.QueryParamsRequestAmino;
                fromAminoMsg(object: _155.QueryParamsRequestAminoMsg): _155.QueryParamsRequest;
                fromProtoMsg(message: _155.QueryParamsRequestProtoMsg): _155.QueryParamsRequest;
                toProto(message: _155.QueryParamsRequest): Uint8Array;
                toProtoMsg(message: _155.QueryParamsRequest): _155.QueryParamsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsResponse: {
                typeUrl: string;
                is(o: any): o is _155.QueryParamsResponse;
                isSDK(o: any): o is _155.QueryParamsResponseSDKType;
                isAmino(o: any): o is _155.QueryParamsResponseAmino;
                encode(message: _155.QueryParamsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryParamsResponse;
                fromJSON(object: any): _155.QueryParamsResponse;
                toJSON(message: _155.QueryParamsResponse): import("..").JsonSafe<_155.QueryParamsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_155.QueryParamsResponse>): _155.QueryParamsResponse;
                fromSDK(object: _155.QueryParamsResponseSDKType): _155.QueryParamsResponse;
                fromSDKJSON(object: any): _155.QueryParamsResponseSDKType;
                toSDK(message: _155.QueryParamsResponse): _155.QueryParamsResponseSDKType;
                fromAmino(object: _155.QueryParamsResponseAmino): _155.QueryParamsResponse;
                toAmino(message: _155.QueryParamsResponse): _155.QueryParamsResponseAmino;
                fromAminoMsg(object: _155.QueryParamsResponseAminoMsg): _155.QueryParamsResponse;
                fromProtoMsg(message: _155.QueryParamsResponseProtoMsg): _155.QueryParamsResponse;
                toProto(message: _155.QueryParamsResponse): Uint8Array;
                toProtoMsg(message: _155.QueryParamsResponse): _155.QueryParamsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryClaimsRecordsRequest: {
                typeUrl: string;
                is(o: any): o is _155.QueryClaimsRecordsRequest;
                isSDK(o: any): o is _155.QueryClaimsRecordsRequestSDKType;
                isAmino(o: any): o is _155.QueryClaimsRecordsRequestAmino;
                encode(message: _155.QueryClaimsRecordsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryClaimsRecordsRequest;
                fromJSON(object: any): _155.QueryClaimsRecordsRequest;
                toJSON(message: _155.QueryClaimsRecordsRequest): import("..").JsonSafe<_155.QueryClaimsRecordsRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_155.QueryClaimsRecordsRequest>): _155.QueryClaimsRecordsRequest;
                fromSDK(object: _155.QueryClaimsRecordsRequestSDKType): _155.QueryClaimsRecordsRequest;
                fromSDKJSON(object: any): _155.QueryClaimsRecordsRequestSDKType;
                toSDK(message: _155.QueryClaimsRecordsRequest): _155.QueryClaimsRecordsRequestSDKType;
                fromAmino(object: _155.QueryClaimsRecordsRequestAmino): _155.QueryClaimsRecordsRequest;
                toAmino(message: _155.QueryClaimsRecordsRequest): _155.QueryClaimsRecordsRequestAmino;
                fromAminoMsg(object: _155.QueryClaimsRecordsRequestAminoMsg): _155.QueryClaimsRecordsRequest;
                fromProtoMsg(message: _155.QueryClaimsRecordsRequestProtoMsg): _155.QueryClaimsRecordsRequest;
                toProto(message: _155.QueryClaimsRecordsRequest): Uint8Array;
                toProtoMsg(message: _155.QueryClaimsRecordsRequest): _155.QueryClaimsRecordsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryClaimsRecordsResponse: {
                typeUrl: string;
                is(o: any): o is _155.QueryClaimsRecordsResponse;
                isSDK(o: any): o is _155.QueryClaimsRecordsResponseSDKType;
                isAmino(o: any): o is _155.QueryClaimsRecordsResponseAmino;
                encode(message: _155.QueryClaimsRecordsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryClaimsRecordsResponse;
                fromJSON(object: any): _155.QueryClaimsRecordsResponse;
                toJSON(message: _155.QueryClaimsRecordsResponse): import("..").JsonSafe<_155.QueryClaimsRecordsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_155.QueryClaimsRecordsResponse>): _155.QueryClaimsRecordsResponse;
                fromSDK(object: _155.QueryClaimsRecordsResponseSDKType): _155.QueryClaimsRecordsResponse;
                fromSDKJSON(object: any): _155.QueryClaimsRecordsResponseSDKType;
                toSDK(message: _155.QueryClaimsRecordsResponse): _155.QueryClaimsRecordsResponseSDKType;
                fromAmino(object: _155.QueryClaimsRecordsResponseAmino): _155.QueryClaimsRecordsResponse;
                toAmino(message: _155.QueryClaimsRecordsResponse): _155.QueryClaimsRecordsResponseAmino;
                fromAminoMsg(object: _155.QueryClaimsRecordsResponseAminoMsg): _155.QueryClaimsRecordsResponse;
                fromProtoMsg(message: _155.QueryClaimsRecordsResponseProtoMsg): _155.QueryClaimsRecordsResponse;
                toProto(message: _155.QueryClaimsRecordsResponse): Uint8Array;
                toProtoMsg(message: _155.QueryClaimsRecordsResponse): _155.QueryClaimsRecordsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryClaimsRecordRequest: {
                typeUrl: string;
                is(o: any): o is _155.QueryClaimsRecordRequest;
                isSDK(o: any): o is _155.QueryClaimsRecordRequestSDKType;
                isAmino(o: any): o is _155.QueryClaimsRecordRequestAmino;
                encode(message: _155.QueryClaimsRecordRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryClaimsRecordRequest;
                fromJSON(object: any): _155.QueryClaimsRecordRequest;
                toJSON(message: _155.QueryClaimsRecordRequest): import("..").JsonSafe<_155.QueryClaimsRecordRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_155.QueryClaimsRecordRequest>): _155.QueryClaimsRecordRequest;
                fromSDK(object: _155.QueryClaimsRecordRequestSDKType): _155.QueryClaimsRecordRequest;
                fromSDKJSON(object: any): _155.QueryClaimsRecordRequestSDKType;
                toSDK(message: _155.QueryClaimsRecordRequest): _155.QueryClaimsRecordRequestSDKType;
                fromAmino(object: _155.QueryClaimsRecordRequestAmino): _155.QueryClaimsRecordRequest;
                toAmino(message: _155.QueryClaimsRecordRequest): _155.QueryClaimsRecordRequestAmino;
                fromAminoMsg(object: _155.QueryClaimsRecordRequestAminoMsg): _155.QueryClaimsRecordRequest;
                fromProtoMsg(message: _155.QueryClaimsRecordRequestProtoMsg): _155.QueryClaimsRecordRequest;
                toProto(message: _155.QueryClaimsRecordRequest): Uint8Array;
                toProtoMsg(message: _155.QueryClaimsRecordRequest): _155.QueryClaimsRecordRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryClaimsRecordResponse: {
                typeUrl: string;
                is(o: any): o is _155.QueryClaimsRecordResponse;
                isSDK(o: any): o is _155.QueryClaimsRecordResponseSDKType;
                isAmino(o: any): o is _155.QueryClaimsRecordResponseAmino;
                encode(message: _155.QueryClaimsRecordResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _155.QueryClaimsRecordResponse;
                fromJSON(object: any): _155.QueryClaimsRecordResponse;
                toJSON(message: _155.QueryClaimsRecordResponse): import("..").JsonSafe<_155.QueryClaimsRecordResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_155.QueryClaimsRecordResponse>): _155.QueryClaimsRecordResponse;
                fromSDK(object: _155.QueryClaimsRecordResponseSDKType): _155.QueryClaimsRecordResponse;
                fromSDKJSON(object: any): _155.QueryClaimsRecordResponseSDKType;
                toSDK(message: _155.QueryClaimsRecordResponse): _155.QueryClaimsRecordResponseSDKType;
                fromAmino(object: _155.QueryClaimsRecordResponseAmino): _155.QueryClaimsRecordResponse;
                toAmino(message: _155.QueryClaimsRecordResponse): _155.QueryClaimsRecordResponseAmino;
                fromAminoMsg(object: _155.QueryClaimsRecordResponseAminoMsg): _155.QueryClaimsRecordResponse;
                fromProtoMsg(message: _155.QueryClaimsRecordResponseProtoMsg): _155.QueryClaimsRecordResponse;
                toProto(message: _155.QueryClaimsRecordResponse): Uint8Array;
                toProtoMsg(message: _155.QueryClaimsRecordResponse): _155.QueryClaimsRecordResponseProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _154.GenesisState;
                isSDK(o: any): o is _154.GenesisStateSDKType;
                isAmino(o: any): o is _154.GenesisStateAmino;
                encode(message: _154.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _154.GenesisState;
                fromJSON(object: any): _154.GenesisState;
                toJSON(message: _154.GenesisState): import("..").JsonSafe<_154.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_154.GenesisState>): _154.GenesisState;
                fromSDK(object: _154.GenesisStateSDKType): _154.GenesisState;
                fromSDKJSON(object: any): _154.GenesisStateSDKType;
                toSDK(message: _154.GenesisState): _154.GenesisStateSDKType;
                fromAmino(object: _154.GenesisStateAmino): _154.GenesisState;
                toAmino(message: _154.GenesisState): _154.GenesisStateAmino;
                fromAminoMsg(object: _154.GenesisStateAminoMsg): _154.GenesisState;
                fromProtoMsg(message: _154.GenesisStateProtoMsg): _154.GenesisState;
                toProto(message: _154.GenesisState): Uint8Array;
                toProtoMsg(message: _154.GenesisState): _154.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
            Params: {
                typeUrl: string;
                is(o: any): o is _154.Params;
                isSDK(o: any): o is _154.ParamsSDKType;
                isAmino(o: any): o is _154.ParamsAmino;
                encode(message: _154.Params, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _154.Params;
                fromJSON(object: any): _154.Params;
                toJSON(message: _154.Params): import("..").JsonSafe<_154.Params>;
                fromPartial(object: import("../helpers").DeepPartial<_154.Params>): _154.Params;
                fromSDK(object: _154.ParamsSDKType): _154.Params;
                fromSDKJSON(object: any): _154.ParamsSDKType;
                toSDK(message: _154.Params): _154.ParamsSDKType;
                fromAmino(object: _154.ParamsAmino): _154.Params;
                toAmino(message: _154.Params): _154.ParamsAmino;
                fromAminoMsg(object: _154.ParamsAminoMsg): _154.Params;
                fromProtoMsg(message: _154.ParamsProtoMsg): _154.Params;
                toProto(message: _154.Params): Uint8Array;
                toProtoMsg(message: _154.Params): _154.ParamsProtoMsg;
                registerTypeUrl(): void;
            };
            actionFromJSON(object: any): _153.Action;
            actionToJSON(object: _153.Action): string;
            Action: typeof _153.Action;
            ActionSDKType: typeof _153.Action;
            ActionAmino: typeof _153.Action;
            Claim: {
                typeUrl: string;
                is(o: any): o is _153.Claim;
                isSDK(o: any): o is _153.ClaimSDKType;
                isAmino(o: any): o is _153.ClaimAmino;
                encode(message: _153.Claim, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _153.Claim;
                fromJSON(object: any): _153.Claim;
                toJSON(message: _153.Claim): import("..").JsonSafe<_153.Claim>;
                fromPartial(object: import("../helpers").DeepPartial<_153.Claim>): _153.Claim;
                fromSDK(object: _153.ClaimSDKType): _153.Claim;
                fromSDKJSON(object: any): _153.ClaimSDKType;
                toSDK(message: _153.Claim): _153.ClaimSDKType;
                fromAmino(object: _153.ClaimAmino): _153.Claim;
                toAmino(message: _153.Claim): _153.ClaimAmino;
                fromAminoMsg(object: _153.ClaimAminoMsg): _153.Claim;
                fromProtoMsg(message: _153.ClaimProtoMsg): _153.Claim;
                toProto(message: _153.Claim): Uint8Array;
                toProtoMsg(message: _153.Claim): _153.ClaimProtoMsg;
                registerTypeUrl(): void;
            };
            ClaimsRecordAddress: {
                typeUrl: string;
                is(o: any): o is _153.ClaimsRecordAddress;
                isSDK(o: any): o is _153.ClaimsRecordAddressSDKType;
                isAmino(o: any): o is _153.ClaimsRecordAddressAmino;
                encode(message: _153.ClaimsRecordAddress, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _153.ClaimsRecordAddress;
                fromJSON(object: any): _153.ClaimsRecordAddress;
                toJSON(message: _153.ClaimsRecordAddress): import("..").JsonSafe<_153.ClaimsRecordAddress>;
                fromPartial(object: import("../helpers").DeepPartial<_153.ClaimsRecordAddress>): _153.ClaimsRecordAddress;
                fromSDK(object: _153.ClaimsRecordAddressSDKType): _153.ClaimsRecordAddress;
                fromSDKJSON(object: any): _153.ClaimsRecordAddressSDKType;
                toSDK(message: _153.ClaimsRecordAddress): _153.ClaimsRecordAddressSDKType;
                fromAmino(object: _153.ClaimsRecordAddressAmino): _153.ClaimsRecordAddress;
                toAmino(message: _153.ClaimsRecordAddress): _153.ClaimsRecordAddressAmino;
                fromAminoMsg(object: _153.ClaimsRecordAddressAminoMsg): _153.ClaimsRecordAddress;
                fromProtoMsg(message: _153.ClaimsRecordAddressProtoMsg): _153.ClaimsRecordAddress;
                toProto(message: _153.ClaimsRecordAddress): Uint8Array;
                toProtoMsg(message: _153.ClaimsRecordAddress): _153.ClaimsRecordAddressProtoMsg;
                registerTypeUrl(): void;
            };
            ClaimsRecord: {
                typeUrl: string;
                is(o: any): o is _153.ClaimsRecord;
                isSDK(o: any): o is _153.ClaimsRecordSDKType;
                isAmino(o: any): o is _153.ClaimsRecordAmino;
                encode(message: _153.ClaimsRecord, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _153.ClaimsRecord;
                fromJSON(object: any): _153.ClaimsRecord;
                toJSON(message: _153.ClaimsRecord): import("..").JsonSafe<_153.ClaimsRecord>;
                fromPartial(object: import("../helpers").DeepPartial<_153.ClaimsRecord>): _153.ClaimsRecord;
                fromSDK(object: _153.ClaimsRecordSDKType): _153.ClaimsRecord;
                fromSDKJSON(object: any): _153.ClaimsRecordSDKType;
                toSDK(message: _153.ClaimsRecord): _153.ClaimsRecordSDKType;
                fromAmino(object: _153.ClaimsRecordAmino): _153.ClaimsRecord;
                toAmino(message: _153.ClaimsRecord): _153.ClaimsRecordAmino;
                fromAminoMsg(object: _153.ClaimsRecordAminoMsg): _153.ClaimsRecord;
                fromProtoMsg(message: _153.ClaimsRecordProtoMsg): _153.ClaimsRecord;
                toProto(message: _153.ClaimsRecord): Uint8Array;
                toProtoMsg(message: _153.ClaimsRecord): _153.ClaimsRecordProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace epochs {
        const v1: {
            QueryClientImpl: typeof _459.QueryClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _459.QueryClientImpl;
            LCDQueryClient: typeof _451.LCDQueryClient;
            protobufPackage: "evmos.epochs.v1";
            QueryEpochsInfoRequest: {
                typeUrl: string;
                is(o: any): o is _157.QueryEpochsInfoRequest;
                isSDK(o: any): o is _157.QueryEpochsInfoRequestSDKType;
                isAmino(o: any): o is _157.QueryEpochsInfoRequestAmino;
                encode(message: _157.QueryEpochsInfoRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _157.QueryEpochsInfoRequest;
                fromJSON(object: any): _157.QueryEpochsInfoRequest;
                toJSON(message: _157.QueryEpochsInfoRequest): import("..").JsonSafe<_157.QueryEpochsInfoRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_157.QueryEpochsInfoRequest>): _157.QueryEpochsInfoRequest;
                fromSDK(object: _157.QueryEpochsInfoRequestSDKType): _157.QueryEpochsInfoRequest;
                fromSDKJSON(object: any): _157.QueryEpochsInfoRequestSDKType;
                toSDK(message: _157.QueryEpochsInfoRequest): _157.QueryEpochsInfoRequestSDKType;
                fromAmino(object: _157.QueryEpochsInfoRequestAmino): _157.QueryEpochsInfoRequest;
                toAmino(message: _157.QueryEpochsInfoRequest): _157.QueryEpochsInfoRequestAmino;
                fromAminoMsg(object: _157.QueryEpochsInfoRequestAminoMsg): _157.QueryEpochsInfoRequest;
                fromProtoMsg(message: _157.QueryEpochsInfoRequestProtoMsg): _157.QueryEpochsInfoRequest;
                toProto(message: _157.QueryEpochsInfoRequest): Uint8Array;
                toProtoMsg(message: _157.QueryEpochsInfoRequest): _157.QueryEpochsInfoRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryEpochsInfoResponse: {
                typeUrl: string;
                is(o: any): o is _157.QueryEpochsInfoResponse;
                isSDK(o: any): o is _157.QueryEpochsInfoResponseSDKType;
                isAmino(o: any): o is _157.QueryEpochsInfoResponseAmino;
                encode(message: _157.QueryEpochsInfoResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _157.QueryEpochsInfoResponse;
                fromJSON(object: any): _157.QueryEpochsInfoResponse;
                toJSON(message: _157.QueryEpochsInfoResponse): import("..").JsonSafe<_157.QueryEpochsInfoResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_157.QueryEpochsInfoResponse>): _157.QueryEpochsInfoResponse;
                fromSDK(object: _157.QueryEpochsInfoResponseSDKType): _157.QueryEpochsInfoResponse;
                fromSDKJSON(object: any): _157.QueryEpochsInfoResponseSDKType;
                toSDK(message: _157.QueryEpochsInfoResponse): _157.QueryEpochsInfoResponseSDKType;
                fromAmino(object: _157.QueryEpochsInfoResponseAmino): _157.QueryEpochsInfoResponse;
                toAmino(message: _157.QueryEpochsInfoResponse): _157.QueryEpochsInfoResponseAmino;
                fromAminoMsg(object: _157.QueryEpochsInfoResponseAminoMsg): _157.QueryEpochsInfoResponse;
                fromProtoMsg(message: _157.QueryEpochsInfoResponseProtoMsg): _157.QueryEpochsInfoResponse;
                toProto(message: _157.QueryEpochsInfoResponse): Uint8Array;
                toProtoMsg(message: _157.QueryEpochsInfoResponse): _157.QueryEpochsInfoResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryCurrentEpochRequest: {
                typeUrl: string;
                is(o: any): o is _157.QueryCurrentEpochRequest;
                isSDK(o: any): o is _157.QueryCurrentEpochRequestSDKType;
                isAmino(o: any): o is _157.QueryCurrentEpochRequestAmino;
                encode(message: _157.QueryCurrentEpochRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _157.QueryCurrentEpochRequest;
                fromJSON(object: any): _157.QueryCurrentEpochRequest;
                toJSON(message: _157.QueryCurrentEpochRequest): import("..").JsonSafe<_157.QueryCurrentEpochRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_157.QueryCurrentEpochRequest>): _157.QueryCurrentEpochRequest;
                fromSDK(object: _157.QueryCurrentEpochRequestSDKType): _157.QueryCurrentEpochRequest;
                fromSDKJSON(object: any): _157.QueryCurrentEpochRequestSDKType;
                toSDK(message: _157.QueryCurrentEpochRequest): _157.QueryCurrentEpochRequestSDKType;
                fromAmino(object: _157.QueryCurrentEpochRequestAmino): _157.QueryCurrentEpochRequest;
                toAmino(message: _157.QueryCurrentEpochRequest): _157.QueryCurrentEpochRequestAmino;
                fromAminoMsg(object: _157.QueryCurrentEpochRequestAminoMsg): _157.QueryCurrentEpochRequest;
                fromProtoMsg(message: _157.QueryCurrentEpochRequestProtoMsg): _157.QueryCurrentEpochRequest;
                toProto(message: _157.QueryCurrentEpochRequest): Uint8Array;
                toProtoMsg(message: _157.QueryCurrentEpochRequest): _157.QueryCurrentEpochRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryCurrentEpochResponse: {
                typeUrl: string;
                is(o: any): o is _157.QueryCurrentEpochResponse;
                isSDK(o: any): o is _157.QueryCurrentEpochResponseSDKType;
                isAmino(o: any): o is _157.QueryCurrentEpochResponseAmino;
                encode(message: _157.QueryCurrentEpochResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _157.QueryCurrentEpochResponse;
                fromJSON(object: any): _157.QueryCurrentEpochResponse;
                toJSON(message: _157.QueryCurrentEpochResponse): import("..").JsonSafe<_157.QueryCurrentEpochResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_157.QueryCurrentEpochResponse>): _157.QueryCurrentEpochResponse;
                fromSDK(object: _157.QueryCurrentEpochResponseSDKType): _157.QueryCurrentEpochResponse;
                fromSDKJSON(object: any): _157.QueryCurrentEpochResponseSDKType;
                toSDK(message: _157.QueryCurrentEpochResponse): _157.QueryCurrentEpochResponseSDKType;
                fromAmino(object: _157.QueryCurrentEpochResponseAmino): _157.QueryCurrentEpochResponse;
                toAmino(message: _157.QueryCurrentEpochResponse): _157.QueryCurrentEpochResponseAmino;
                fromAminoMsg(object: _157.QueryCurrentEpochResponseAminoMsg): _157.QueryCurrentEpochResponse;
                fromProtoMsg(message: _157.QueryCurrentEpochResponseProtoMsg): _157.QueryCurrentEpochResponse;
                toProto(message: _157.QueryCurrentEpochResponse): Uint8Array;
                toProtoMsg(message: _157.QueryCurrentEpochResponse): _157.QueryCurrentEpochResponseProtoMsg;
                registerTypeUrl(): void;
            };
            EpochInfo: {
                typeUrl: string;
                is(o: any): o is _156.EpochInfo;
                isSDK(o: any): o is _156.EpochInfoSDKType;
                isAmino(o: any): o is _156.EpochInfoAmino;
                encode(message: _156.EpochInfo, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _156.EpochInfo;
                fromJSON(object: any): _156.EpochInfo;
                toJSON(message: _156.EpochInfo): import("..").JsonSafe<_156.EpochInfo>;
                fromPartial(object: import("../helpers").DeepPartial<_156.EpochInfo>): _156.EpochInfo;
                fromSDK(object: _156.EpochInfoSDKType): _156.EpochInfo;
                fromSDKJSON(object: any): _156.EpochInfoSDKType;
                toSDK(message: _156.EpochInfo): _156.EpochInfoSDKType;
                fromAmino(object: _156.EpochInfoAmino): _156.EpochInfo;
                toAmino(message: _156.EpochInfo): _156.EpochInfoAmino;
                fromAminoMsg(object: _156.EpochInfoAminoMsg): _156.EpochInfo;
                fromProtoMsg(message: _156.EpochInfoProtoMsg): _156.EpochInfo;
                toProto(message: _156.EpochInfo): Uint8Array;
                toProtoMsg(message: _156.EpochInfo): _156.EpochInfoProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _156.GenesisState;
                isSDK(o: any): o is _156.GenesisStateSDKType;
                isAmino(o: any): o is _156.GenesisStateAmino;
                encode(message: _156.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _156.GenesisState;
                fromJSON(object: any): _156.GenesisState;
                toJSON(message: _156.GenesisState): import("..").JsonSafe<_156.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_156.GenesisState>): _156.GenesisState;
                fromSDK(object: _156.GenesisStateSDKType): _156.GenesisState;
                fromSDKJSON(object: any): _156.GenesisStateSDKType;
                toSDK(message: _156.GenesisState): _156.GenesisStateSDKType;
                fromAmino(object: _156.GenesisStateAmino): _156.GenesisState;
                toAmino(message: _156.GenesisState): _156.GenesisStateAmino;
                fromAminoMsg(object: _156.GenesisStateAminoMsg): _156.GenesisState;
                fromProtoMsg(message: _156.GenesisStateProtoMsg): _156.GenesisState;
                toProto(message: _156.GenesisState): Uint8Array;
                toProtoMsg(message: _156.GenesisState): _156.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace erc20 {
        const v1: {
            MsgClientImpl: typeof _466.MsgClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _466.MsgClientImpl;
            QueryClientImpl: typeof _460.QueryClientImpl;
            LCDQueryClient: typeof _452.LCDQueryClient;
            registry: ReadonlyArray<[string, import("..").TelescopeGeneratedType<any, any, any>]>;
            load: (protoRegistry: import("@cosmjs/proto-signing").Registry) => void;
            MessageComposer: {
                encoded: {
                    convertCoin(value: _161.MsgConvertCoin): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                    convertERC20(value: _161.MsgConvertERC20): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                };
                withTypeUrl: {
                    convertCoin(value: _161.MsgConvertCoin): {
                        typeUrl: string;
                        value: _161.MsgConvertCoin;
                    };
                    convertERC20(value: _161.MsgConvertERC20): {
                        typeUrl: string;
                        value: _161.MsgConvertERC20;
                    };
                };
                toJSON: {
                    convertCoin(value: _161.MsgConvertCoin): {
                        typeUrl: string;
                        value: {
                            coin: {
                                denom: string;
                                amount: string;
                            };
                            receiver: string;
                            sender: string;
                        };
                    };
                    convertERC20(value: _161.MsgConvertERC20): {
                        typeUrl: string;
                        value: {
                            contractAddress: string;
                            amount: string;
                            receiver: string;
                            sender: string;
                        };
                    };
                };
                fromJSON: {
                    convertCoin(value: any): {
                        typeUrl: string;
                        value: _161.MsgConvertCoin;
                    };
                    convertERC20(value: any): {
                        typeUrl: string;
                        value: _161.MsgConvertERC20;
                    };
                };
                fromPartial: {
                    convertCoin(value: _161.MsgConvertCoin): {
                        typeUrl: string;
                        value: _161.MsgConvertCoin;
                    };
                    convertERC20(value: _161.MsgConvertERC20): {
                        typeUrl: string;
                        value: _161.MsgConvertERC20;
                    };
                };
            };
            AminoConverter: {
                "/evmos.erc20.v1.MsgConvertCoin": {
                    aminoType: string;
                    toAmino: (message: _161.MsgConvertCoin) => _161.MsgConvertCoinAmino;
                    fromAmino: (object: _161.MsgConvertCoinAmino) => _161.MsgConvertCoin;
                };
                "/evmos.erc20.v1.MsgConvertERC20": {
                    aminoType: string;
                    toAmino: (message: _161.MsgConvertERC20) => _161.MsgConvertERC20Amino;
                    fromAmino: (object: _161.MsgConvertERC20Amino) => _161.MsgConvertERC20;
                };
            };
            protobufPackage: "evmos.erc20.v1";
            MsgConvertCoin: {
                typeUrl: string;
                is(o: any): o is _161.MsgConvertCoin;
                isSDK(o: any): o is _161.MsgConvertCoinSDKType;
                isAmino(o: any): o is _161.MsgConvertCoinAmino;
                encode(message: _161.MsgConvertCoin, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _161.MsgConvertCoin;
                fromJSON(object: any): _161.MsgConvertCoin;
                toJSON(message: _161.MsgConvertCoin): import("..").JsonSafe<_161.MsgConvertCoin>;
                fromPartial(object: import("../helpers").DeepPartial<_161.MsgConvertCoin>): _161.MsgConvertCoin;
                fromSDK(object: _161.MsgConvertCoinSDKType): _161.MsgConvertCoin;
                fromSDKJSON(object: any): _161.MsgConvertCoinSDKType;
                toSDK(message: _161.MsgConvertCoin): _161.MsgConvertCoinSDKType;
                fromAmino(object: _161.MsgConvertCoinAmino): _161.MsgConvertCoin;
                toAmino(message: _161.MsgConvertCoin): _161.MsgConvertCoinAmino;
                fromAminoMsg(object: _161.MsgConvertCoinAminoMsg): _161.MsgConvertCoin;
                fromProtoMsg(message: _161.MsgConvertCoinProtoMsg): _161.MsgConvertCoin;
                toProto(message: _161.MsgConvertCoin): Uint8Array;
                toProtoMsg(message: _161.MsgConvertCoin): _161.MsgConvertCoinProtoMsg;
                registerTypeUrl(): void;
            };
            MsgConvertCoinResponse: {
                typeUrl: string;
                is(o: any): o is _161.MsgConvertCoinResponse;
                isSDK(o: any): o is _161.MsgConvertCoinResponseSDKType;
                isAmino(o: any): o is _161.MsgConvertCoinResponseAmino;
                encode(_: _161.MsgConvertCoinResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _161.MsgConvertCoinResponse;
                fromJSON(_: any): _161.MsgConvertCoinResponse;
                toJSON(_: _161.MsgConvertCoinResponse): import("..").JsonSafe<_161.MsgConvertCoinResponse>;
                fromPartial(_: import("../helpers").DeepPartial<_161.MsgConvertCoinResponse>): _161.MsgConvertCoinResponse;
                fromSDK(_: _161.MsgConvertCoinResponseSDKType): _161.MsgConvertCoinResponse;
                fromSDKJSON(_: any): _161.MsgConvertCoinResponseSDKType;
                toSDK(_: _161.MsgConvertCoinResponse): _161.MsgConvertCoinResponseSDKType;
                fromAmino(_: _161.MsgConvertCoinResponseAmino): _161.MsgConvertCoinResponse;
                toAmino(_: _161.MsgConvertCoinResponse): _161.MsgConvertCoinResponseAmino;
                fromAminoMsg(object: _161.MsgConvertCoinResponseAminoMsg): _161.MsgConvertCoinResponse;
                fromProtoMsg(message: _161.MsgConvertCoinResponseProtoMsg): _161.MsgConvertCoinResponse;
                toProto(message: _161.MsgConvertCoinResponse): Uint8Array;
                toProtoMsg(message: _161.MsgConvertCoinResponse): _161.MsgConvertCoinResponseProtoMsg;
                registerTypeUrl(): void;
            };
            MsgConvertERC20: {
                typeUrl: string;
                is(o: any): o is _161.MsgConvertERC20;
                isSDK(o: any): o is _161.MsgConvertERC20SDKType;
                isAmino(o: any): o is _161.MsgConvertERC20Amino;
                encode(message: _161.MsgConvertERC20, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _161.MsgConvertERC20;
                fromJSON(object: any): _161.MsgConvertERC20;
                toJSON(message: _161.MsgConvertERC20): import("..").JsonSafe<_161.MsgConvertERC20>;
                fromPartial(object: import("../helpers").DeepPartial<_161.MsgConvertERC20>): _161.MsgConvertERC20;
                fromSDK(object: _161.MsgConvertERC20SDKType): _161.MsgConvertERC20;
                fromSDKJSON(object: any): _161.MsgConvertERC20SDKType;
                toSDK(message: _161.MsgConvertERC20): _161.MsgConvertERC20SDKType;
                fromAmino(object: _161.MsgConvertERC20Amino): _161.MsgConvertERC20;
                toAmino(message: _161.MsgConvertERC20): _161.MsgConvertERC20Amino;
                fromAminoMsg(object: _161.MsgConvertERC20AminoMsg): _161.MsgConvertERC20;
                fromProtoMsg(message: _161.MsgConvertERC20ProtoMsg): _161.MsgConvertERC20;
                toProto(message: _161.MsgConvertERC20): Uint8Array;
                toProtoMsg(message: _161.MsgConvertERC20): _161.MsgConvertERC20ProtoMsg;
                registerTypeUrl(): void;
            };
            MsgConvertERC20Response: {
                typeUrl: string;
                is(o: any): o is _161.MsgConvertERC20Response;
                isSDK(o: any): o is _161.MsgConvertERC20ResponseSDKType;
                isAmino(o: any): o is _161.MsgConvertERC20ResponseAmino;
                encode(_: _161.MsgConvertERC20Response, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _161.MsgConvertERC20Response;
                fromJSON(_: any): _161.MsgConvertERC20Response;
                toJSON(_: _161.MsgConvertERC20Response): import("..").JsonSafe<_161.MsgConvertERC20Response>;
                fromPartial(_: import("../helpers").DeepPartial<_161.MsgConvertERC20Response>): _161.MsgConvertERC20Response;
                fromSDK(_: _161.MsgConvertERC20ResponseSDKType): _161.MsgConvertERC20Response;
                fromSDKJSON(_: any): _161.MsgConvertERC20ResponseSDKType;
                toSDK(_: _161.MsgConvertERC20Response): _161.MsgConvertERC20ResponseSDKType;
                fromAmino(_: _161.MsgConvertERC20ResponseAmino): _161.MsgConvertERC20Response;
                toAmino(_: _161.MsgConvertERC20Response): _161.MsgConvertERC20ResponseAmino;
                fromAminoMsg(object: _161.MsgConvertERC20ResponseAminoMsg): _161.MsgConvertERC20Response;
                fromProtoMsg(message: _161.MsgConvertERC20ResponseProtoMsg): _161.MsgConvertERC20Response;
                toProto(message: _161.MsgConvertERC20Response): Uint8Array;
                toProtoMsg(message: _161.MsgConvertERC20Response): _161.MsgConvertERC20ResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryTokenPairsRequest: {
                typeUrl: string;
                is(o: any): o is _160.QueryTokenPairsRequest;
                isSDK(o: any): o is _160.QueryTokenPairsRequestSDKType;
                isAmino(o: any): o is _160.QueryTokenPairsRequestAmino;
                encode(message: _160.QueryTokenPairsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _160.QueryTokenPairsRequest;
                fromJSON(object: any): _160.QueryTokenPairsRequest;
                toJSON(message: _160.QueryTokenPairsRequest): import("..").JsonSafe<_160.QueryTokenPairsRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_160.QueryTokenPairsRequest>): _160.QueryTokenPairsRequest;
                fromSDK(object: _160.QueryTokenPairsRequestSDKType): _160.QueryTokenPairsRequest;
                fromSDKJSON(object: any): _160.QueryTokenPairsRequestSDKType;
                toSDK(message: _160.QueryTokenPairsRequest): _160.QueryTokenPairsRequestSDKType;
                fromAmino(object: _160.QueryTokenPairsRequestAmino): _160.QueryTokenPairsRequest;
                toAmino(message: _160.QueryTokenPairsRequest): _160.QueryTokenPairsRequestAmino;
                fromAminoMsg(object: _160.QueryTokenPairsRequestAminoMsg): _160.QueryTokenPairsRequest;
                fromProtoMsg(message: _160.QueryTokenPairsRequestProtoMsg): _160.QueryTokenPairsRequest;
                toProto(message: _160.QueryTokenPairsRequest): Uint8Array;
                toProtoMsg(message: _160.QueryTokenPairsRequest): _160.QueryTokenPairsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryTokenPairsResponse: {
                typeUrl: string;
                is(o: any): o is _160.QueryTokenPairsResponse;
                isSDK(o: any): o is _160.QueryTokenPairsResponseSDKType;
                isAmino(o: any): o is _160.QueryTokenPairsResponseAmino;
                encode(message: _160.QueryTokenPairsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _160.QueryTokenPairsResponse;
                fromJSON(object: any): _160.QueryTokenPairsResponse;
                toJSON(message: _160.QueryTokenPairsResponse): import("..").JsonSafe<_160.QueryTokenPairsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_160.QueryTokenPairsResponse>): _160.QueryTokenPairsResponse;
                fromSDK(object: _160.QueryTokenPairsResponseSDKType): _160.QueryTokenPairsResponse;
                fromSDKJSON(object: any): _160.QueryTokenPairsResponseSDKType;
                toSDK(message: _160.QueryTokenPairsResponse): _160.QueryTokenPairsResponseSDKType;
                fromAmino(object: _160.QueryTokenPairsResponseAmino): _160.QueryTokenPairsResponse;
                toAmino(message: _160.QueryTokenPairsResponse): _160.QueryTokenPairsResponseAmino;
                fromAminoMsg(object: _160.QueryTokenPairsResponseAminoMsg): _160.QueryTokenPairsResponse;
                fromProtoMsg(message: _160.QueryTokenPairsResponseProtoMsg): _160.QueryTokenPairsResponse;
                toProto(message: _160.QueryTokenPairsResponse): Uint8Array;
                toProtoMsg(message: _160.QueryTokenPairsResponse): _160.QueryTokenPairsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryTokenPairRequest: {
                typeUrl: string;
                is(o: any): o is _160.QueryTokenPairRequest;
                isSDK(o: any): o is _160.QueryTokenPairRequestSDKType;
                isAmino(o: any): o is _160.QueryTokenPairRequestAmino;
                encode(message: _160.QueryTokenPairRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _160.QueryTokenPairRequest;
                fromJSON(object: any): _160.QueryTokenPairRequest;
                toJSON(message: _160.QueryTokenPairRequest): import("..").JsonSafe<_160.QueryTokenPairRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_160.QueryTokenPairRequest>): _160.QueryTokenPairRequest;
                fromSDK(object: _160.QueryTokenPairRequestSDKType): _160.QueryTokenPairRequest;
                fromSDKJSON(object: any): _160.QueryTokenPairRequestSDKType;
                toSDK(message: _160.QueryTokenPairRequest): _160.QueryTokenPairRequestSDKType;
                fromAmino(object: _160.QueryTokenPairRequestAmino): _160.QueryTokenPairRequest;
                toAmino(message: _160.QueryTokenPairRequest): _160.QueryTokenPairRequestAmino;
                fromAminoMsg(object: _160.QueryTokenPairRequestAminoMsg): _160.QueryTokenPairRequest;
                fromProtoMsg(message: _160.QueryTokenPairRequestProtoMsg): _160.QueryTokenPairRequest;
                toProto(message: _160.QueryTokenPairRequest): Uint8Array;
                toProtoMsg(message: _160.QueryTokenPairRequest): _160.QueryTokenPairRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryTokenPairResponse: {
                typeUrl: string;
                is(o: any): o is _160.QueryTokenPairResponse;
                isSDK(o: any): o is _160.QueryTokenPairResponseSDKType;
                isAmino(o: any): o is _160.QueryTokenPairResponseAmino;
                encode(message: _160.QueryTokenPairResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _160.QueryTokenPairResponse;
                fromJSON(object: any): _160.QueryTokenPairResponse;
                toJSON(message: _160.QueryTokenPairResponse): import("..").JsonSafe<_160.QueryTokenPairResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_160.QueryTokenPairResponse>): _160.QueryTokenPairResponse;
                fromSDK(object: _160.QueryTokenPairResponseSDKType): _160.QueryTokenPairResponse;
                fromSDKJSON(object: any): _160.QueryTokenPairResponseSDKType;
                toSDK(message: _160.QueryTokenPairResponse): _160.QueryTokenPairResponseSDKType;
                fromAmino(object: _160.QueryTokenPairResponseAmino): _160.QueryTokenPairResponse;
                toAmino(message: _160.QueryTokenPairResponse): _160.QueryTokenPairResponseAmino;
                fromAminoMsg(object: _160.QueryTokenPairResponseAminoMsg): _160.QueryTokenPairResponse;
                fromProtoMsg(message: _160.QueryTokenPairResponseProtoMsg): _160.QueryTokenPairResponse;
                toProto(message: _160.QueryTokenPairResponse): Uint8Array;
                toProtoMsg(message: _160.QueryTokenPairResponse): _160.QueryTokenPairResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsRequest: {
                typeUrl: string;
                is(o: any): o is _160.QueryParamsRequest;
                isSDK(o: any): o is _160.QueryParamsRequestSDKType;
                isAmino(o: any): o is _160.QueryParamsRequestAmino;
                encode(_: _160.QueryParamsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _160.QueryParamsRequest;
                fromJSON(_: any): _160.QueryParamsRequest;
                toJSON(_: _160.QueryParamsRequest): import("..").JsonSafe<_160.QueryParamsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_160.QueryParamsRequest>): _160.QueryParamsRequest;
                fromSDK(_: _160.QueryParamsRequestSDKType): _160.QueryParamsRequest;
                fromSDKJSON(_: any): _160.QueryParamsRequestSDKType;
                toSDK(_: _160.QueryParamsRequest): _160.QueryParamsRequestSDKType;
                fromAmino(_: _160.QueryParamsRequestAmino): _160.QueryParamsRequest;
                toAmino(_: _160.QueryParamsRequest): _160.QueryParamsRequestAmino;
                fromAminoMsg(object: _160.QueryParamsRequestAminoMsg): _160.QueryParamsRequest;
                fromProtoMsg(message: _160.QueryParamsRequestProtoMsg): _160.QueryParamsRequest;
                toProto(message: _160.QueryParamsRequest): Uint8Array;
                toProtoMsg(message: _160.QueryParamsRequest): _160.QueryParamsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsResponse: {
                typeUrl: string;
                is(o: any): o is _160.QueryParamsResponse;
                isSDK(o: any): o is _160.QueryParamsResponseSDKType;
                isAmino(o: any): o is _160.QueryParamsResponseAmino;
                encode(message: _160.QueryParamsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _160.QueryParamsResponse;
                fromJSON(object: any): _160.QueryParamsResponse;
                toJSON(message: _160.QueryParamsResponse): import("..").JsonSafe<_160.QueryParamsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_160.QueryParamsResponse>): _160.QueryParamsResponse;
                fromSDK(object: _160.QueryParamsResponseSDKType): _160.QueryParamsResponse;
                fromSDKJSON(object: any): _160.QueryParamsResponseSDKType;
                toSDK(message: _160.QueryParamsResponse): _160.QueryParamsResponseSDKType;
                fromAmino(object: _160.QueryParamsResponseAmino): _160.QueryParamsResponse;
                toAmino(message: _160.QueryParamsResponse): _160.QueryParamsResponseAmino;
                fromAminoMsg(object: _160.QueryParamsResponseAminoMsg): _160.QueryParamsResponse;
                fromProtoMsg(message: _160.QueryParamsResponseProtoMsg): _160.QueryParamsResponse;
                toProto(message: _160.QueryParamsResponse): Uint8Array;
                toProtoMsg(message: _160.QueryParamsResponse): _160.QueryParamsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _159.GenesisState;
                isSDK(o: any): o is _159.GenesisStateSDKType;
                isAmino(o: any): o is _159.GenesisStateAmino;
                encode(message: _159.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _159.GenesisState;
                fromJSON(object: any): _159.GenesisState;
                toJSON(message: _159.GenesisState): import("..").JsonSafe<_159.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_159.GenesisState>): _159.GenesisState;
                fromSDK(object: _159.GenesisStateSDKType): _159.GenesisState;
                fromSDKJSON(object: any): _159.GenesisStateSDKType;
                toSDK(message: _159.GenesisState): _159.GenesisStateSDKType;
                fromAmino(object: _159.GenesisStateAmino): _159.GenesisState;
                toAmino(message: _159.GenesisState): _159.GenesisStateAmino;
                fromAminoMsg(object: _159.GenesisStateAminoMsg): _159.GenesisState;
                fromProtoMsg(message: _159.GenesisStateProtoMsg): _159.GenesisState;
                toProto(message: _159.GenesisState): Uint8Array;
                toProtoMsg(message: _159.GenesisState): _159.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
            Params: {
                typeUrl: string;
                is(o: any): o is _159.Params;
                isSDK(o: any): o is _159.ParamsSDKType;
                isAmino(o: any): o is _159.ParamsAmino;
                encode(message: _159.Params, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _159.Params;
                fromJSON(object: any): _159.Params;
                toJSON(message: _159.Params): import("..").JsonSafe<_159.Params>;
                fromPartial(object: import("../helpers").DeepPartial<_159.Params>): _159.Params;
                fromSDK(object: _159.ParamsSDKType): _159.Params;
                fromSDKJSON(object: any): _159.ParamsSDKType;
                toSDK(message: _159.Params): _159.ParamsSDKType;
                fromAmino(object: _159.ParamsAmino): _159.Params;
                toAmino(message: _159.Params): _159.ParamsAmino;
                fromAminoMsg(object: _159.ParamsAminoMsg): _159.Params;
                fromProtoMsg(message: _159.ParamsProtoMsg): _159.Params;
                toProto(message: _159.Params): Uint8Array;
                toProtoMsg(message: _159.Params): _159.ParamsProtoMsg;
                registerTypeUrl(): void;
            };
            ownerFromJSON(object: any): _158.Owner;
            ownerToJSON(object: _158.Owner): string;
            Owner: typeof _158.Owner;
            OwnerSDKType: typeof _158.Owner;
            OwnerAmino: typeof _158.Owner;
            TokenPair: {
                typeUrl: string;
                is(o: any): o is _158.TokenPair;
                isSDK(o: any): o is _158.TokenPairSDKType;
                isAmino(o: any): o is _158.TokenPairAmino;
                encode(message: _158.TokenPair, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _158.TokenPair;
                fromJSON(object: any): _158.TokenPair;
                toJSON(message: _158.TokenPair): import("..").JsonSafe<_158.TokenPair>;
                fromPartial(object: import("../helpers").DeepPartial<_158.TokenPair>): _158.TokenPair;
                fromSDK(object: _158.TokenPairSDKType): _158.TokenPair;
                fromSDKJSON(object: any): _158.TokenPairSDKType;
                toSDK(message: _158.TokenPair): _158.TokenPairSDKType;
                fromAmino(object: _158.TokenPairAmino): _158.TokenPair;
                toAmino(message: _158.TokenPair): _158.TokenPairAmino;
                fromAminoMsg(object: _158.TokenPairAminoMsg): _158.TokenPair;
                fromProtoMsg(message: _158.TokenPairProtoMsg): _158.TokenPair;
                toProto(message: _158.TokenPair): Uint8Array;
                toProtoMsg(message: _158.TokenPair): _158.TokenPairProtoMsg;
                registerTypeUrl(): void;
            };
            RegisterCoinProposal: {
                typeUrl: string;
                is(o: any): o is _158.RegisterCoinProposal;
                isSDK(o: any): o is _158.RegisterCoinProposalSDKType;
                isAmino(o: any): o is _158.RegisterCoinProposalAmino;
                encode(message: _158.RegisterCoinProposal, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _158.RegisterCoinProposal;
                fromJSON(object: any): _158.RegisterCoinProposal;
                toJSON(message: _158.RegisterCoinProposal): import("..").JsonSafe<_158.RegisterCoinProposal>;
                fromPartial(object: import("../helpers").DeepPartial<_158.RegisterCoinProposal>): _158.RegisterCoinProposal;
                fromSDK(object: _158.RegisterCoinProposalSDKType): _158.RegisterCoinProposal;
                fromSDKJSON(object: any): _158.RegisterCoinProposalSDKType;
                toSDK(message: _158.RegisterCoinProposal): _158.RegisterCoinProposalSDKType;
                fromAmino(object: _158.RegisterCoinProposalAmino): _158.RegisterCoinProposal;
                toAmino(message: _158.RegisterCoinProposal): _158.RegisterCoinProposalAmino;
                fromAminoMsg(object: _158.RegisterCoinProposalAminoMsg): _158.RegisterCoinProposal;
                fromProtoMsg(message: _158.RegisterCoinProposalProtoMsg): _158.RegisterCoinProposal;
                toProto(message: _158.RegisterCoinProposal): Uint8Array;
                toProtoMsg(message: _158.RegisterCoinProposal): _158.RegisterCoinProposalProtoMsg;
                registerTypeUrl(): void;
            };
            RegisterERC20Proposal: {
                typeUrl: string;
                is(o: any): o is _158.RegisterERC20Proposal;
                isSDK(o: any): o is _158.RegisterERC20ProposalSDKType;
                isAmino(o: any): o is _158.RegisterERC20ProposalAmino;
                encode(message: _158.RegisterERC20Proposal, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _158.RegisterERC20Proposal;
                fromJSON(object: any): _158.RegisterERC20Proposal;
                toJSON(message: _158.RegisterERC20Proposal): import("..").JsonSafe<_158.RegisterERC20Proposal>;
                fromPartial(object: import("../helpers").DeepPartial<_158.RegisterERC20Proposal>): _158.RegisterERC20Proposal;
                fromSDK(object: _158.RegisterERC20ProposalSDKType): _158.RegisterERC20Proposal;
                fromSDKJSON(object: any): _158.RegisterERC20ProposalSDKType;
                toSDK(message: _158.RegisterERC20Proposal): _158.RegisterERC20ProposalSDKType;
                fromAmino(object: _158.RegisterERC20ProposalAmino): _158.RegisterERC20Proposal;
                toAmino(message: _158.RegisterERC20Proposal): _158.RegisterERC20ProposalAmino;
                fromAminoMsg(object: _158.RegisterERC20ProposalAminoMsg): _158.RegisterERC20Proposal;
                fromProtoMsg(message: _158.RegisterERC20ProposalProtoMsg): _158.RegisterERC20Proposal;
                toProto(message: _158.RegisterERC20Proposal): Uint8Array;
                toProtoMsg(message: _158.RegisterERC20Proposal): _158.RegisterERC20ProposalProtoMsg;
                registerTypeUrl(): void;
            };
            ToggleTokenConversionProposal: {
                typeUrl: string;
                is(o: any): o is _158.ToggleTokenConversionProposal;
                isSDK(o: any): o is _158.ToggleTokenConversionProposalSDKType;
                isAmino(o: any): o is _158.ToggleTokenConversionProposalAmino;
                encode(message: _158.ToggleTokenConversionProposal, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _158.ToggleTokenConversionProposal;
                fromJSON(object: any): _158.ToggleTokenConversionProposal;
                toJSON(message: _158.ToggleTokenConversionProposal): import("..").JsonSafe<_158.ToggleTokenConversionProposal>;
                fromPartial(object: import("../helpers").DeepPartial<_158.ToggleTokenConversionProposal>): _158.ToggleTokenConversionProposal;
                fromSDK(object: _158.ToggleTokenConversionProposalSDKType): _158.ToggleTokenConversionProposal;
                fromSDKJSON(object: any): _158.ToggleTokenConversionProposalSDKType;
                toSDK(message: _158.ToggleTokenConversionProposal): _158.ToggleTokenConversionProposalSDKType;
                fromAmino(object: _158.ToggleTokenConversionProposalAmino): _158.ToggleTokenConversionProposal;
                toAmino(message: _158.ToggleTokenConversionProposal): _158.ToggleTokenConversionProposalAmino;
                fromAminoMsg(object: _158.ToggleTokenConversionProposalAminoMsg): _158.ToggleTokenConversionProposal;
                fromProtoMsg(message: _158.ToggleTokenConversionProposalProtoMsg): _158.ToggleTokenConversionProposal;
                toProto(message: _158.ToggleTokenConversionProposal): Uint8Array;
                toProtoMsg(message: _158.ToggleTokenConversionProposal): _158.ToggleTokenConversionProposalProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace fees {
        const v1: {
            MsgClientImpl: typeof _467.MsgClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _467.MsgClientImpl;
            QueryClientImpl: typeof _461.QueryClientImpl;
            LCDQueryClient: typeof _453.LCDQueryClient;
            registry: ReadonlyArray<[string, import("..").TelescopeGeneratedType<any, any, any>]>;
            load: (protoRegistry: import("@cosmjs/proto-signing").Registry) => void;
            MessageComposer: {
                encoded: {
                    registerDevFeeInfo(value: _165.MsgRegisterDevFeeInfo): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                    cancelDevFeeInfo(value: _165.MsgCancelDevFeeInfo): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                    updateDevFeeInfo(value: _165.MsgUpdateDevFeeInfo): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                };
                withTypeUrl: {
                    registerDevFeeInfo(value: _165.MsgRegisterDevFeeInfo): {
                        typeUrl: string;
                        value: _165.MsgRegisterDevFeeInfo;
                    };
                    cancelDevFeeInfo(value: _165.MsgCancelDevFeeInfo): {
                        typeUrl: string;
                        value: _165.MsgCancelDevFeeInfo;
                    };
                    updateDevFeeInfo(value: _165.MsgUpdateDevFeeInfo): {
                        typeUrl: string;
                        value: _165.MsgUpdateDevFeeInfo;
                    };
                };
                toJSON: {
                    registerDevFeeInfo(value: _165.MsgRegisterDevFeeInfo): {
                        typeUrl: string;
                        value: {
                            contractAddress: string;
                            deployerAddress: string;
                            withdrawAddress: string;
                            nonces: string[];
                        };
                    };
                    cancelDevFeeInfo(value: _165.MsgCancelDevFeeInfo): {
                        typeUrl: string;
                        value: {
                            contractAddress: string;
                            deployerAddress: string;
                        };
                    };
                    updateDevFeeInfo(value: _165.MsgUpdateDevFeeInfo): {
                        typeUrl: string;
                        value: {
                            contractAddress: string;
                            deployerAddress: string;
                            withdrawAddress: string;
                        };
                    };
                };
                fromJSON: {
                    registerDevFeeInfo(value: any): {
                        typeUrl: string;
                        value: _165.MsgRegisterDevFeeInfo;
                    };
                    cancelDevFeeInfo(value: any): {
                        typeUrl: string;
                        value: _165.MsgCancelDevFeeInfo;
                    };
                    updateDevFeeInfo(value: any): {
                        typeUrl: string;
                        value: _165.MsgUpdateDevFeeInfo;
                    };
                };
                fromPartial: {
                    registerDevFeeInfo(value: _165.MsgRegisterDevFeeInfo): {
                        typeUrl: string;
                        value: _165.MsgRegisterDevFeeInfo;
                    };
                    cancelDevFeeInfo(value: _165.MsgCancelDevFeeInfo): {
                        typeUrl: string;
                        value: _165.MsgCancelDevFeeInfo;
                    };
                    updateDevFeeInfo(value: _165.MsgUpdateDevFeeInfo): {
                        typeUrl: string;
                        value: _165.MsgUpdateDevFeeInfo;
                    };
                };
            };
            AminoConverter: {
                "/evmos.fees.v1.MsgRegisterDevFeeInfo": {
                    aminoType: string;
                    toAmino: (message: _165.MsgRegisterDevFeeInfo) => _165.MsgRegisterDevFeeInfoAmino;
                    fromAmino: (object: _165.MsgRegisterDevFeeInfoAmino) => _165.MsgRegisterDevFeeInfo;
                };
                "/evmos.fees.v1.MsgCancelDevFeeInfo": {
                    aminoType: string;
                    toAmino: (message: _165.MsgCancelDevFeeInfo) => _165.MsgCancelDevFeeInfoAmino;
                    fromAmino: (object: _165.MsgCancelDevFeeInfoAmino) => _165.MsgCancelDevFeeInfo;
                };
                "/evmos.fees.v1.MsgUpdateDevFeeInfo": {
                    aminoType: string;
                    toAmino: (message: _165.MsgUpdateDevFeeInfo) => _165.MsgUpdateDevFeeInfoAmino;
                    fromAmino: (object: _165.MsgUpdateDevFeeInfoAmino) => _165.MsgUpdateDevFeeInfo;
                };
            };
            protobufPackage: "evmos.fees.v1";
            MsgRegisterDevFeeInfo: {
                typeUrl: string;
                is(o: any): o is _165.MsgRegisterDevFeeInfo;
                isSDK(o: any): o is _165.MsgRegisterDevFeeInfoSDKType;
                isAmino(o: any): o is _165.MsgRegisterDevFeeInfoAmino;
                encode(message: _165.MsgRegisterDevFeeInfo, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _165.MsgRegisterDevFeeInfo;
                fromJSON(object: any): _165.MsgRegisterDevFeeInfo;
                toJSON(message: _165.MsgRegisterDevFeeInfo): import("..").JsonSafe<_165.MsgRegisterDevFeeInfo>;
                fromPartial(object: import("../helpers").DeepPartial<_165.MsgRegisterDevFeeInfo>): _165.MsgRegisterDevFeeInfo;
                fromSDK(object: _165.MsgRegisterDevFeeInfoSDKType): _165.MsgRegisterDevFeeInfo;
                fromSDKJSON(object: any): _165.MsgRegisterDevFeeInfoSDKType;
                toSDK(message: _165.MsgRegisterDevFeeInfo): _165.MsgRegisterDevFeeInfoSDKType;
                fromAmino(object: _165.MsgRegisterDevFeeInfoAmino): _165.MsgRegisterDevFeeInfo;
                toAmino(message: _165.MsgRegisterDevFeeInfo): _165.MsgRegisterDevFeeInfoAmino;
                fromAminoMsg(object: _165.MsgRegisterDevFeeInfoAminoMsg): _165.MsgRegisterDevFeeInfo;
                fromProtoMsg(message: _165.MsgRegisterDevFeeInfoProtoMsg): _165.MsgRegisterDevFeeInfo;
                toProto(message: _165.MsgRegisterDevFeeInfo): Uint8Array;
                toProtoMsg(message: _165.MsgRegisterDevFeeInfo): _165.MsgRegisterDevFeeInfoProtoMsg;
                registerTypeUrl(): void;
            };
            MsgRegisterDevFeeInfoResponse: {
                typeUrl: string;
                is(o: any): o is _165.MsgRegisterDevFeeInfoResponse;
                isSDK(o: any): o is _165.MsgRegisterDevFeeInfoResponseSDKType;
                isAmino(o: any): o is _165.MsgRegisterDevFeeInfoResponseAmino;
                encode(_: _165.MsgRegisterDevFeeInfoResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _165.MsgRegisterDevFeeInfoResponse;
                fromJSON(_: any): _165.MsgRegisterDevFeeInfoResponse;
                toJSON(_: _165.MsgRegisterDevFeeInfoResponse): import("..").JsonSafe<_165.MsgRegisterDevFeeInfoResponse>;
                fromPartial(_: import("../helpers").DeepPartial<_165.MsgRegisterDevFeeInfoResponse>): _165.MsgRegisterDevFeeInfoResponse;
                fromSDK(_: _165.MsgRegisterDevFeeInfoResponseSDKType): _165.MsgRegisterDevFeeInfoResponse;
                fromSDKJSON(_: any): _165.MsgRegisterDevFeeInfoResponseSDKType;
                toSDK(_: _165.MsgRegisterDevFeeInfoResponse): _165.MsgRegisterDevFeeInfoResponseSDKType;
                fromAmino(_: _165.MsgRegisterDevFeeInfoResponseAmino): _165.MsgRegisterDevFeeInfoResponse;
                toAmino(_: _165.MsgRegisterDevFeeInfoResponse): _165.MsgRegisterDevFeeInfoResponseAmino;
                fromAminoMsg(object: _165.MsgRegisterDevFeeInfoResponseAminoMsg): _165.MsgRegisterDevFeeInfoResponse;
                fromProtoMsg(message: _165.MsgRegisterDevFeeInfoResponseProtoMsg): _165.MsgRegisterDevFeeInfoResponse;
                toProto(message: _165.MsgRegisterDevFeeInfoResponse): Uint8Array;
                toProtoMsg(message: _165.MsgRegisterDevFeeInfoResponse): _165.MsgRegisterDevFeeInfoResponseProtoMsg;
                registerTypeUrl(): void;
            };
            MsgCancelDevFeeInfo: {
                typeUrl: string;
                is(o: any): o is _165.MsgCancelDevFeeInfo;
                isSDK(o: any): o is _165.MsgCancelDevFeeInfoSDKType;
                isAmino(o: any): o is _165.MsgCancelDevFeeInfoAmino;
                encode(message: _165.MsgCancelDevFeeInfo, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _165.MsgCancelDevFeeInfo;
                fromJSON(object: any): _165.MsgCancelDevFeeInfo;
                toJSON(message: _165.MsgCancelDevFeeInfo): import("..").JsonSafe<_165.MsgCancelDevFeeInfo>;
                fromPartial(object: import("../helpers").DeepPartial<_165.MsgCancelDevFeeInfo>): _165.MsgCancelDevFeeInfo;
                fromSDK(object: _165.MsgCancelDevFeeInfoSDKType): _165.MsgCancelDevFeeInfo;
                fromSDKJSON(object: any): _165.MsgCancelDevFeeInfoSDKType;
                toSDK(message: _165.MsgCancelDevFeeInfo): _165.MsgCancelDevFeeInfoSDKType;
                fromAmino(object: _165.MsgCancelDevFeeInfoAmino): _165.MsgCancelDevFeeInfo;
                toAmino(message: _165.MsgCancelDevFeeInfo): _165.MsgCancelDevFeeInfoAmino;
                fromAminoMsg(object: _165.MsgCancelDevFeeInfoAminoMsg): _165.MsgCancelDevFeeInfo;
                fromProtoMsg(message: _165.MsgCancelDevFeeInfoProtoMsg): _165.MsgCancelDevFeeInfo;
                toProto(message: _165.MsgCancelDevFeeInfo): Uint8Array;
                toProtoMsg(message: _165.MsgCancelDevFeeInfo): _165.MsgCancelDevFeeInfoProtoMsg;
                registerTypeUrl(): void;
            };
            MsgCancelDevFeeInfoResponse: {
                typeUrl: string;
                is(o: any): o is _165.MsgCancelDevFeeInfoResponse;
                isSDK(o: any): o is _165.MsgCancelDevFeeInfoResponseSDKType;
                isAmino(o: any): o is _165.MsgCancelDevFeeInfoResponseAmino;
                encode(_: _165.MsgCancelDevFeeInfoResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _165.MsgCancelDevFeeInfoResponse;
                fromJSON(_: any): _165.MsgCancelDevFeeInfoResponse;
                toJSON(_: _165.MsgCancelDevFeeInfoResponse): import("..").JsonSafe<_165.MsgCancelDevFeeInfoResponse>;
                fromPartial(_: import("../helpers").DeepPartial<_165.MsgCancelDevFeeInfoResponse>): _165.MsgCancelDevFeeInfoResponse;
                fromSDK(_: _165.MsgCancelDevFeeInfoResponseSDKType): _165.MsgCancelDevFeeInfoResponse;
                fromSDKJSON(_: any): _165.MsgCancelDevFeeInfoResponseSDKType;
                toSDK(_: _165.MsgCancelDevFeeInfoResponse): _165.MsgCancelDevFeeInfoResponseSDKType;
                fromAmino(_: _165.MsgCancelDevFeeInfoResponseAmino): _165.MsgCancelDevFeeInfoResponse;
                toAmino(_: _165.MsgCancelDevFeeInfoResponse): _165.MsgCancelDevFeeInfoResponseAmino;
                fromAminoMsg(object: _165.MsgCancelDevFeeInfoResponseAminoMsg): _165.MsgCancelDevFeeInfoResponse;
                fromProtoMsg(message: _165.MsgCancelDevFeeInfoResponseProtoMsg): _165.MsgCancelDevFeeInfoResponse;
                toProto(message: _165.MsgCancelDevFeeInfoResponse): Uint8Array;
                toProtoMsg(message: _165.MsgCancelDevFeeInfoResponse): _165.MsgCancelDevFeeInfoResponseProtoMsg;
                registerTypeUrl(): void;
            };
            MsgUpdateDevFeeInfo: {
                typeUrl: string;
                is(o: any): o is _165.MsgUpdateDevFeeInfo;
                isSDK(o: any): o is _165.MsgUpdateDevFeeInfoSDKType;
                isAmino(o: any): o is _165.MsgUpdateDevFeeInfoAmino;
                encode(message: _165.MsgUpdateDevFeeInfo, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _165.MsgUpdateDevFeeInfo;
                fromJSON(object: any): _165.MsgUpdateDevFeeInfo;
                toJSON(message: _165.MsgUpdateDevFeeInfo): import("..").JsonSafe<_165.MsgUpdateDevFeeInfo>;
                fromPartial(object: import("../helpers").DeepPartial<_165.MsgUpdateDevFeeInfo>): _165.MsgUpdateDevFeeInfo;
                fromSDK(object: _165.MsgUpdateDevFeeInfoSDKType): _165.MsgUpdateDevFeeInfo;
                fromSDKJSON(object: any): _165.MsgUpdateDevFeeInfoSDKType;
                toSDK(message: _165.MsgUpdateDevFeeInfo): _165.MsgUpdateDevFeeInfoSDKType;
                fromAmino(object: _165.MsgUpdateDevFeeInfoAmino): _165.MsgUpdateDevFeeInfo;
                toAmino(message: _165.MsgUpdateDevFeeInfo): _165.MsgUpdateDevFeeInfoAmino;
                fromAminoMsg(object: _165.MsgUpdateDevFeeInfoAminoMsg): _165.MsgUpdateDevFeeInfo;
                fromProtoMsg(message: _165.MsgUpdateDevFeeInfoProtoMsg): _165.MsgUpdateDevFeeInfo;
                toProto(message: _165.MsgUpdateDevFeeInfo): Uint8Array;
                toProtoMsg(message: _165.MsgUpdateDevFeeInfo): _165.MsgUpdateDevFeeInfoProtoMsg;
                registerTypeUrl(): void;
            };
            MsgUpdateDevFeeInfoResponse: {
                typeUrl: string;
                is(o: any): o is _165.MsgUpdateDevFeeInfoResponse;
                isSDK(o: any): o is _165.MsgUpdateDevFeeInfoResponseSDKType;
                isAmino(o: any): o is _165.MsgUpdateDevFeeInfoResponseAmino;
                encode(_: _165.MsgUpdateDevFeeInfoResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _165.MsgUpdateDevFeeInfoResponse;
                fromJSON(_: any): _165.MsgUpdateDevFeeInfoResponse;
                toJSON(_: _165.MsgUpdateDevFeeInfoResponse): import("..").JsonSafe<_165.MsgUpdateDevFeeInfoResponse>;
                fromPartial(_: import("../helpers").DeepPartial<_165.MsgUpdateDevFeeInfoResponse>): _165.MsgUpdateDevFeeInfoResponse;
                fromSDK(_: _165.MsgUpdateDevFeeInfoResponseSDKType): _165.MsgUpdateDevFeeInfoResponse;
                fromSDKJSON(_: any): _165.MsgUpdateDevFeeInfoResponseSDKType;
                toSDK(_: _165.MsgUpdateDevFeeInfoResponse): _165.MsgUpdateDevFeeInfoResponseSDKType;
                fromAmino(_: _165.MsgUpdateDevFeeInfoResponseAmino): _165.MsgUpdateDevFeeInfoResponse;
                toAmino(_: _165.MsgUpdateDevFeeInfoResponse): _165.MsgUpdateDevFeeInfoResponseAmino;
                fromAminoMsg(object: _165.MsgUpdateDevFeeInfoResponseAminoMsg): _165.MsgUpdateDevFeeInfoResponse;
                fromProtoMsg(message: _165.MsgUpdateDevFeeInfoResponseProtoMsg): _165.MsgUpdateDevFeeInfoResponse;
                toProto(message: _165.MsgUpdateDevFeeInfoResponse): Uint8Array;
                toProtoMsg(message: _165.MsgUpdateDevFeeInfoResponse): _165.MsgUpdateDevFeeInfoResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryDevFeeInfosRequest: {
                typeUrl: string;
                is(o: any): o is _164.QueryDevFeeInfosRequest;
                isSDK(o: any): o is _164.QueryDevFeeInfosRequestSDKType;
                isAmino(o: any): o is _164.QueryDevFeeInfosRequestAmino;
                encode(message: _164.QueryDevFeeInfosRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryDevFeeInfosRequest;
                fromJSON(object: any): _164.QueryDevFeeInfosRequest;
                toJSON(message: _164.QueryDevFeeInfosRequest): import("..").JsonSafe<_164.QueryDevFeeInfosRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryDevFeeInfosRequest>): _164.QueryDevFeeInfosRequest;
                fromSDK(object: _164.QueryDevFeeInfosRequestSDKType): _164.QueryDevFeeInfosRequest;
                fromSDKJSON(object: any): _164.QueryDevFeeInfosRequestSDKType;
                toSDK(message: _164.QueryDevFeeInfosRequest): _164.QueryDevFeeInfosRequestSDKType;
                fromAmino(object: _164.QueryDevFeeInfosRequestAmino): _164.QueryDevFeeInfosRequest;
                toAmino(message: _164.QueryDevFeeInfosRequest): _164.QueryDevFeeInfosRequestAmino;
                fromAminoMsg(object: _164.QueryDevFeeInfosRequestAminoMsg): _164.QueryDevFeeInfosRequest;
                fromProtoMsg(message: _164.QueryDevFeeInfosRequestProtoMsg): _164.QueryDevFeeInfosRequest;
                toProto(message: _164.QueryDevFeeInfosRequest): Uint8Array;
                toProtoMsg(message: _164.QueryDevFeeInfosRequest): _164.QueryDevFeeInfosRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryDevFeeInfosResponse: {
                typeUrl: string;
                is(o: any): o is _164.QueryDevFeeInfosResponse;
                isSDK(o: any): o is _164.QueryDevFeeInfosResponseSDKType;
                isAmino(o: any): o is _164.QueryDevFeeInfosResponseAmino;
                encode(message: _164.QueryDevFeeInfosResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryDevFeeInfosResponse;
                fromJSON(object: any): _164.QueryDevFeeInfosResponse;
                toJSON(message: _164.QueryDevFeeInfosResponse): import("..").JsonSafe<_164.QueryDevFeeInfosResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryDevFeeInfosResponse>): _164.QueryDevFeeInfosResponse;
                fromSDK(object: _164.QueryDevFeeInfosResponseSDKType): _164.QueryDevFeeInfosResponse;
                fromSDKJSON(object: any): _164.QueryDevFeeInfosResponseSDKType;
                toSDK(message: _164.QueryDevFeeInfosResponse): _164.QueryDevFeeInfosResponseSDKType;
                fromAmino(object: _164.QueryDevFeeInfosResponseAmino): _164.QueryDevFeeInfosResponse;
                toAmino(message: _164.QueryDevFeeInfosResponse): _164.QueryDevFeeInfosResponseAmino;
                fromAminoMsg(object: _164.QueryDevFeeInfosResponseAminoMsg): _164.QueryDevFeeInfosResponse;
                fromProtoMsg(message: _164.QueryDevFeeInfosResponseProtoMsg): _164.QueryDevFeeInfosResponse;
                toProto(message: _164.QueryDevFeeInfosResponse): Uint8Array;
                toProtoMsg(message: _164.QueryDevFeeInfosResponse): _164.QueryDevFeeInfosResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryDevFeeInfoRequest: {
                typeUrl: string;
                is(o: any): o is _164.QueryDevFeeInfoRequest;
                isSDK(o: any): o is _164.QueryDevFeeInfoRequestSDKType;
                isAmino(o: any): o is _164.QueryDevFeeInfoRequestAmino;
                encode(message: _164.QueryDevFeeInfoRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryDevFeeInfoRequest;
                fromJSON(object: any): _164.QueryDevFeeInfoRequest;
                toJSON(message: _164.QueryDevFeeInfoRequest): import("..").JsonSafe<_164.QueryDevFeeInfoRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryDevFeeInfoRequest>): _164.QueryDevFeeInfoRequest;
                fromSDK(object: _164.QueryDevFeeInfoRequestSDKType): _164.QueryDevFeeInfoRequest;
                fromSDKJSON(object: any): _164.QueryDevFeeInfoRequestSDKType;
                toSDK(message: _164.QueryDevFeeInfoRequest): _164.QueryDevFeeInfoRequestSDKType;
                fromAmino(object: _164.QueryDevFeeInfoRequestAmino): _164.QueryDevFeeInfoRequest;
                toAmino(message: _164.QueryDevFeeInfoRequest): _164.QueryDevFeeInfoRequestAmino;
                fromAminoMsg(object: _164.QueryDevFeeInfoRequestAminoMsg): _164.QueryDevFeeInfoRequest;
                fromProtoMsg(message: _164.QueryDevFeeInfoRequestProtoMsg): _164.QueryDevFeeInfoRequest;
                toProto(message: _164.QueryDevFeeInfoRequest): Uint8Array;
                toProtoMsg(message: _164.QueryDevFeeInfoRequest): _164.QueryDevFeeInfoRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryDevFeeInfoResponse: {
                typeUrl: string;
                is(o: any): o is _164.QueryDevFeeInfoResponse;
                isSDK(o: any): o is _164.QueryDevFeeInfoResponseSDKType;
                isAmino(o: any): o is _164.QueryDevFeeInfoResponseAmino;
                encode(message: _164.QueryDevFeeInfoResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryDevFeeInfoResponse;
                fromJSON(object: any): _164.QueryDevFeeInfoResponse;
                toJSON(message: _164.QueryDevFeeInfoResponse): import("..").JsonSafe<_164.QueryDevFeeInfoResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryDevFeeInfoResponse>): _164.QueryDevFeeInfoResponse;
                fromSDK(object: _164.QueryDevFeeInfoResponseSDKType): _164.QueryDevFeeInfoResponse;
                fromSDKJSON(object: any): _164.QueryDevFeeInfoResponseSDKType;
                toSDK(message: _164.QueryDevFeeInfoResponse): _164.QueryDevFeeInfoResponseSDKType;
                fromAmino(object: _164.QueryDevFeeInfoResponseAmino): _164.QueryDevFeeInfoResponse;
                toAmino(message: _164.QueryDevFeeInfoResponse): _164.QueryDevFeeInfoResponseAmino;
                fromAminoMsg(object: _164.QueryDevFeeInfoResponseAminoMsg): _164.QueryDevFeeInfoResponse;
                fromProtoMsg(message: _164.QueryDevFeeInfoResponseProtoMsg): _164.QueryDevFeeInfoResponse;
                toProto(message: _164.QueryDevFeeInfoResponse): Uint8Array;
                toProtoMsg(message: _164.QueryDevFeeInfoResponse): _164.QueryDevFeeInfoResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsRequest: {
                typeUrl: string;
                is(o: any): o is _164.QueryParamsRequest;
                isSDK(o: any): o is _164.QueryParamsRequestSDKType;
                isAmino(o: any): o is _164.QueryParamsRequestAmino;
                encode(_: _164.QueryParamsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryParamsRequest;
                fromJSON(_: any): _164.QueryParamsRequest;
                toJSON(_: _164.QueryParamsRequest): import("..").JsonSafe<_164.QueryParamsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_164.QueryParamsRequest>): _164.QueryParamsRequest;
                fromSDK(_: _164.QueryParamsRequestSDKType): _164.QueryParamsRequest;
                fromSDKJSON(_: any): _164.QueryParamsRequestSDKType;
                toSDK(_: _164.QueryParamsRequest): _164.QueryParamsRequestSDKType;
                fromAmino(_: _164.QueryParamsRequestAmino): _164.QueryParamsRequest;
                toAmino(_: _164.QueryParamsRequest): _164.QueryParamsRequestAmino;
                fromAminoMsg(object: _164.QueryParamsRequestAminoMsg): _164.QueryParamsRequest;
                fromProtoMsg(message: _164.QueryParamsRequestProtoMsg): _164.QueryParamsRequest;
                toProto(message: _164.QueryParamsRequest): Uint8Array;
                toProtoMsg(message: _164.QueryParamsRequest): _164.QueryParamsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsResponse: {
                typeUrl: string;
                is(o: any): o is _164.QueryParamsResponse;
                isSDK(o: any): o is _164.QueryParamsResponseSDKType;
                isAmino(o: any): o is _164.QueryParamsResponseAmino;
                encode(message: _164.QueryParamsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryParamsResponse;
                fromJSON(object: any): _164.QueryParamsResponse;
                toJSON(message: _164.QueryParamsResponse): import("..").JsonSafe<_164.QueryParamsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryParamsResponse>): _164.QueryParamsResponse;
                fromSDK(object: _164.QueryParamsResponseSDKType): _164.QueryParamsResponse;
                fromSDKJSON(object: any): _164.QueryParamsResponseSDKType;
                toSDK(message: _164.QueryParamsResponse): _164.QueryParamsResponseSDKType;
                fromAmino(object: _164.QueryParamsResponseAmino): _164.QueryParamsResponse;
                toAmino(message: _164.QueryParamsResponse): _164.QueryParamsResponseAmino;
                fromAminoMsg(object: _164.QueryParamsResponseAminoMsg): _164.QueryParamsResponse;
                fromProtoMsg(message: _164.QueryParamsResponseProtoMsg): _164.QueryParamsResponse;
                toProto(message: _164.QueryParamsResponse): Uint8Array;
                toProtoMsg(message: _164.QueryParamsResponse): _164.QueryParamsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryDevFeeInfosPerDeployerRequest: {
                typeUrl: string;
                is(o: any): o is _164.QueryDevFeeInfosPerDeployerRequest;
                isSDK(o: any): o is _164.QueryDevFeeInfosPerDeployerRequestSDKType;
                isAmino(o: any): o is _164.QueryDevFeeInfosPerDeployerRequestAmino;
                encode(message: _164.QueryDevFeeInfosPerDeployerRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryDevFeeInfosPerDeployerRequest;
                fromJSON(object: any): _164.QueryDevFeeInfosPerDeployerRequest;
                toJSON(message: _164.QueryDevFeeInfosPerDeployerRequest): import("..").JsonSafe<_164.QueryDevFeeInfosPerDeployerRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryDevFeeInfosPerDeployerRequest>): _164.QueryDevFeeInfosPerDeployerRequest;
                fromSDK(object: _164.QueryDevFeeInfosPerDeployerRequestSDKType): _164.QueryDevFeeInfosPerDeployerRequest;
                fromSDKJSON(object: any): _164.QueryDevFeeInfosPerDeployerRequestSDKType;
                toSDK(message: _164.QueryDevFeeInfosPerDeployerRequest): _164.QueryDevFeeInfosPerDeployerRequestSDKType;
                fromAmino(object: _164.QueryDevFeeInfosPerDeployerRequestAmino): _164.QueryDevFeeInfosPerDeployerRequest;
                toAmino(message: _164.QueryDevFeeInfosPerDeployerRequest): _164.QueryDevFeeInfosPerDeployerRequestAmino;
                fromAminoMsg(object: _164.QueryDevFeeInfosPerDeployerRequestAminoMsg): _164.QueryDevFeeInfosPerDeployerRequest;
                fromProtoMsg(message: _164.QueryDevFeeInfosPerDeployerRequestProtoMsg): _164.QueryDevFeeInfosPerDeployerRequest;
                toProto(message: _164.QueryDevFeeInfosPerDeployerRequest): Uint8Array;
                toProtoMsg(message: _164.QueryDevFeeInfosPerDeployerRequest): _164.QueryDevFeeInfosPerDeployerRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryDevFeeInfosPerDeployerResponse: {
                typeUrl: string;
                is(o: any): o is _164.QueryDevFeeInfosPerDeployerResponse;
                isSDK(o: any): o is _164.QueryDevFeeInfosPerDeployerResponseSDKType;
                isAmino(o: any): o is _164.QueryDevFeeInfosPerDeployerResponseAmino;
                encode(message: _164.QueryDevFeeInfosPerDeployerResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _164.QueryDevFeeInfosPerDeployerResponse;
                fromJSON(object: any): _164.QueryDevFeeInfosPerDeployerResponse;
                toJSON(message: _164.QueryDevFeeInfosPerDeployerResponse): import("..").JsonSafe<_164.QueryDevFeeInfosPerDeployerResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_164.QueryDevFeeInfosPerDeployerResponse>): _164.QueryDevFeeInfosPerDeployerResponse;
                fromSDK(object: _164.QueryDevFeeInfosPerDeployerResponseSDKType): _164.QueryDevFeeInfosPerDeployerResponse;
                fromSDKJSON(object: any): _164.QueryDevFeeInfosPerDeployerResponseSDKType;
                toSDK(message: _164.QueryDevFeeInfosPerDeployerResponse): _164.QueryDevFeeInfosPerDeployerResponseSDKType;
                fromAmino(object: _164.QueryDevFeeInfosPerDeployerResponseAmino): _164.QueryDevFeeInfosPerDeployerResponse;
                toAmino(message: _164.QueryDevFeeInfosPerDeployerResponse): _164.QueryDevFeeInfosPerDeployerResponseAmino;
                fromAminoMsg(object: _164.QueryDevFeeInfosPerDeployerResponseAminoMsg): _164.QueryDevFeeInfosPerDeployerResponse;
                fromProtoMsg(message: _164.QueryDevFeeInfosPerDeployerResponseProtoMsg): _164.QueryDevFeeInfosPerDeployerResponse;
                toProto(message: _164.QueryDevFeeInfosPerDeployerResponse): Uint8Array;
                toProtoMsg(message: _164.QueryDevFeeInfosPerDeployerResponse): _164.QueryDevFeeInfosPerDeployerResponseProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _163.GenesisState;
                isSDK(o: any): o is _163.GenesisStateSDKType;
                isAmino(o: any): o is _163.GenesisStateAmino;
                encode(message: _163.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _163.GenesisState;
                fromJSON(object: any): _163.GenesisState;
                toJSON(message: _163.GenesisState): import("..").JsonSafe<_163.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_163.GenesisState>): _163.GenesisState;
                fromSDK(object: _163.GenesisStateSDKType): _163.GenesisState;
                fromSDKJSON(object: any): _163.GenesisStateSDKType;
                toSDK(message: _163.GenesisState): _163.GenesisStateSDKType;
                fromAmino(object: _163.GenesisStateAmino): _163.GenesisState;
                toAmino(message: _163.GenesisState): _163.GenesisStateAmino;
                fromAminoMsg(object: _163.GenesisStateAminoMsg): _163.GenesisState;
                fromProtoMsg(message: _163.GenesisStateProtoMsg): _163.GenesisState;
                toProto(message: _163.GenesisState): Uint8Array;
                toProtoMsg(message: _163.GenesisState): _163.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
            Params: {
                typeUrl: string;
                is(o: any): o is _163.Params;
                isSDK(o: any): o is _163.ParamsSDKType;
                isAmino(o: any): o is _163.ParamsAmino;
                encode(message: _163.Params, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _163.Params;
                fromJSON(object: any): _163.Params;
                toJSON(message: _163.Params): import("..").JsonSafe<_163.Params>;
                fromPartial(object: import("../helpers").DeepPartial<_163.Params>): _163.Params;
                fromSDK(object: _163.ParamsSDKType): _163.Params;
                fromSDKJSON(object: any): _163.ParamsSDKType;
                toSDK(message: _163.Params): _163.ParamsSDKType;
                fromAmino(object: _163.ParamsAmino): _163.Params;
                toAmino(message: _163.Params): _163.ParamsAmino;
                fromAminoMsg(object: _163.ParamsAminoMsg): _163.Params;
                fromProtoMsg(message: _163.ParamsProtoMsg): _163.Params;
                toProto(message: _163.Params): Uint8Array;
                toProtoMsg(message: _163.Params): _163.ParamsProtoMsg;
                registerTypeUrl(): void;
            };
            DevFeeInfo: {
                typeUrl: string;
                is(o: any): o is _162.DevFeeInfo;
                isSDK(o: any): o is _162.DevFeeInfoSDKType;
                isAmino(o: any): o is _162.DevFeeInfoAmino;
                encode(message: _162.DevFeeInfo, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _162.DevFeeInfo;
                fromJSON(object: any): _162.DevFeeInfo;
                toJSON(message: _162.DevFeeInfo): import("..").JsonSafe<_162.DevFeeInfo>;
                fromPartial(object: import("../helpers").DeepPartial<_162.DevFeeInfo>): _162.DevFeeInfo;
                fromSDK(object: _162.DevFeeInfoSDKType): _162.DevFeeInfo;
                fromSDKJSON(object: any): _162.DevFeeInfoSDKType;
                toSDK(message: _162.DevFeeInfo): _162.DevFeeInfoSDKType;
                fromAmino(object: _162.DevFeeInfoAmino): _162.DevFeeInfo;
                toAmino(message: _162.DevFeeInfo): _162.DevFeeInfoAmino;
                fromAminoMsg(object: _162.DevFeeInfoAminoMsg): _162.DevFeeInfo;
                fromProtoMsg(message: _162.DevFeeInfoProtoMsg): _162.DevFeeInfo;
                toProto(message: _162.DevFeeInfo): Uint8Array;
                toProtoMsg(message: _162.DevFeeInfo): _162.DevFeeInfoProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace incentives {
        const v1: {
            QueryClientImpl: typeof _462.QueryClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _462.QueryClientImpl;
            LCDQueryClient: typeof _454.LCDQueryClient;
            protobufPackage: "evmos.incentives.v1";
            QueryIncentivesRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryIncentivesRequest;
                isSDK(o: any): o is _168.QueryIncentivesRequestSDKType;
                isAmino(o: any): o is _168.QueryIncentivesRequestAmino;
                encode(message: _168.QueryIncentivesRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryIncentivesRequest;
                fromJSON(object: any): _168.QueryIncentivesRequest;
                toJSON(message: _168.QueryIncentivesRequest): import("..").JsonSafe<_168.QueryIncentivesRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryIncentivesRequest>): _168.QueryIncentivesRequest;
                fromSDK(object: _168.QueryIncentivesRequestSDKType): _168.QueryIncentivesRequest;
                fromSDKJSON(object: any): _168.QueryIncentivesRequestSDKType;
                toSDK(message: _168.QueryIncentivesRequest): _168.QueryIncentivesRequestSDKType;
                fromAmino(object: _168.QueryIncentivesRequestAmino): _168.QueryIncentivesRequest;
                toAmino(message: _168.QueryIncentivesRequest): _168.QueryIncentivesRequestAmino;
                fromAminoMsg(object: _168.QueryIncentivesRequestAminoMsg): _168.QueryIncentivesRequest;
                fromProtoMsg(message: _168.QueryIncentivesRequestProtoMsg): _168.QueryIncentivesRequest;
                toProto(message: _168.QueryIncentivesRequest): Uint8Array;
                toProtoMsg(message: _168.QueryIncentivesRequest): _168.QueryIncentivesRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryIncentivesResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryIncentivesResponse;
                isSDK(o: any): o is _168.QueryIncentivesResponseSDKType;
                isAmino(o: any): o is _168.QueryIncentivesResponseAmino;
                encode(message: _168.QueryIncentivesResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryIncentivesResponse;
                fromJSON(object: any): _168.QueryIncentivesResponse;
                toJSON(message: _168.QueryIncentivesResponse): import("..").JsonSafe<_168.QueryIncentivesResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryIncentivesResponse>): _168.QueryIncentivesResponse;
                fromSDK(object: _168.QueryIncentivesResponseSDKType): _168.QueryIncentivesResponse;
                fromSDKJSON(object: any): _168.QueryIncentivesResponseSDKType;
                toSDK(message: _168.QueryIncentivesResponse): _168.QueryIncentivesResponseSDKType;
                fromAmino(object: _168.QueryIncentivesResponseAmino): _168.QueryIncentivesResponse;
                toAmino(message: _168.QueryIncentivesResponse): _168.QueryIncentivesResponseAmino;
                fromAminoMsg(object: _168.QueryIncentivesResponseAminoMsg): _168.QueryIncentivesResponse;
                fromProtoMsg(message: _168.QueryIncentivesResponseProtoMsg): _168.QueryIncentivesResponse;
                toProto(message: _168.QueryIncentivesResponse): Uint8Array;
                toProtoMsg(message: _168.QueryIncentivesResponse): _168.QueryIncentivesResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryIncentiveRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryIncentiveRequest;
                isSDK(o: any): o is _168.QueryIncentiveRequestSDKType;
                isAmino(o: any): o is _168.QueryIncentiveRequestAmino;
                encode(message: _168.QueryIncentiveRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryIncentiveRequest;
                fromJSON(object: any): _168.QueryIncentiveRequest;
                toJSON(message: _168.QueryIncentiveRequest): import("..").JsonSafe<_168.QueryIncentiveRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryIncentiveRequest>): _168.QueryIncentiveRequest;
                fromSDK(object: _168.QueryIncentiveRequestSDKType): _168.QueryIncentiveRequest;
                fromSDKJSON(object: any): _168.QueryIncentiveRequestSDKType;
                toSDK(message: _168.QueryIncentiveRequest): _168.QueryIncentiveRequestSDKType;
                fromAmino(object: _168.QueryIncentiveRequestAmino): _168.QueryIncentiveRequest;
                toAmino(message: _168.QueryIncentiveRequest): _168.QueryIncentiveRequestAmino;
                fromAminoMsg(object: _168.QueryIncentiveRequestAminoMsg): _168.QueryIncentiveRequest;
                fromProtoMsg(message: _168.QueryIncentiveRequestProtoMsg): _168.QueryIncentiveRequest;
                toProto(message: _168.QueryIncentiveRequest): Uint8Array;
                toProtoMsg(message: _168.QueryIncentiveRequest): _168.QueryIncentiveRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryIncentiveResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryIncentiveResponse;
                isSDK(o: any): o is _168.QueryIncentiveResponseSDKType;
                isAmino(o: any): o is _168.QueryIncentiveResponseAmino;
                encode(message: _168.QueryIncentiveResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryIncentiveResponse;
                fromJSON(object: any): _168.QueryIncentiveResponse;
                toJSON(message: _168.QueryIncentiveResponse): import("..").JsonSafe<_168.QueryIncentiveResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryIncentiveResponse>): _168.QueryIncentiveResponse;
                fromSDK(object: _168.QueryIncentiveResponseSDKType): _168.QueryIncentiveResponse;
                fromSDKJSON(object: any): _168.QueryIncentiveResponseSDKType;
                toSDK(message: _168.QueryIncentiveResponse): _168.QueryIncentiveResponseSDKType;
                fromAmino(object: _168.QueryIncentiveResponseAmino): _168.QueryIncentiveResponse;
                toAmino(message: _168.QueryIncentiveResponse): _168.QueryIncentiveResponseAmino;
                fromAminoMsg(object: _168.QueryIncentiveResponseAminoMsg): _168.QueryIncentiveResponse;
                fromProtoMsg(message: _168.QueryIncentiveResponseProtoMsg): _168.QueryIncentiveResponse;
                toProto(message: _168.QueryIncentiveResponse): Uint8Array;
                toProtoMsg(message: _168.QueryIncentiveResponse): _168.QueryIncentiveResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryGasMetersRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryGasMetersRequest;
                isSDK(o: any): o is _168.QueryGasMetersRequestSDKType;
                isAmino(o: any): o is _168.QueryGasMetersRequestAmino;
                encode(message: _168.QueryGasMetersRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryGasMetersRequest;
                fromJSON(object: any): _168.QueryGasMetersRequest;
                toJSON(message: _168.QueryGasMetersRequest): import("..").JsonSafe<_168.QueryGasMetersRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryGasMetersRequest>): _168.QueryGasMetersRequest;
                fromSDK(object: _168.QueryGasMetersRequestSDKType): _168.QueryGasMetersRequest;
                fromSDKJSON(object: any): _168.QueryGasMetersRequestSDKType;
                toSDK(message: _168.QueryGasMetersRequest): _168.QueryGasMetersRequestSDKType;
                fromAmino(object: _168.QueryGasMetersRequestAmino): _168.QueryGasMetersRequest;
                toAmino(message: _168.QueryGasMetersRequest): _168.QueryGasMetersRequestAmino;
                fromAminoMsg(object: _168.QueryGasMetersRequestAminoMsg): _168.QueryGasMetersRequest;
                fromProtoMsg(message: _168.QueryGasMetersRequestProtoMsg): _168.QueryGasMetersRequest;
                toProto(message: _168.QueryGasMetersRequest): Uint8Array;
                toProtoMsg(message: _168.QueryGasMetersRequest): _168.QueryGasMetersRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryGasMetersResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryGasMetersResponse;
                isSDK(o: any): o is _168.QueryGasMetersResponseSDKType;
                isAmino(o: any): o is _168.QueryGasMetersResponseAmino;
                encode(message: _168.QueryGasMetersResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryGasMetersResponse;
                fromJSON(object: any): _168.QueryGasMetersResponse;
                toJSON(message: _168.QueryGasMetersResponse): import("..").JsonSafe<_168.QueryGasMetersResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryGasMetersResponse>): _168.QueryGasMetersResponse;
                fromSDK(object: _168.QueryGasMetersResponseSDKType): _168.QueryGasMetersResponse;
                fromSDKJSON(object: any): _168.QueryGasMetersResponseSDKType;
                toSDK(message: _168.QueryGasMetersResponse): _168.QueryGasMetersResponseSDKType;
                fromAmino(object: _168.QueryGasMetersResponseAmino): _168.QueryGasMetersResponse;
                toAmino(message: _168.QueryGasMetersResponse): _168.QueryGasMetersResponseAmino;
                fromAminoMsg(object: _168.QueryGasMetersResponseAminoMsg): _168.QueryGasMetersResponse;
                fromProtoMsg(message: _168.QueryGasMetersResponseProtoMsg): _168.QueryGasMetersResponse;
                toProto(message: _168.QueryGasMetersResponse): Uint8Array;
                toProtoMsg(message: _168.QueryGasMetersResponse): _168.QueryGasMetersResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryGasMeterRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryGasMeterRequest;
                isSDK(o: any): o is _168.QueryGasMeterRequestSDKType;
                isAmino(o: any): o is _168.QueryGasMeterRequestAmino;
                encode(message: _168.QueryGasMeterRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryGasMeterRequest;
                fromJSON(object: any): _168.QueryGasMeterRequest;
                toJSON(message: _168.QueryGasMeterRequest): import("..").JsonSafe<_168.QueryGasMeterRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryGasMeterRequest>): _168.QueryGasMeterRequest;
                fromSDK(object: _168.QueryGasMeterRequestSDKType): _168.QueryGasMeterRequest;
                fromSDKJSON(object: any): _168.QueryGasMeterRequestSDKType;
                toSDK(message: _168.QueryGasMeterRequest): _168.QueryGasMeterRequestSDKType;
                fromAmino(object: _168.QueryGasMeterRequestAmino): _168.QueryGasMeterRequest;
                toAmino(message: _168.QueryGasMeterRequest): _168.QueryGasMeterRequestAmino;
                fromAminoMsg(object: _168.QueryGasMeterRequestAminoMsg): _168.QueryGasMeterRequest;
                fromProtoMsg(message: _168.QueryGasMeterRequestProtoMsg): _168.QueryGasMeterRequest;
                toProto(message: _168.QueryGasMeterRequest): Uint8Array;
                toProtoMsg(message: _168.QueryGasMeterRequest): _168.QueryGasMeterRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryGasMeterResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryGasMeterResponse;
                isSDK(o: any): o is _168.QueryGasMeterResponseSDKType;
                isAmino(o: any): o is _168.QueryGasMeterResponseAmino;
                encode(message: _168.QueryGasMeterResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryGasMeterResponse;
                fromJSON(object: any): _168.QueryGasMeterResponse;
                toJSON(message: _168.QueryGasMeterResponse): import("..").JsonSafe<_168.QueryGasMeterResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryGasMeterResponse>): _168.QueryGasMeterResponse;
                fromSDK(object: _168.QueryGasMeterResponseSDKType): _168.QueryGasMeterResponse;
                fromSDKJSON(object: any): _168.QueryGasMeterResponseSDKType;
                toSDK(message: _168.QueryGasMeterResponse): _168.QueryGasMeterResponseSDKType;
                fromAmino(object: _168.QueryGasMeterResponseAmino): _168.QueryGasMeterResponse;
                toAmino(message: _168.QueryGasMeterResponse): _168.QueryGasMeterResponseAmino;
                fromAminoMsg(object: _168.QueryGasMeterResponseAminoMsg): _168.QueryGasMeterResponse;
                fromProtoMsg(message: _168.QueryGasMeterResponseProtoMsg): _168.QueryGasMeterResponse;
                toProto(message: _168.QueryGasMeterResponse): Uint8Array;
                toProtoMsg(message: _168.QueryGasMeterResponse): _168.QueryGasMeterResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryAllocationMetersRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryAllocationMetersRequest;
                isSDK(o: any): o is _168.QueryAllocationMetersRequestSDKType;
                isAmino(o: any): o is _168.QueryAllocationMetersRequestAmino;
                encode(message: _168.QueryAllocationMetersRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryAllocationMetersRequest;
                fromJSON(object: any): _168.QueryAllocationMetersRequest;
                toJSON(message: _168.QueryAllocationMetersRequest): import("..").JsonSafe<_168.QueryAllocationMetersRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryAllocationMetersRequest>): _168.QueryAllocationMetersRequest;
                fromSDK(object: _168.QueryAllocationMetersRequestSDKType): _168.QueryAllocationMetersRequest;
                fromSDKJSON(object: any): _168.QueryAllocationMetersRequestSDKType;
                toSDK(message: _168.QueryAllocationMetersRequest): _168.QueryAllocationMetersRequestSDKType;
                fromAmino(object: _168.QueryAllocationMetersRequestAmino): _168.QueryAllocationMetersRequest;
                toAmino(message: _168.QueryAllocationMetersRequest): _168.QueryAllocationMetersRequestAmino;
                fromAminoMsg(object: _168.QueryAllocationMetersRequestAminoMsg): _168.QueryAllocationMetersRequest;
                fromProtoMsg(message: _168.QueryAllocationMetersRequestProtoMsg): _168.QueryAllocationMetersRequest;
                toProto(message: _168.QueryAllocationMetersRequest): Uint8Array;
                toProtoMsg(message: _168.QueryAllocationMetersRequest): _168.QueryAllocationMetersRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryAllocationMetersResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryAllocationMetersResponse;
                isSDK(o: any): o is _168.QueryAllocationMetersResponseSDKType;
                isAmino(o: any): o is _168.QueryAllocationMetersResponseAmino;
                encode(message: _168.QueryAllocationMetersResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryAllocationMetersResponse;
                fromJSON(object: any): _168.QueryAllocationMetersResponse;
                toJSON(message: _168.QueryAllocationMetersResponse): import("..").JsonSafe<_168.QueryAllocationMetersResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryAllocationMetersResponse>): _168.QueryAllocationMetersResponse;
                fromSDK(object: _168.QueryAllocationMetersResponseSDKType): _168.QueryAllocationMetersResponse;
                fromSDKJSON(object: any): _168.QueryAllocationMetersResponseSDKType;
                toSDK(message: _168.QueryAllocationMetersResponse): _168.QueryAllocationMetersResponseSDKType;
                fromAmino(object: _168.QueryAllocationMetersResponseAmino): _168.QueryAllocationMetersResponse;
                toAmino(message: _168.QueryAllocationMetersResponse): _168.QueryAllocationMetersResponseAmino;
                fromAminoMsg(object: _168.QueryAllocationMetersResponseAminoMsg): _168.QueryAllocationMetersResponse;
                fromProtoMsg(message: _168.QueryAllocationMetersResponseProtoMsg): _168.QueryAllocationMetersResponse;
                toProto(message: _168.QueryAllocationMetersResponse): Uint8Array;
                toProtoMsg(message: _168.QueryAllocationMetersResponse): _168.QueryAllocationMetersResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryAllocationMeterRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryAllocationMeterRequest;
                isSDK(o: any): o is _168.QueryAllocationMeterRequestSDKType;
                isAmino(o: any): o is _168.QueryAllocationMeterRequestAmino;
                encode(message: _168.QueryAllocationMeterRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryAllocationMeterRequest;
                fromJSON(object: any): _168.QueryAllocationMeterRequest;
                toJSON(message: _168.QueryAllocationMeterRequest): import("..").JsonSafe<_168.QueryAllocationMeterRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryAllocationMeterRequest>): _168.QueryAllocationMeterRequest;
                fromSDK(object: _168.QueryAllocationMeterRequestSDKType): _168.QueryAllocationMeterRequest;
                fromSDKJSON(object: any): _168.QueryAllocationMeterRequestSDKType;
                toSDK(message: _168.QueryAllocationMeterRequest): _168.QueryAllocationMeterRequestSDKType;
                fromAmino(object: _168.QueryAllocationMeterRequestAmino): _168.QueryAllocationMeterRequest;
                toAmino(message: _168.QueryAllocationMeterRequest): _168.QueryAllocationMeterRequestAmino;
                fromAminoMsg(object: _168.QueryAllocationMeterRequestAminoMsg): _168.QueryAllocationMeterRequest;
                fromProtoMsg(message: _168.QueryAllocationMeterRequestProtoMsg): _168.QueryAllocationMeterRequest;
                toProto(message: _168.QueryAllocationMeterRequest): Uint8Array;
                toProtoMsg(message: _168.QueryAllocationMeterRequest): _168.QueryAllocationMeterRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryAllocationMeterResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryAllocationMeterResponse;
                isSDK(o: any): o is _168.QueryAllocationMeterResponseSDKType;
                isAmino(o: any): o is _168.QueryAllocationMeterResponseAmino;
                encode(message: _168.QueryAllocationMeterResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryAllocationMeterResponse;
                fromJSON(object: any): _168.QueryAllocationMeterResponse;
                toJSON(message: _168.QueryAllocationMeterResponse): import("..").JsonSafe<_168.QueryAllocationMeterResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryAllocationMeterResponse>): _168.QueryAllocationMeterResponse;
                fromSDK(object: _168.QueryAllocationMeterResponseSDKType): _168.QueryAllocationMeterResponse;
                fromSDKJSON(object: any): _168.QueryAllocationMeterResponseSDKType;
                toSDK(message: _168.QueryAllocationMeterResponse): _168.QueryAllocationMeterResponseSDKType;
                fromAmino(object: _168.QueryAllocationMeterResponseAmino): _168.QueryAllocationMeterResponse;
                toAmino(message: _168.QueryAllocationMeterResponse): _168.QueryAllocationMeterResponseAmino;
                fromAminoMsg(object: _168.QueryAllocationMeterResponseAminoMsg): _168.QueryAllocationMeterResponse;
                fromProtoMsg(message: _168.QueryAllocationMeterResponseProtoMsg): _168.QueryAllocationMeterResponse;
                toProto(message: _168.QueryAllocationMeterResponse): Uint8Array;
                toProtoMsg(message: _168.QueryAllocationMeterResponse): _168.QueryAllocationMeterResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsRequest: {
                typeUrl: string;
                is(o: any): o is _168.QueryParamsRequest;
                isSDK(o: any): o is _168.QueryParamsRequestSDKType;
                isAmino(o: any): o is _168.QueryParamsRequestAmino;
                encode(_: _168.QueryParamsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryParamsRequest;
                fromJSON(_: any): _168.QueryParamsRequest;
                toJSON(_: _168.QueryParamsRequest): import("..").JsonSafe<_168.QueryParamsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_168.QueryParamsRequest>): _168.QueryParamsRequest;
                fromSDK(_: _168.QueryParamsRequestSDKType): _168.QueryParamsRequest;
                fromSDKJSON(_: any): _168.QueryParamsRequestSDKType;
                toSDK(_: _168.QueryParamsRequest): _168.QueryParamsRequestSDKType;
                fromAmino(_: _168.QueryParamsRequestAmino): _168.QueryParamsRequest;
                toAmino(_: _168.QueryParamsRequest): _168.QueryParamsRequestAmino;
                fromAminoMsg(object: _168.QueryParamsRequestAminoMsg): _168.QueryParamsRequest;
                fromProtoMsg(message: _168.QueryParamsRequestProtoMsg): _168.QueryParamsRequest;
                toProto(message: _168.QueryParamsRequest): Uint8Array;
                toProtoMsg(message: _168.QueryParamsRequest): _168.QueryParamsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsResponse: {
                typeUrl: string;
                is(o: any): o is _168.QueryParamsResponse;
                isSDK(o: any): o is _168.QueryParamsResponseSDKType;
                isAmino(o: any): o is _168.QueryParamsResponseAmino;
                encode(message: _168.QueryParamsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _168.QueryParamsResponse;
                fromJSON(object: any): _168.QueryParamsResponse;
                toJSON(message: _168.QueryParamsResponse): import("..").JsonSafe<_168.QueryParamsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_168.QueryParamsResponse>): _168.QueryParamsResponse;
                fromSDK(object: _168.QueryParamsResponseSDKType): _168.QueryParamsResponse;
                fromSDKJSON(object: any): _168.QueryParamsResponseSDKType;
                toSDK(message: _168.QueryParamsResponse): _168.QueryParamsResponseSDKType;
                fromAmino(object: _168.QueryParamsResponseAmino): _168.QueryParamsResponse;
                toAmino(message: _168.QueryParamsResponse): _168.QueryParamsResponseAmino;
                fromAminoMsg(object: _168.QueryParamsResponseAminoMsg): _168.QueryParamsResponse;
                fromProtoMsg(message: _168.QueryParamsResponseProtoMsg): _168.QueryParamsResponse;
                toProto(message: _168.QueryParamsResponse): Uint8Array;
                toProtoMsg(message: _168.QueryParamsResponse): _168.QueryParamsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            Incentive: {
                typeUrl: string;
                is(o: any): o is _167.Incentive;
                isSDK(o: any): o is _167.IncentiveSDKType;
                isAmino(o: any): o is _167.IncentiveAmino;
                encode(message: _167.Incentive, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _167.Incentive;
                fromJSON(object: any): _167.Incentive;
                toJSON(message: _167.Incentive): import("..").JsonSafe<_167.Incentive>;
                fromPartial(object: import("../helpers").DeepPartial<_167.Incentive>): _167.Incentive;
                fromSDK(object: _167.IncentiveSDKType): _167.Incentive;
                fromSDKJSON(object: any): _167.IncentiveSDKType;
                toSDK(message: _167.Incentive): _167.IncentiveSDKType;
                fromAmino(object: _167.IncentiveAmino): _167.Incentive;
                toAmino(message: _167.Incentive): _167.IncentiveAmino;
                fromAminoMsg(object: _167.IncentiveAminoMsg): _167.Incentive;
                fromProtoMsg(message: _167.IncentiveProtoMsg): _167.Incentive;
                toProto(message: _167.Incentive): Uint8Array;
                toProtoMsg(message: _167.Incentive): _167.IncentiveProtoMsg;
                registerTypeUrl(): void;
            };
            GasMeter: {
                typeUrl: string;
                is(o: any): o is _167.GasMeter;
                isSDK(o: any): o is _167.GasMeterSDKType;
                isAmino(o: any): o is _167.GasMeterAmino;
                encode(message: _167.GasMeter, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _167.GasMeter;
                fromJSON(object: any): _167.GasMeter;
                toJSON(message: _167.GasMeter): import("..").JsonSafe<_167.GasMeter>;
                fromPartial(object: import("../helpers").DeepPartial<_167.GasMeter>): _167.GasMeter;
                fromSDK(object: _167.GasMeterSDKType): _167.GasMeter;
                fromSDKJSON(object: any): _167.GasMeterSDKType;
                toSDK(message: _167.GasMeter): _167.GasMeterSDKType;
                fromAmino(object: _167.GasMeterAmino): _167.GasMeter;
                toAmino(message: _167.GasMeter): _167.GasMeterAmino;
                fromAminoMsg(object: _167.GasMeterAminoMsg): _167.GasMeter;
                fromProtoMsg(message: _167.GasMeterProtoMsg): _167.GasMeter;
                toProto(message: _167.GasMeter): Uint8Array;
                toProtoMsg(message: _167.GasMeter): _167.GasMeterProtoMsg;
                registerTypeUrl(): void;
            };
            RegisterIncentiveProposal: {
                typeUrl: string;
                is(o: any): o is _167.RegisterIncentiveProposal;
                isSDK(o: any): o is _167.RegisterIncentiveProposalSDKType;
                isAmino(o: any): o is _167.RegisterIncentiveProposalAmino;
                encode(message: _167.RegisterIncentiveProposal, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _167.RegisterIncentiveProposal;
                fromJSON(object: any): _167.RegisterIncentiveProposal;
                toJSON(message: _167.RegisterIncentiveProposal): import("..").JsonSafe<_167.RegisterIncentiveProposal>;
                fromPartial(object: import("../helpers").DeepPartial<_167.RegisterIncentiveProposal>): _167.RegisterIncentiveProposal;
                fromSDK(object: _167.RegisterIncentiveProposalSDKType): _167.RegisterIncentiveProposal;
                fromSDKJSON(object: any): _167.RegisterIncentiveProposalSDKType;
                toSDK(message: _167.RegisterIncentiveProposal): _167.RegisterIncentiveProposalSDKType;
                fromAmino(object: _167.RegisterIncentiveProposalAmino): _167.RegisterIncentiveProposal;
                toAmino(message: _167.RegisterIncentiveProposal): _167.RegisterIncentiveProposalAmino;
                fromAminoMsg(object: _167.RegisterIncentiveProposalAminoMsg): _167.RegisterIncentiveProposal;
                fromProtoMsg(message: _167.RegisterIncentiveProposalProtoMsg): _167.RegisterIncentiveProposal;
                toProto(message: _167.RegisterIncentiveProposal): Uint8Array;
                toProtoMsg(message: _167.RegisterIncentiveProposal): _167.RegisterIncentiveProposalProtoMsg;
                registerTypeUrl(): void;
            };
            CancelIncentiveProposal: {
                typeUrl: string;
                is(o: any): o is _167.CancelIncentiveProposal;
                isSDK(o: any): o is _167.CancelIncentiveProposalSDKType;
                isAmino(o: any): o is _167.CancelIncentiveProposalAmino;
                encode(message: _167.CancelIncentiveProposal, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _167.CancelIncentiveProposal;
                fromJSON(object: any): _167.CancelIncentiveProposal;
                toJSON(message: _167.CancelIncentiveProposal): import("..").JsonSafe<_167.CancelIncentiveProposal>;
                fromPartial(object: import("../helpers").DeepPartial<_167.CancelIncentiveProposal>): _167.CancelIncentiveProposal;
                fromSDK(object: _167.CancelIncentiveProposalSDKType): _167.CancelIncentiveProposal;
                fromSDKJSON(object: any): _167.CancelIncentiveProposalSDKType;
                toSDK(message: _167.CancelIncentiveProposal): _167.CancelIncentiveProposalSDKType;
                fromAmino(object: _167.CancelIncentiveProposalAmino): _167.CancelIncentiveProposal;
                toAmino(message: _167.CancelIncentiveProposal): _167.CancelIncentiveProposalAmino;
                fromAminoMsg(object: _167.CancelIncentiveProposalAminoMsg): _167.CancelIncentiveProposal;
                fromProtoMsg(message: _167.CancelIncentiveProposalProtoMsg): _167.CancelIncentiveProposal;
                toProto(message: _167.CancelIncentiveProposal): Uint8Array;
                toProtoMsg(message: _167.CancelIncentiveProposal): _167.CancelIncentiveProposalProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _166.GenesisState;
                isSDK(o: any): o is _166.GenesisStateSDKType;
                isAmino(o: any): o is _166.GenesisStateAmino;
                encode(message: _166.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _166.GenesisState;
                fromJSON(object: any): _166.GenesisState;
                toJSON(message: _166.GenesisState): import("..").JsonSafe<_166.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_166.GenesisState>): _166.GenesisState;
                fromSDK(object: _166.GenesisStateSDKType): _166.GenesisState;
                fromSDKJSON(object: any): _166.GenesisStateSDKType;
                toSDK(message: _166.GenesisState): _166.GenesisStateSDKType;
                fromAmino(object: _166.GenesisStateAmino): _166.GenesisState;
                toAmino(message: _166.GenesisState): _166.GenesisStateAmino;
                fromAminoMsg(object: _166.GenesisStateAminoMsg): _166.GenesisState;
                fromProtoMsg(message: _166.GenesisStateProtoMsg): _166.GenesisState;
                toProto(message: _166.GenesisState): Uint8Array;
                toProtoMsg(message: _166.GenesisState): _166.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
            Params: {
                typeUrl: string;
                is(o: any): o is _166.Params;
                isSDK(o: any): o is _166.ParamsSDKType;
                isAmino(o: any): o is _166.ParamsAmino;
                encode(message: _166.Params, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _166.Params;
                fromJSON(object: any): _166.Params;
                toJSON(message: _166.Params): import("..").JsonSafe<_166.Params>;
                fromPartial(object: import("../helpers").DeepPartial<_166.Params>): _166.Params;
                fromSDK(object: _166.ParamsSDKType): _166.Params;
                fromSDKJSON(object: any): _166.ParamsSDKType;
                toSDK(message: _166.Params): _166.ParamsSDKType;
                fromAmino(object: _166.ParamsAmino): _166.Params;
                toAmino(message: _166.Params): _166.ParamsAmino;
                fromAminoMsg(object: _166.ParamsAminoMsg): _166.Params;
                fromProtoMsg(message: _166.ParamsProtoMsg): _166.Params;
                toProto(message: _166.Params): Uint8Array;
                toProtoMsg(message: _166.Params): _166.ParamsProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace inflation {
        const v1: {
            QueryClientImpl: typeof _463.QueryClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _463.QueryClientImpl;
            LCDQueryClient: typeof _455.LCDQueryClient;
            protobufPackage: "evmos.inflation.v1";
            QueryPeriodRequest: {
                typeUrl: string;
                is(o: any): o is _171.QueryPeriodRequest;
                isSDK(o: any): o is _171.QueryPeriodRequestSDKType;
                isAmino(o: any): o is _171.QueryPeriodRequestAmino;
                encode(_: _171.QueryPeriodRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryPeriodRequest;
                fromJSON(_: any): _171.QueryPeriodRequest;
                toJSON(_: _171.QueryPeriodRequest): import("..").JsonSafe<_171.QueryPeriodRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_171.QueryPeriodRequest>): _171.QueryPeriodRequest;
                fromSDK(_: _171.QueryPeriodRequestSDKType): _171.QueryPeriodRequest;
                fromSDKJSON(_: any): _171.QueryPeriodRequestSDKType;
                toSDK(_: _171.QueryPeriodRequest): _171.QueryPeriodRequestSDKType;
                fromAmino(_: _171.QueryPeriodRequestAmino): _171.QueryPeriodRequest;
                toAmino(_: _171.QueryPeriodRequest): _171.QueryPeriodRequestAmino;
                fromAminoMsg(object: _171.QueryPeriodRequestAminoMsg): _171.QueryPeriodRequest;
                fromProtoMsg(message: _171.QueryPeriodRequestProtoMsg): _171.QueryPeriodRequest;
                toProto(message: _171.QueryPeriodRequest): Uint8Array;
                toProtoMsg(message: _171.QueryPeriodRequest): _171.QueryPeriodRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryPeriodResponse: {
                typeUrl: string;
                is(o: any): o is _171.QueryPeriodResponse;
                isSDK(o: any): o is _171.QueryPeriodResponseSDKType;
                isAmino(o: any): o is _171.QueryPeriodResponseAmino;
                encode(message: _171.QueryPeriodResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryPeriodResponse;
                fromJSON(object: any): _171.QueryPeriodResponse;
                toJSON(message: _171.QueryPeriodResponse): import("..").JsonSafe<_171.QueryPeriodResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_171.QueryPeriodResponse>): _171.QueryPeriodResponse;
                fromSDK(object: _171.QueryPeriodResponseSDKType): _171.QueryPeriodResponse;
                fromSDKJSON(object: any): _171.QueryPeriodResponseSDKType;
                toSDK(message: _171.QueryPeriodResponse): _171.QueryPeriodResponseSDKType;
                fromAmino(object: _171.QueryPeriodResponseAmino): _171.QueryPeriodResponse;
                toAmino(message: _171.QueryPeriodResponse): _171.QueryPeriodResponseAmino;
                fromAminoMsg(object: _171.QueryPeriodResponseAminoMsg): _171.QueryPeriodResponse;
                fromProtoMsg(message: _171.QueryPeriodResponseProtoMsg): _171.QueryPeriodResponse;
                toProto(message: _171.QueryPeriodResponse): Uint8Array;
                toProtoMsg(message: _171.QueryPeriodResponse): _171.QueryPeriodResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryEpochMintProvisionRequest: {
                typeUrl: string;
                is(o: any): o is _171.QueryEpochMintProvisionRequest;
                isSDK(o: any): o is _171.QueryEpochMintProvisionRequestSDKType;
                isAmino(o: any): o is _171.QueryEpochMintProvisionRequestAmino;
                encode(_: _171.QueryEpochMintProvisionRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryEpochMintProvisionRequest;
                fromJSON(_: any): _171.QueryEpochMintProvisionRequest;
                toJSON(_: _171.QueryEpochMintProvisionRequest): import("..").JsonSafe<_171.QueryEpochMintProvisionRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_171.QueryEpochMintProvisionRequest>): _171.QueryEpochMintProvisionRequest;
                fromSDK(_: _171.QueryEpochMintProvisionRequestSDKType): _171.QueryEpochMintProvisionRequest;
                fromSDKJSON(_: any): _171.QueryEpochMintProvisionRequestSDKType;
                toSDK(_: _171.QueryEpochMintProvisionRequest): _171.QueryEpochMintProvisionRequestSDKType;
                fromAmino(_: _171.QueryEpochMintProvisionRequestAmino): _171.QueryEpochMintProvisionRequest;
                toAmino(_: _171.QueryEpochMintProvisionRequest): _171.QueryEpochMintProvisionRequestAmino;
                fromAminoMsg(object: _171.QueryEpochMintProvisionRequestAminoMsg): _171.QueryEpochMintProvisionRequest;
                fromProtoMsg(message: _171.QueryEpochMintProvisionRequestProtoMsg): _171.QueryEpochMintProvisionRequest;
                toProto(message: _171.QueryEpochMintProvisionRequest): Uint8Array;
                toProtoMsg(message: _171.QueryEpochMintProvisionRequest): _171.QueryEpochMintProvisionRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryEpochMintProvisionResponse: {
                typeUrl: string;
                is(o: any): o is _171.QueryEpochMintProvisionResponse;
                isSDK(o: any): o is _171.QueryEpochMintProvisionResponseSDKType;
                isAmino(o: any): o is _171.QueryEpochMintProvisionResponseAmino;
                encode(message: _171.QueryEpochMintProvisionResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryEpochMintProvisionResponse;
                fromJSON(object: any): _171.QueryEpochMintProvisionResponse;
                toJSON(message: _171.QueryEpochMintProvisionResponse): import("..").JsonSafe<_171.QueryEpochMintProvisionResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_171.QueryEpochMintProvisionResponse>): _171.QueryEpochMintProvisionResponse;
                fromSDK(object: _171.QueryEpochMintProvisionResponseSDKType): _171.QueryEpochMintProvisionResponse;
                fromSDKJSON(object: any): _171.QueryEpochMintProvisionResponseSDKType;
                toSDK(message: _171.QueryEpochMintProvisionResponse): _171.QueryEpochMintProvisionResponseSDKType;
                fromAmino(object: _171.QueryEpochMintProvisionResponseAmino): _171.QueryEpochMintProvisionResponse;
                toAmino(message: _171.QueryEpochMintProvisionResponse): _171.QueryEpochMintProvisionResponseAmino;
                fromAminoMsg(object: _171.QueryEpochMintProvisionResponseAminoMsg): _171.QueryEpochMintProvisionResponse;
                fromProtoMsg(message: _171.QueryEpochMintProvisionResponseProtoMsg): _171.QueryEpochMintProvisionResponse;
                toProto(message: _171.QueryEpochMintProvisionResponse): Uint8Array;
                toProtoMsg(message: _171.QueryEpochMintProvisionResponse): _171.QueryEpochMintProvisionResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QuerySkippedEpochsRequest: {
                typeUrl: string;
                is(o: any): o is _171.QuerySkippedEpochsRequest;
                isSDK(o: any): o is _171.QuerySkippedEpochsRequestSDKType;
                isAmino(o: any): o is _171.QuerySkippedEpochsRequestAmino;
                encode(_: _171.QuerySkippedEpochsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QuerySkippedEpochsRequest;
                fromJSON(_: any): _171.QuerySkippedEpochsRequest;
                toJSON(_: _171.QuerySkippedEpochsRequest): import("..").JsonSafe<_171.QuerySkippedEpochsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_171.QuerySkippedEpochsRequest>): _171.QuerySkippedEpochsRequest;
                fromSDK(_: _171.QuerySkippedEpochsRequestSDKType): _171.QuerySkippedEpochsRequest;
                fromSDKJSON(_: any): _171.QuerySkippedEpochsRequestSDKType;
                toSDK(_: _171.QuerySkippedEpochsRequest): _171.QuerySkippedEpochsRequestSDKType;
                fromAmino(_: _171.QuerySkippedEpochsRequestAmino): _171.QuerySkippedEpochsRequest;
                toAmino(_: _171.QuerySkippedEpochsRequest): _171.QuerySkippedEpochsRequestAmino;
                fromAminoMsg(object: _171.QuerySkippedEpochsRequestAminoMsg): _171.QuerySkippedEpochsRequest;
                fromProtoMsg(message: _171.QuerySkippedEpochsRequestProtoMsg): _171.QuerySkippedEpochsRequest;
                toProto(message: _171.QuerySkippedEpochsRequest): Uint8Array;
                toProtoMsg(message: _171.QuerySkippedEpochsRequest): _171.QuerySkippedEpochsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QuerySkippedEpochsResponse: {
                typeUrl: string;
                is(o: any): o is _171.QuerySkippedEpochsResponse;
                isSDK(o: any): o is _171.QuerySkippedEpochsResponseSDKType;
                isAmino(o: any): o is _171.QuerySkippedEpochsResponseAmino;
                encode(message: _171.QuerySkippedEpochsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QuerySkippedEpochsResponse;
                fromJSON(object: any): _171.QuerySkippedEpochsResponse;
                toJSON(message: _171.QuerySkippedEpochsResponse): import("..").JsonSafe<_171.QuerySkippedEpochsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_171.QuerySkippedEpochsResponse>): _171.QuerySkippedEpochsResponse;
                fromSDK(object: _171.QuerySkippedEpochsResponseSDKType): _171.QuerySkippedEpochsResponse;
                fromSDKJSON(object: any): _171.QuerySkippedEpochsResponseSDKType;
                toSDK(message: _171.QuerySkippedEpochsResponse): _171.QuerySkippedEpochsResponseSDKType;
                fromAmino(object: _171.QuerySkippedEpochsResponseAmino): _171.QuerySkippedEpochsResponse;
                toAmino(message: _171.QuerySkippedEpochsResponse): _171.QuerySkippedEpochsResponseAmino;
                fromAminoMsg(object: _171.QuerySkippedEpochsResponseAminoMsg): _171.QuerySkippedEpochsResponse;
                fromProtoMsg(message: _171.QuerySkippedEpochsResponseProtoMsg): _171.QuerySkippedEpochsResponse;
                toProto(message: _171.QuerySkippedEpochsResponse): Uint8Array;
                toProtoMsg(message: _171.QuerySkippedEpochsResponse): _171.QuerySkippedEpochsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryCirculatingSupplyRequest: {
                typeUrl: string;
                is(o: any): o is _171.QueryCirculatingSupplyRequest;
                isSDK(o: any): o is _171.QueryCirculatingSupplyRequestSDKType;
                isAmino(o: any): o is _171.QueryCirculatingSupplyRequestAmino;
                encode(_: _171.QueryCirculatingSupplyRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryCirculatingSupplyRequest;
                fromJSON(_: any): _171.QueryCirculatingSupplyRequest;
                toJSON(_: _171.QueryCirculatingSupplyRequest): import("..").JsonSafe<_171.QueryCirculatingSupplyRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_171.QueryCirculatingSupplyRequest>): _171.QueryCirculatingSupplyRequest;
                fromSDK(_: _171.QueryCirculatingSupplyRequestSDKType): _171.QueryCirculatingSupplyRequest;
                fromSDKJSON(_: any): _171.QueryCirculatingSupplyRequestSDKType;
                toSDK(_: _171.QueryCirculatingSupplyRequest): _171.QueryCirculatingSupplyRequestSDKType;
                fromAmino(_: _171.QueryCirculatingSupplyRequestAmino): _171.QueryCirculatingSupplyRequest;
                toAmino(_: _171.QueryCirculatingSupplyRequest): _171.QueryCirculatingSupplyRequestAmino;
                fromAminoMsg(object: _171.QueryCirculatingSupplyRequestAminoMsg): _171.QueryCirculatingSupplyRequest;
                fromProtoMsg(message: _171.QueryCirculatingSupplyRequestProtoMsg): _171.QueryCirculatingSupplyRequest;
                toProto(message: _171.QueryCirculatingSupplyRequest): Uint8Array;
                toProtoMsg(message: _171.QueryCirculatingSupplyRequest): _171.QueryCirculatingSupplyRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryCirculatingSupplyResponse: {
                typeUrl: string;
                is(o: any): o is _171.QueryCirculatingSupplyResponse;
                isSDK(o: any): o is _171.QueryCirculatingSupplyResponseSDKType;
                isAmino(o: any): o is _171.QueryCirculatingSupplyResponseAmino;
                encode(message: _171.QueryCirculatingSupplyResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryCirculatingSupplyResponse;
                fromJSON(object: any): _171.QueryCirculatingSupplyResponse;
                toJSON(message: _171.QueryCirculatingSupplyResponse): import("..").JsonSafe<_171.QueryCirculatingSupplyResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_171.QueryCirculatingSupplyResponse>): _171.QueryCirculatingSupplyResponse;
                fromSDK(object: _171.QueryCirculatingSupplyResponseSDKType): _171.QueryCirculatingSupplyResponse;
                fromSDKJSON(object: any): _171.QueryCirculatingSupplyResponseSDKType;
                toSDK(message: _171.QueryCirculatingSupplyResponse): _171.QueryCirculatingSupplyResponseSDKType;
                fromAmino(object: _171.QueryCirculatingSupplyResponseAmino): _171.QueryCirculatingSupplyResponse;
                toAmino(message: _171.QueryCirculatingSupplyResponse): _171.QueryCirculatingSupplyResponseAmino;
                fromAminoMsg(object: _171.QueryCirculatingSupplyResponseAminoMsg): _171.QueryCirculatingSupplyResponse;
                fromProtoMsg(message: _171.QueryCirculatingSupplyResponseProtoMsg): _171.QueryCirculatingSupplyResponse;
                toProto(message: _171.QueryCirculatingSupplyResponse): Uint8Array;
                toProtoMsg(message: _171.QueryCirculatingSupplyResponse): _171.QueryCirculatingSupplyResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryInflationRateRequest: {
                typeUrl: string;
                is(o: any): o is _171.QueryInflationRateRequest;
                isSDK(o: any): o is _171.QueryInflationRateRequestSDKType;
                isAmino(o: any): o is _171.QueryInflationRateRequestAmino;
                encode(_: _171.QueryInflationRateRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryInflationRateRequest;
                fromJSON(_: any): _171.QueryInflationRateRequest;
                toJSON(_: _171.QueryInflationRateRequest): import("..").JsonSafe<_171.QueryInflationRateRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_171.QueryInflationRateRequest>): _171.QueryInflationRateRequest;
                fromSDK(_: _171.QueryInflationRateRequestSDKType): _171.QueryInflationRateRequest;
                fromSDKJSON(_: any): _171.QueryInflationRateRequestSDKType;
                toSDK(_: _171.QueryInflationRateRequest): _171.QueryInflationRateRequestSDKType;
                fromAmino(_: _171.QueryInflationRateRequestAmino): _171.QueryInflationRateRequest;
                toAmino(_: _171.QueryInflationRateRequest): _171.QueryInflationRateRequestAmino;
                fromAminoMsg(object: _171.QueryInflationRateRequestAminoMsg): _171.QueryInflationRateRequest;
                fromProtoMsg(message: _171.QueryInflationRateRequestProtoMsg): _171.QueryInflationRateRequest;
                toProto(message: _171.QueryInflationRateRequest): Uint8Array;
                toProtoMsg(message: _171.QueryInflationRateRequest): _171.QueryInflationRateRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryInflationRateResponse: {
                typeUrl: string;
                is(o: any): o is _171.QueryInflationRateResponse;
                isSDK(o: any): o is _171.QueryInflationRateResponseSDKType;
                isAmino(o: any): o is _171.QueryInflationRateResponseAmino;
                encode(message: _171.QueryInflationRateResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryInflationRateResponse;
                fromJSON(object: any): _171.QueryInflationRateResponse;
                toJSON(message: _171.QueryInflationRateResponse): import("..").JsonSafe<_171.QueryInflationRateResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_171.QueryInflationRateResponse>): _171.QueryInflationRateResponse;
                fromSDK(object: _171.QueryInflationRateResponseSDKType): _171.QueryInflationRateResponse;
                fromSDKJSON(object: any): _171.QueryInflationRateResponseSDKType;
                toSDK(message: _171.QueryInflationRateResponse): _171.QueryInflationRateResponseSDKType;
                fromAmino(object: _171.QueryInflationRateResponseAmino): _171.QueryInflationRateResponse;
                toAmino(message: _171.QueryInflationRateResponse): _171.QueryInflationRateResponseAmino;
                fromAminoMsg(object: _171.QueryInflationRateResponseAminoMsg): _171.QueryInflationRateResponse;
                fromProtoMsg(message: _171.QueryInflationRateResponseProtoMsg): _171.QueryInflationRateResponse;
                toProto(message: _171.QueryInflationRateResponse): Uint8Array;
                toProtoMsg(message: _171.QueryInflationRateResponse): _171.QueryInflationRateResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsRequest: {
                typeUrl: string;
                is(o: any): o is _171.QueryParamsRequest;
                isSDK(o: any): o is _171.QueryParamsRequestSDKType;
                isAmino(o: any): o is _171.QueryParamsRequestAmino;
                encode(_: _171.QueryParamsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryParamsRequest;
                fromJSON(_: any): _171.QueryParamsRequest;
                toJSON(_: _171.QueryParamsRequest): import("..").JsonSafe<_171.QueryParamsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_171.QueryParamsRequest>): _171.QueryParamsRequest;
                fromSDK(_: _171.QueryParamsRequestSDKType): _171.QueryParamsRequest;
                fromSDKJSON(_: any): _171.QueryParamsRequestSDKType;
                toSDK(_: _171.QueryParamsRequest): _171.QueryParamsRequestSDKType;
                fromAmino(_: _171.QueryParamsRequestAmino): _171.QueryParamsRequest;
                toAmino(_: _171.QueryParamsRequest): _171.QueryParamsRequestAmino;
                fromAminoMsg(object: _171.QueryParamsRequestAminoMsg): _171.QueryParamsRequest;
                fromProtoMsg(message: _171.QueryParamsRequestProtoMsg): _171.QueryParamsRequest;
                toProto(message: _171.QueryParamsRequest): Uint8Array;
                toProtoMsg(message: _171.QueryParamsRequest): _171.QueryParamsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsResponse: {
                typeUrl: string;
                is(o: any): o is _171.QueryParamsResponse;
                isSDK(o: any): o is _171.QueryParamsResponseSDKType;
                isAmino(o: any): o is _171.QueryParamsResponseAmino;
                encode(message: _171.QueryParamsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _171.QueryParamsResponse;
                fromJSON(object: any): _171.QueryParamsResponse;
                toJSON(message: _171.QueryParamsResponse): import("..").JsonSafe<_171.QueryParamsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_171.QueryParamsResponse>): _171.QueryParamsResponse;
                fromSDK(object: _171.QueryParamsResponseSDKType): _171.QueryParamsResponse;
                fromSDKJSON(object: any): _171.QueryParamsResponseSDKType;
                toSDK(message: _171.QueryParamsResponse): _171.QueryParamsResponseSDKType;
                fromAmino(object: _171.QueryParamsResponseAmino): _171.QueryParamsResponse;
                toAmino(message: _171.QueryParamsResponse): _171.QueryParamsResponseAmino;
                fromAminoMsg(object: _171.QueryParamsResponseAminoMsg): _171.QueryParamsResponse;
                fromProtoMsg(message: _171.QueryParamsResponseProtoMsg): _171.QueryParamsResponse;
                toProto(message: _171.QueryParamsResponse): Uint8Array;
                toProtoMsg(message: _171.QueryParamsResponse): _171.QueryParamsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            InflationDistribution: {
                typeUrl: string;
                is(o: any): o is _170.InflationDistribution;
                isSDK(o: any): o is _170.InflationDistributionSDKType;
                isAmino(o: any): o is _170.InflationDistributionAmino;
                encode(message: _170.InflationDistribution, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _170.InflationDistribution;
                fromJSON(object: any): _170.InflationDistribution;
                toJSON(message: _170.InflationDistribution): import("..").JsonSafe<_170.InflationDistribution>;
                fromPartial(object: import("../helpers").DeepPartial<_170.InflationDistribution>): _170.InflationDistribution;
                fromSDK(object: _170.InflationDistributionSDKType): _170.InflationDistribution;
                fromSDKJSON(object: any): _170.InflationDistributionSDKType;
                toSDK(message: _170.InflationDistribution): _170.InflationDistributionSDKType;
                fromAmino(object: _170.InflationDistributionAmino): _170.InflationDistribution;
                toAmino(message: _170.InflationDistribution): _170.InflationDistributionAmino;
                fromAminoMsg(object: _170.InflationDistributionAminoMsg): _170.InflationDistribution;
                fromProtoMsg(message: _170.InflationDistributionProtoMsg): _170.InflationDistribution;
                toProto(message: _170.InflationDistribution): Uint8Array;
                toProtoMsg(message: _170.InflationDistribution): _170.InflationDistributionProtoMsg;
                registerTypeUrl(): void;
            };
            ExponentialCalculation: {
                typeUrl: string;
                is(o: any): o is _170.ExponentialCalculation;
                isSDK(o: any): o is _170.ExponentialCalculationSDKType;
                isAmino(o: any): o is _170.ExponentialCalculationAmino;
                encode(message: _170.ExponentialCalculation, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _170.ExponentialCalculation;
                fromJSON(object: any): _170.ExponentialCalculation;
                toJSON(message: _170.ExponentialCalculation): import("..").JsonSafe<_170.ExponentialCalculation>;
                fromPartial(object: import("../helpers").DeepPartial<_170.ExponentialCalculation>): _170.ExponentialCalculation;
                fromSDK(object: _170.ExponentialCalculationSDKType): _170.ExponentialCalculation;
                fromSDKJSON(object: any): _170.ExponentialCalculationSDKType;
                toSDK(message: _170.ExponentialCalculation): _170.ExponentialCalculationSDKType;
                fromAmino(object: _170.ExponentialCalculationAmino): _170.ExponentialCalculation;
                toAmino(message: _170.ExponentialCalculation): _170.ExponentialCalculationAmino;
                fromAminoMsg(object: _170.ExponentialCalculationAminoMsg): _170.ExponentialCalculation;
                fromProtoMsg(message: _170.ExponentialCalculationProtoMsg): _170.ExponentialCalculation;
                toProto(message: _170.ExponentialCalculation): Uint8Array;
                toProtoMsg(message: _170.ExponentialCalculation): _170.ExponentialCalculationProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _169.GenesisState;
                isSDK(o: any): o is _169.GenesisStateSDKType;
                isAmino(o: any): o is _169.GenesisStateAmino;
                encode(message: _169.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _169.GenesisState;
                fromJSON(object: any): _169.GenesisState;
                toJSON(message: _169.GenesisState): import("..").JsonSafe<_169.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_169.GenesisState>): _169.GenesisState;
                fromSDK(object: _169.GenesisStateSDKType): _169.GenesisState;
                fromSDKJSON(object: any): _169.GenesisStateSDKType;
                toSDK(message: _169.GenesisState): _169.GenesisStateSDKType;
                fromAmino(object: _169.GenesisStateAmino): _169.GenesisState;
                toAmino(message: _169.GenesisState): _169.GenesisStateAmino;
                fromAminoMsg(object: _169.GenesisStateAminoMsg): _169.GenesisState;
                fromProtoMsg(message: _169.GenesisStateProtoMsg): _169.GenesisState;
                toProto(message: _169.GenesisState): Uint8Array;
                toProtoMsg(message: _169.GenesisState): _169.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
            Params: {
                typeUrl: string;
                is(o: any): o is _169.Params;
                isSDK(o: any): o is _169.ParamsSDKType;
                isAmino(o: any): o is _169.ParamsAmino;
                encode(message: _169.Params, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _169.Params;
                fromJSON(object: any): _169.Params;
                toJSON(message: _169.Params): import("..").JsonSafe<_169.Params>;
                fromPartial(object: import("../helpers").DeepPartial<_169.Params>): _169.Params;
                fromSDK(object: _169.ParamsSDKType): _169.Params;
                fromSDKJSON(object: any): _169.ParamsSDKType;
                toSDK(message: _169.Params): _169.ParamsSDKType;
                fromAmino(object: _169.ParamsAmino): _169.Params;
                toAmino(message: _169.Params): _169.ParamsAmino;
                fromAminoMsg(object: _169.ParamsAminoMsg): _169.Params;
                fromProtoMsg(message: _169.ParamsProtoMsg): _169.Params;
                toProto(message: _169.Params): Uint8Array;
                toProtoMsg(message: _169.Params): _169.ParamsProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace recovery {
        const v1: {
            QueryClientImpl: typeof _464.QueryClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _464.QueryClientImpl;
            LCDQueryClient: typeof _456.LCDQueryClient;
            protobufPackage: "evmos.recovery.v1";
            QueryParamsRequest: {
                typeUrl: string;
                is(o: any): o is _173.QueryParamsRequest;
                isSDK(o: any): o is _173.QueryParamsRequestSDKType;
                isAmino(o: any): o is _173.QueryParamsRequestAmino;
                encode(_: _173.QueryParamsRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _173.QueryParamsRequest;
                fromJSON(_: any): _173.QueryParamsRequest;
                toJSON(_: _173.QueryParamsRequest): import("..").JsonSafe<_173.QueryParamsRequest>;
                fromPartial(_: import("../helpers").DeepPartial<_173.QueryParamsRequest>): _173.QueryParamsRequest;
                fromSDK(_: _173.QueryParamsRequestSDKType): _173.QueryParamsRequest;
                fromSDKJSON(_: any): _173.QueryParamsRequestSDKType;
                toSDK(_: _173.QueryParamsRequest): _173.QueryParamsRequestSDKType;
                fromAmino(_: _173.QueryParamsRequestAmino): _173.QueryParamsRequest;
                toAmino(_: _173.QueryParamsRequest): _173.QueryParamsRequestAmino;
                fromAminoMsg(object: _173.QueryParamsRequestAminoMsg): _173.QueryParamsRequest;
                fromProtoMsg(message: _173.QueryParamsRequestProtoMsg): _173.QueryParamsRequest;
                toProto(message: _173.QueryParamsRequest): Uint8Array;
                toProtoMsg(message: _173.QueryParamsRequest): _173.QueryParamsRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryParamsResponse: {
                typeUrl: string;
                is(o: any): o is _173.QueryParamsResponse;
                isSDK(o: any): o is _173.QueryParamsResponseSDKType;
                isAmino(o: any): o is _173.QueryParamsResponseAmino;
                encode(message: _173.QueryParamsResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _173.QueryParamsResponse;
                fromJSON(object: any): _173.QueryParamsResponse;
                toJSON(message: _173.QueryParamsResponse): import("..").JsonSafe<_173.QueryParamsResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_173.QueryParamsResponse>): _173.QueryParamsResponse;
                fromSDK(object: _173.QueryParamsResponseSDKType): _173.QueryParamsResponse;
                fromSDKJSON(object: any): _173.QueryParamsResponseSDKType;
                toSDK(message: _173.QueryParamsResponse): _173.QueryParamsResponseSDKType;
                fromAmino(object: _173.QueryParamsResponseAmino): _173.QueryParamsResponse;
                toAmino(message: _173.QueryParamsResponse): _173.QueryParamsResponseAmino;
                fromAminoMsg(object: _173.QueryParamsResponseAminoMsg): _173.QueryParamsResponse;
                fromProtoMsg(message: _173.QueryParamsResponseProtoMsg): _173.QueryParamsResponse;
                toProto(message: _173.QueryParamsResponse): Uint8Array;
                toProtoMsg(message: _173.QueryParamsResponse): _173.QueryParamsResponseProtoMsg;
                registerTypeUrl(): void;
            };
            GenesisState: {
                typeUrl: string;
                is(o: any): o is _172.GenesisState;
                isSDK(o: any): o is _172.GenesisStateSDKType;
                isAmino(o: any): o is _172.GenesisStateAmino;
                encode(message: _172.GenesisState, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _172.GenesisState;
                fromJSON(object: any): _172.GenesisState;
                toJSON(message: _172.GenesisState): import("..").JsonSafe<_172.GenesisState>;
                fromPartial(object: import("../helpers").DeepPartial<_172.GenesisState>): _172.GenesisState;
                fromSDK(object: _172.GenesisStateSDKType): _172.GenesisState;
                fromSDKJSON(object: any): _172.GenesisStateSDKType;
                toSDK(message: _172.GenesisState): _172.GenesisStateSDKType;
                fromAmino(object: _172.GenesisStateAmino): _172.GenesisState;
                toAmino(message: _172.GenesisState): _172.GenesisStateAmino;
                fromAminoMsg(object: _172.GenesisStateAminoMsg): _172.GenesisState;
                fromProtoMsg(message: _172.GenesisStateProtoMsg): _172.GenesisState;
                toProto(message: _172.GenesisState): Uint8Array;
                toProtoMsg(message: _172.GenesisState): _172.GenesisStateProtoMsg;
                registerTypeUrl(): void;
            };
            Params: {
                typeUrl: string;
                is(o: any): o is _172.Params;
                isSDK(o: any): o is _172.ParamsSDKType;
                isAmino(o: any): o is _172.ParamsAmino;
                encode(message: _172.Params, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _172.Params;
                fromJSON(object: any): _172.Params;
                toJSON(message: _172.Params): import("..").JsonSafe<_172.Params>;
                fromPartial(object: import("../helpers").DeepPartial<_172.Params>): _172.Params;
                fromSDK(object: _172.ParamsSDKType): _172.Params;
                fromSDKJSON(object: any): _172.ParamsSDKType;
                toSDK(message: _172.Params): _172.ParamsSDKType;
                fromAmino(object: _172.ParamsAmino): _172.Params;
                toAmino(message: _172.Params): _172.ParamsAmino;
                fromAminoMsg(object: _172.ParamsAminoMsg): _172.Params;
                fromProtoMsg(message: _172.ParamsProtoMsg): _172.Params;
                toProto(message: _172.Params): Uint8Array;
                toProtoMsg(message: _172.Params): _172.ParamsProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    namespace vesting {
        const v1: {
            MsgClientImpl: typeof _468.MsgClientImpl;
            createClientImpl: (rpc: import("..").TxRpc) => _468.MsgClientImpl;
            QueryClientImpl: typeof _465.QueryClientImpl;
            LCDQueryClient: typeof _457.LCDQueryClient;
            registry: ReadonlyArray<[string, import("..").TelescopeGeneratedType<any, any, any>]>;
            load: (protoRegistry: import("@cosmjs/proto-signing").Registry) => void;
            MessageComposer: {
                encoded: {
                    createClawbackVestingAccount(value: _175.MsgCreateClawbackVestingAccount): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                    clawback(value: _175.MsgClawback): {
                        typeUrl: string;
                        value: Uint8Array<ArrayBufferLike>;
                    };
                };
                withTypeUrl: {
                    createClawbackVestingAccount(value: _175.MsgCreateClawbackVestingAccount): {
                        typeUrl: string;
                        value: _175.MsgCreateClawbackVestingAccount;
                    };
                    clawback(value: _175.MsgClawback): {
                        typeUrl: string;
                        value: _175.MsgClawback;
                    };
                };
                toJSON: {
                    createClawbackVestingAccount(value: _175.MsgCreateClawbackVestingAccount): {
                        typeUrl: string;
                        value: {
                            fromAddress: string;
                            toAddress: string;
                            startTime: string;
                            lockupPeriods: {
                                length: string;
                                amount: {
                                    denom: string;
                                    amount: string;
                                }[];
                            }[];
                            vestingPeriods: {
                                length: string;
                                amount: {
                                    denom: string;
                                    amount: string;
                                }[];
                            }[];
                            merge: boolean;
                        };
                    };
                    clawback(value: _175.MsgClawback): {
                        typeUrl: string;
                        value: {
                            funderAddress: string;
                            accountAddress: string;
                            destAddress: string;
                        };
                    };
                };
                fromJSON: {
                    createClawbackVestingAccount(value: any): {
                        typeUrl: string;
                        value: _175.MsgCreateClawbackVestingAccount;
                    };
                    clawback(value: any): {
                        typeUrl: string;
                        value: _175.MsgClawback;
                    };
                };
                fromPartial: {
                    createClawbackVestingAccount(value: _175.MsgCreateClawbackVestingAccount): {
                        typeUrl: string;
                        value: _175.MsgCreateClawbackVestingAccount;
                    };
                    clawback(value: _175.MsgClawback): {
                        typeUrl: string;
                        value: _175.MsgClawback;
                    };
                };
            };
            AminoConverter: {
                "/evmos.vesting.v1.MsgCreateClawbackVestingAccount": {
                    aminoType: string;
                    toAmino: (message: _175.MsgCreateClawbackVestingAccount) => _175.MsgCreateClawbackVestingAccountAmino;
                    fromAmino: (object: _175.MsgCreateClawbackVestingAccountAmino) => _175.MsgCreateClawbackVestingAccount;
                };
                "/evmos.vesting.v1.MsgClawback": {
                    aminoType: string;
                    toAmino: (message: _175.MsgClawback) => _175.MsgClawbackAmino;
                    fromAmino: (object: _175.MsgClawbackAmino) => _175.MsgClawback;
                };
            };
            protobufPackage: "evmos.vesting.v1";
            ClawbackVestingAccount: {
                typeUrl: string;
                is(o: any): o is _176.ClawbackVestingAccount;
                isSDK(o: any): o is _176.ClawbackVestingAccountSDKType;
                isAmino(o: any): o is _176.ClawbackVestingAccountAmino;
                encode(message: _176.ClawbackVestingAccount, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _176.ClawbackVestingAccount;
                fromJSON(object: any): _176.ClawbackVestingAccount;
                toJSON(message: _176.ClawbackVestingAccount): import("..").JsonSafe<_176.ClawbackVestingAccount>;
                fromPartial(object: import("../helpers").DeepPartial<_176.ClawbackVestingAccount>): _176.ClawbackVestingAccount;
                fromSDK(object: _176.ClawbackVestingAccountSDKType): _176.ClawbackVestingAccount;
                fromSDKJSON(object: any): _176.ClawbackVestingAccountSDKType;
                toSDK(message: _176.ClawbackVestingAccount): _176.ClawbackVestingAccountSDKType;
                fromAmino(object: _176.ClawbackVestingAccountAmino): _176.ClawbackVestingAccount;
                toAmino(message: _176.ClawbackVestingAccount): _176.ClawbackVestingAccountAmino;
                fromAminoMsg(object: _176.ClawbackVestingAccountAminoMsg): _176.ClawbackVestingAccount;
                fromProtoMsg(message: _176.ClawbackVestingAccountProtoMsg): _176.ClawbackVestingAccount;
                toProto(message: _176.ClawbackVestingAccount): Uint8Array;
                toProtoMsg(message: _176.ClawbackVestingAccount): _176.ClawbackVestingAccountProtoMsg;
                registerTypeUrl(): void;
            };
            MsgCreateClawbackVestingAccount: {
                typeUrl: string;
                is(o: any): o is _175.MsgCreateClawbackVestingAccount;
                isSDK(o: any): o is _175.MsgCreateClawbackVestingAccountSDKType;
                isAmino(o: any): o is _175.MsgCreateClawbackVestingAccountAmino;
                encode(message: _175.MsgCreateClawbackVestingAccount, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _175.MsgCreateClawbackVestingAccount;
                fromJSON(object: any): _175.MsgCreateClawbackVestingAccount;
                toJSON(message: _175.MsgCreateClawbackVestingAccount): import("..").JsonSafe<_175.MsgCreateClawbackVestingAccount>;
                fromPartial(object: import("../helpers").DeepPartial<_175.MsgCreateClawbackVestingAccount>): _175.MsgCreateClawbackVestingAccount;
                fromSDK(object: _175.MsgCreateClawbackVestingAccountSDKType): _175.MsgCreateClawbackVestingAccount;
                fromSDKJSON(object: any): _175.MsgCreateClawbackVestingAccountSDKType;
                toSDK(message: _175.MsgCreateClawbackVestingAccount): _175.MsgCreateClawbackVestingAccountSDKType;
                fromAmino(object: _175.MsgCreateClawbackVestingAccountAmino): _175.MsgCreateClawbackVestingAccount;
                toAmino(message: _175.MsgCreateClawbackVestingAccount): _175.MsgCreateClawbackVestingAccountAmino;
                fromAminoMsg(object: _175.MsgCreateClawbackVestingAccountAminoMsg): _175.MsgCreateClawbackVestingAccount;
                fromProtoMsg(message: _175.MsgCreateClawbackVestingAccountProtoMsg): _175.MsgCreateClawbackVestingAccount;
                toProto(message: _175.MsgCreateClawbackVestingAccount): Uint8Array;
                toProtoMsg(message: _175.MsgCreateClawbackVestingAccount): _175.MsgCreateClawbackVestingAccountProtoMsg;
                registerTypeUrl(): void;
            };
            MsgCreateClawbackVestingAccountResponse: {
                typeUrl: string;
                is(o: any): o is _175.MsgCreateClawbackVestingAccountResponse;
                isSDK(o: any): o is _175.MsgCreateClawbackVestingAccountResponseSDKType;
                isAmino(o: any): o is _175.MsgCreateClawbackVestingAccountResponseAmino;
                encode(_: _175.MsgCreateClawbackVestingAccountResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _175.MsgCreateClawbackVestingAccountResponse;
                fromJSON(_: any): _175.MsgCreateClawbackVestingAccountResponse;
                toJSON(_: _175.MsgCreateClawbackVestingAccountResponse): import("..").JsonSafe<_175.MsgCreateClawbackVestingAccountResponse>;
                fromPartial(_: import("../helpers").DeepPartial<_175.MsgCreateClawbackVestingAccountResponse>): _175.MsgCreateClawbackVestingAccountResponse;
                fromSDK(_: _175.MsgCreateClawbackVestingAccountResponseSDKType): _175.MsgCreateClawbackVestingAccountResponse;
                fromSDKJSON(_: any): _175.MsgCreateClawbackVestingAccountResponseSDKType;
                toSDK(_: _175.MsgCreateClawbackVestingAccountResponse): _175.MsgCreateClawbackVestingAccountResponseSDKType;
                fromAmino(_: _175.MsgCreateClawbackVestingAccountResponseAmino): _175.MsgCreateClawbackVestingAccountResponse;
                toAmino(_: _175.MsgCreateClawbackVestingAccountResponse): _175.MsgCreateClawbackVestingAccountResponseAmino;
                fromAminoMsg(object: _175.MsgCreateClawbackVestingAccountResponseAminoMsg): _175.MsgCreateClawbackVestingAccountResponse;
                fromProtoMsg(message: _175.MsgCreateClawbackVestingAccountResponseProtoMsg): _175.MsgCreateClawbackVestingAccountResponse;
                toProto(message: _175.MsgCreateClawbackVestingAccountResponse): Uint8Array;
                toProtoMsg(message: _175.MsgCreateClawbackVestingAccountResponse): _175.MsgCreateClawbackVestingAccountResponseProtoMsg;
                registerTypeUrl(): void;
            };
            MsgClawback: {
                typeUrl: string;
                is(o: any): o is _175.MsgClawback;
                isSDK(o: any): o is _175.MsgClawbackSDKType;
                isAmino(o: any): o is _175.MsgClawbackAmino;
                encode(message: _175.MsgClawback, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _175.MsgClawback;
                fromJSON(object: any): _175.MsgClawback;
                toJSON(message: _175.MsgClawback): import("..").JsonSafe<_175.MsgClawback>;
                fromPartial(object: import("../helpers").DeepPartial<_175.MsgClawback>): _175.MsgClawback;
                fromSDK(object: _175.MsgClawbackSDKType): _175.MsgClawback;
                fromSDKJSON(object: any): _175.MsgClawbackSDKType;
                toSDK(message: _175.MsgClawback): _175.MsgClawbackSDKType;
                fromAmino(object: _175.MsgClawbackAmino): _175.MsgClawback;
                toAmino(message: _175.MsgClawback): _175.MsgClawbackAmino;
                fromAminoMsg(object: _175.MsgClawbackAminoMsg): _175.MsgClawback;
                fromProtoMsg(message: _175.MsgClawbackProtoMsg): _175.MsgClawback;
                toProto(message: _175.MsgClawback): Uint8Array;
                toProtoMsg(message: _175.MsgClawback): _175.MsgClawbackProtoMsg;
                registerTypeUrl(): void;
            };
            MsgClawbackResponse: {
                typeUrl: string;
                is(o: any): o is _175.MsgClawbackResponse;
                isSDK(o: any): o is _175.MsgClawbackResponseSDKType;
                isAmino(o: any): o is _175.MsgClawbackResponseAmino;
                encode(_: _175.MsgClawbackResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _175.MsgClawbackResponse;
                fromJSON(_: any): _175.MsgClawbackResponse;
                toJSON(_: _175.MsgClawbackResponse): import("..").JsonSafe<_175.MsgClawbackResponse>;
                fromPartial(_: import("../helpers").DeepPartial<_175.MsgClawbackResponse>): _175.MsgClawbackResponse;
                fromSDK(_: _175.MsgClawbackResponseSDKType): _175.MsgClawbackResponse;
                fromSDKJSON(_: any): _175.MsgClawbackResponseSDKType;
                toSDK(_: _175.MsgClawbackResponse): _175.MsgClawbackResponseSDKType;
                fromAmino(_: _175.MsgClawbackResponseAmino): _175.MsgClawbackResponse;
                toAmino(_: _175.MsgClawbackResponse): _175.MsgClawbackResponseAmino;
                fromAminoMsg(object: _175.MsgClawbackResponseAminoMsg): _175.MsgClawbackResponse;
                fromProtoMsg(message: _175.MsgClawbackResponseProtoMsg): _175.MsgClawbackResponse;
                toProto(message: _175.MsgClawbackResponse): Uint8Array;
                toProtoMsg(message: _175.MsgClawbackResponse): _175.MsgClawbackResponseProtoMsg;
                registerTypeUrl(): void;
            };
            QueryBalancesRequest: {
                typeUrl: string;
                is(o: any): o is _174.QueryBalancesRequest;
                isSDK(o: any): o is _174.QueryBalancesRequestSDKType;
                isAmino(o: any): o is _174.QueryBalancesRequestAmino;
                encode(message: _174.QueryBalancesRequest, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _174.QueryBalancesRequest;
                fromJSON(object: any): _174.QueryBalancesRequest;
                toJSON(message: _174.QueryBalancesRequest): import("..").JsonSafe<_174.QueryBalancesRequest>;
                fromPartial(object: import("../helpers").DeepPartial<_174.QueryBalancesRequest>): _174.QueryBalancesRequest;
                fromSDK(object: _174.QueryBalancesRequestSDKType): _174.QueryBalancesRequest;
                fromSDKJSON(object: any): _174.QueryBalancesRequestSDKType;
                toSDK(message: _174.QueryBalancesRequest): _174.QueryBalancesRequestSDKType;
                fromAmino(object: _174.QueryBalancesRequestAmino): _174.QueryBalancesRequest;
                toAmino(message: _174.QueryBalancesRequest): _174.QueryBalancesRequestAmino;
                fromAminoMsg(object: _174.QueryBalancesRequestAminoMsg): _174.QueryBalancesRequest;
                fromProtoMsg(message: _174.QueryBalancesRequestProtoMsg): _174.QueryBalancesRequest;
                toProto(message: _174.QueryBalancesRequest): Uint8Array;
                toProtoMsg(message: _174.QueryBalancesRequest): _174.QueryBalancesRequestProtoMsg;
                registerTypeUrl(): void;
            };
            QueryBalancesResponse: {
                typeUrl: string;
                is(o: any): o is _174.QueryBalancesResponse;
                isSDK(o: any): o is _174.QueryBalancesResponseSDKType;
                isAmino(o: any): o is _174.QueryBalancesResponseAmino;
                encode(message: _174.QueryBalancesResponse, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
                decode(input: import("..").BinaryReader | Uint8Array, length?: number): _174.QueryBalancesResponse;
                fromJSON(object: any): _174.QueryBalancesResponse;
                toJSON(message: _174.QueryBalancesResponse): import("..").JsonSafe<_174.QueryBalancesResponse>;
                fromPartial(object: import("../helpers").DeepPartial<_174.QueryBalancesResponse>): _174.QueryBalancesResponse;
                fromSDK(object: _174.QueryBalancesResponseSDKType): _174.QueryBalancesResponse;
                fromSDKJSON(object: any): _174.QueryBalancesResponseSDKType;
                toSDK(message: _174.QueryBalancesResponse): _174.QueryBalancesResponseSDKType;
                fromAmino(object: _174.QueryBalancesResponseAmino): _174.QueryBalancesResponse;
                toAmino(message: _174.QueryBalancesResponse): _174.QueryBalancesResponseAmino;
                fromAminoMsg(object: _174.QueryBalancesResponseAminoMsg): _174.QueryBalancesResponse;
                fromProtoMsg(message: _174.QueryBalancesResponseProtoMsg): _174.QueryBalancesResponse;
                toProto(message: _174.QueryBalancesResponse): Uint8Array;
                toProtoMsg(message: _174.QueryBalancesResponse): _174.QueryBalancesResponseProtoMsg;
                registerTypeUrl(): void;
            };
        };
    }
    const ClientFactory: {
        createEvmosRPCTxClient: ({ rpc }: {
            rpc: import("../helpers").Rpc;
        }) => Promise<{
            cosmos: {
                bank: {
                    v1beta1: import("../cosmos/bank/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                gov: {
                    v1beta1: import("../cosmos/gov/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
            };
            evmos: {
                erc20: {
                    v1: _466.MsgClientImpl;
                };
            };
        }>;
        createRPCMsgClient: ({ rpc }: {
            rpc: import("../helpers").Rpc;
        }) => Promise<{
            cosmos: {
                authz: {
                    v1beta1: import("../cosmos/authz/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                bank: {
                    v1beta1: import("../cosmos/bank/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                crisis: {
                    v1beta1: import("../cosmos/crisis/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                distribution: {
                    v1beta1: import("../cosmos/distribution/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                evidence: {
                    v1beta1: import("../cosmos/evidence/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                feegrant: {
                    v1beta1: import("../cosmos/feegrant/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                gov: {
                    v1: import("../cosmos/gov/v1/tx.rpc.msg").MsgClientImpl;
                    v1beta1: import("../cosmos/gov/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                group: {
                    v1: import("../cosmos/group/v1/tx.rpc.msg").MsgClientImpl;
                };
                nft: {
                    v1beta1: import("../cosmos/nft/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                slashing: {
                    v1beta1: import("../cosmos/slashing/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                staking: {
                    v1beta1: import("../cosmos/staking/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                upgrade: {
                    v1beta1: import("../cosmos/upgrade/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
                vesting: {
                    v1beta1: import("../cosmos/vesting/v1beta1/tx.rpc.msg").MsgClientImpl;
                };
            };
            evmos: {
                erc20: {
                    v1: _466.MsgClientImpl;
                };
                fees: {
                    v1: _467.MsgClientImpl;
                };
                vesting: {
                    v1: _468.MsgClientImpl;
                };
            };
        }>;
        createEvmosRPCQueryClient: ({ rpc }: {
            rpc: import("../helpers").Rpc;
        }) => Promise<{
            cosmos: {
                bank: {
                    v1beta1: import("../cosmos/bank/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                gov: {
                    v1beta1: import("../cosmos/gov/v1beta1/query.rpc.Query").QueryClientImpl;
                };
            };
            evmos: {
                erc20: {
                    v1: _460.QueryClientImpl;
                };
            };
        }>;
        createRPCQueryClient: ({ rpc }: {
            rpc: import("../helpers").Rpc;
        }) => Promise<{
            cosmos: {
                app: {
                    v1alpha1: import("../cosmos/app/v1alpha1/query.rpc.Query").QueryClientImpl;
                };
                auth: {
                    v1beta1: import("../cosmos/auth/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                authz: {
                    v1beta1: import("../cosmos/authz/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                bank: {
                    v1beta1: import("../cosmos/bank/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                base: {
                    reflection: {
                        v1beta1: import("../cosmos/base/reflection/v1beta1/reflection.rpc.ReflectionService").ReflectionServiceClientImpl;
                        v2alpha1: import("../cosmos/base/reflection/v2alpha1/reflection.rpc.ReflectionService").ReflectionServiceClientImpl;
                    };
                    tendermint: {
                        v1beta1: import("../cosmos/base/tendermint/v1beta1/query.rpc.Service").ServiceClientImpl;
                    };
                };
                distribution: {
                    v1beta1: import("../cosmos/distribution/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                evidence: {
                    v1beta1: import("../cosmos/evidence/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                feegrant: {
                    v1beta1: import("../cosmos/feegrant/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                gov: {
                    v1: import("../cosmos/gov/v1/query.rpc.Query").QueryClientImpl;
                    v1beta1: import("../cosmos/gov/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                group: {
                    v1: import("../cosmos/group/v1/query.rpc.Query").QueryClientImpl;
                };
                mint: {
                    v1beta1: import("../cosmos/mint/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                nft: {
                    v1beta1: import("../cosmos/nft/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                params: {
                    v1beta1: import("../cosmos/params/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                slashing: {
                    v1beta1: import("../cosmos/slashing/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                staking: {
                    v1beta1: import("../cosmos/staking/v1beta1/query.rpc.Query").QueryClientImpl;
                };
                tx: {
                    v1beta1: import("../cosmos/tx/v1beta1/service.rpc.Service").ServiceClientImpl;
                };
                upgrade: {
                    v1beta1: import("../cosmos/upgrade/v1beta1/query.rpc.Query").QueryClientImpl;
                };
            };
            evmos: {
                claims: {
                    v1: _458.QueryClientImpl;
                };
                epochs: {
                    v1: _459.QueryClientImpl;
                };
                erc20: {
                    v1: _460.QueryClientImpl;
                };
                fees: {
                    v1: _461.QueryClientImpl;
                };
                incentives: {
                    v1: _462.QueryClientImpl;
                };
                inflation: {
                    v1: _463.QueryClientImpl;
                };
                recovery: {
                    v1: _464.QueryClientImpl;
                };
                vesting: {
                    v1: _465.QueryClientImpl;
                };
            };
        }>;
        createEvmosLCDClient: ({ restEndpoint }: {
            restEndpoint: string;
        }) => Promise<{
            cosmos: {
                bank: {
                    v1beta1: import("../cosmos/bank/v1beta1/query.lcd").LCDQueryClient;
                };
                gov: {
                    v1beta1: import("../cosmos/gov/v1beta1/query.lcd").LCDQueryClient;
                };
            };
            evmos: {
                erc20: {
                    v1: _452.LCDQueryClient;
                };
            };
        }>;
        createLCDClient: ({ restEndpoint }: {
            restEndpoint: string;
        }) => Promise<{
            cosmos: {
                auth: {
                    v1beta1: import("../cosmos/auth/v1beta1/query.lcd").LCDQueryClient;
                };
                authz: {
                    v1beta1: import("../cosmos/authz/v1beta1/query.lcd").LCDQueryClient;
                };
                bank: {
                    v1beta1: import("../cosmos/bank/v1beta1/query.lcd").LCDQueryClient;
                };
                base: {
                    reflection: {
                        v1beta1: import("../cosmos/base/reflection/v1beta1/reflection.lcd").LCDQueryClient;
                        v2alpha1: import("../cosmos/base/reflection/v2alpha1/reflection.lcd").LCDQueryClient;
                    };
                    tendermint: {
                        v1beta1: import("../cosmos/base/tendermint/v1beta1/query.lcd").LCDQueryClient;
                    };
                };
                distribution: {
                    v1beta1: import("../cosmos/distribution/v1beta1/query.lcd").LCDQueryClient;
                };
                evidence: {
                    v1beta1: import("../cosmos/evidence/v1beta1/query.lcd").LCDQueryClient;
                };
                feegrant: {
                    v1beta1: import("../cosmos/feegrant/v1beta1/query.lcd").LCDQueryClient;
                };
                gov: {
                    v1: import("../cosmos/gov/v1/query.lcd").LCDQueryClient;
                    v1beta1: import("../cosmos/gov/v1beta1/query.lcd").LCDQueryClient;
                };
                group: {
                    v1: import("../cosmos/group/v1/query.lcd").LCDQueryClient;
                };
                mint: {
                    v1beta1: import("../cosmos/mint/v1beta1/query.lcd").LCDQueryClient;
                };
                nft: {
                    v1beta1: import("../cosmos/nft/v1beta1/query.lcd").LCDQueryClient;
                };
                params: {
                    v1beta1: import("../cosmos/params/v1beta1/query.lcd").LCDQueryClient;
                };
                slashing: {
                    v1beta1: import("../cosmos/slashing/v1beta1/query.lcd").LCDQueryClient;
                };
                staking: {
                    v1beta1: import("../cosmos/staking/v1beta1/query.lcd").LCDQueryClient;
                };
                tx: {
                    v1beta1: import("../cosmos/tx/v1beta1/service.lcd").LCDQueryClient;
                };
                upgrade: {
                    v1beta1: import("../cosmos/upgrade/v1beta1/query.lcd").LCDQueryClient;
                };
            };
            evmos: {
                claims: {
                    v1: _450.LCDQueryClient;
                };
                epochs: {
                    v1: _451.LCDQueryClient;
                };
                erc20: {
                    v1: _452.LCDQueryClient;
                };
                fees: {
                    v1: _453.LCDQueryClient;
                };
                incentives: {
                    v1: _454.LCDQueryClient;
                };
                inflation: {
                    v1: _455.LCDQueryClient;
                };
                recovery: {
                    v1: _456.LCDQueryClient;
                };
                vesting: {
                    v1: _457.LCDQueryClient;
                };
            };
        }>;
    };
}
