import { Rpc } from "../helpers";
export declare const createEvmosRPCQueryClient: ({ rpc }: {
    rpc: Rpc;
}) => Promise<{
    cosmos: {
        bank: {
            v1beta1: import("../cosmos/bank/v1beta1/query.rpc.Query").QueryClientImpl;
        };
        gov: {
            v1beta1: import("../cosmos/gov/v1beta1/query.rpc.Query").QueryClientImpl;
        };
    };
    evmos: {
        erc20: {
            v1: import("./erc20/v1/query.rpc.Query").QueryClientImpl;
        };
    };
}>;
