import * as _53 from "../confio/proofs";
export declare const ics23: {
    hashOpFromJSON(object: any): _53.HashOp;
    hashOpToJSON(object: _53.HashOp): string;
    lengthOpFromJSON(object: any): _53.LengthOp;
    lengthOpToJSON(object: _53.LengthOp): string;
    protobufPackage: "ics23";
    HashOp: typeof _53.HashOp;
    HashOpSDKType: typeof _53.HashOp;
    HashOpAmino: typeof _53.HashOp;
    LengthOp: typeof _53.LengthOp;
    LengthOpSDKType: typeof _53.LengthOp;
    LengthOpAmino: typeof _53.LengthOp;
    ExistenceProof: {
        typeUrl: string;
        is(o: any): o is _53.ExistenceProof;
        isSDK(o: any): o is _53.ExistenceProofSDKType;
        isAmino(o: any): o is _53.ExistenceProofAmino;
        encode(message: _53.ExistenceProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.ExistenceProof;
        fromJSON(object: any): _53.ExistenceProof;
        toJSON(message: _53.ExistenceProof): import("..").JsonSafe<_53.ExistenceProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.ExistenceProof>): _53.ExistenceProof;
        fromSDK(object: _53.ExistenceProofSDKType): _53.ExistenceProof;
        fromSDKJSON(object: any): _53.ExistenceProofSDKType;
        toSDK(message: _53.ExistenceProof): _53.ExistenceProofSDKType;
        fromAmino(object: _53.ExistenceProofAmino): _53.ExistenceProof;
        toAmino(message: _53.ExistenceProof): _53.ExistenceProofAmino;
        fromAminoMsg(object: _53.ExistenceProofAminoMsg): _53.ExistenceProof;
        fromProtoMsg(message: _53.ExistenceProofProtoMsg): _53.ExistenceProof;
        toProto(message: _53.ExistenceProof): Uint8Array;
        toProtoMsg(message: _53.ExistenceProof): _53.ExistenceProofProtoMsg;
        registerTypeUrl(): void;
    };
    NonExistenceProof: {
        typeUrl: string;
        is(o: any): o is _53.NonExistenceProof;
        isSDK(o: any): o is _53.NonExistenceProofSDKType;
        isAmino(o: any): o is _53.NonExistenceProofAmino;
        encode(message: _53.NonExistenceProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.NonExistenceProof;
        fromJSON(object: any): _53.NonExistenceProof;
        toJSON(message: _53.NonExistenceProof): import("..").JsonSafe<_53.NonExistenceProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.NonExistenceProof>): _53.NonExistenceProof;
        fromSDK(object: _53.NonExistenceProofSDKType): _53.NonExistenceProof;
        fromSDKJSON(object: any): _53.NonExistenceProofSDKType;
        toSDK(message: _53.NonExistenceProof): _53.NonExistenceProofSDKType;
        fromAmino(object: _53.NonExistenceProofAmino): _53.NonExistenceProof;
        toAmino(message: _53.NonExistenceProof): _53.NonExistenceProofAmino;
        fromAminoMsg(object: _53.NonExistenceProofAminoMsg): _53.NonExistenceProof;
        fromProtoMsg(message: _53.NonExistenceProofProtoMsg): _53.NonExistenceProof;
        toProto(message: _53.NonExistenceProof): Uint8Array;
        toProtoMsg(message: _53.NonExistenceProof): _53.NonExistenceProofProtoMsg;
        registerTypeUrl(): void;
    };
    CommitmentProof: {
        typeUrl: string;
        is(o: any): o is _53.CommitmentProof;
        isSDK(o: any): o is _53.CommitmentProofSDKType;
        isAmino(o: any): o is _53.CommitmentProofAmino;
        encode(message: _53.CommitmentProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.CommitmentProof;
        fromJSON(object: any): _53.CommitmentProof;
        toJSON(message: _53.CommitmentProof): import("..").JsonSafe<_53.CommitmentProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.CommitmentProof>): _53.CommitmentProof;
        fromSDK(object: _53.CommitmentProofSDKType): _53.CommitmentProof;
        fromSDKJSON(object: any): _53.CommitmentProofSDKType;
        toSDK(message: _53.CommitmentProof): _53.CommitmentProofSDKType;
        fromAmino(object: _53.CommitmentProofAmino): _53.CommitmentProof;
        toAmino(message: _53.CommitmentProof): _53.CommitmentProofAmino;
        fromAminoMsg(object: _53.CommitmentProofAminoMsg): _53.CommitmentProof;
        fromProtoMsg(message: _53.CommitmentProofProtoMsg): _53.CommitmentProof;
        toProto(message: _53.CommitmentProof): Uint8Array;
        toProtoMsg(message: _53.CommitmentProof): _53.CommitmentProofProtoMsg;
        registerTypeUrl(): void;
    };
    LeafOp: {
        typeUrl: string;
        is(o: any): o is _53.LeafOp;
        isSDK(o: any): o is _53.LeafOpSDKType;
        isAmino(o: any): o is _53.LeafOpAmino;
        encode(message: _53.LeafOp, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.LeafOp;
        fromJSON(object: any): _53.LeafOp;
        toJSON(message: _53.LeafOp): import("..").JsonSafe<_53.LeafOp>;
        fromPartial(object: import("../helpers").DeepPartial<_53.LeafOp>): _53.LeafOp;
        fromSDK(object: _53.LeafOpSDKType): _53.LeafOp;
        fromSDKJSON(object: any): _53.LeafOpSDKType;
        toSDK(message: _53.LeafOp): _53.LeafOpSDKType;
        fromAmino(object: _53.LeafOpAmino): _53.LeafOp;
        toAmino(message: _53.LeafOp): _53.LeafOpAmino;
        fromAminoMsg(object: _53.LeafOpAminoMsg): _53.LeafOp;
        fromProtoMsg(message: _53.LeafOpProtoMsg): _53.LeafOp;
        toProto(message: _53.LeafOp): Uint8Array;
        toProtoMsg(message: _53.LeafOp): _53.LeafOpProtoMsg;
        registerTypeUrl(): void;
    };
    InnerOp: {
        typeUrl: string;
        is(o: any): o is _53.InnerOp;
        isSDK(o: any): o is _53.InnerOpSDKType;
        isAmino(o: any): o is _53.InnerOpAmino;
        encode(message: _53.InnerOp, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.InnerOp;
        fromJSON(object: any): _53.InnerOp;
        toJSON(message: _53.InnerOp): import("..").JsonSafe<_53.InnerOp>;
        fromPartial(object: import("../helpers").DeepPartial<_53.InnerOp>): _53.InnerOp;
        fromSDK(object: _53.InnerOpSDKType): _53.InnerOp;
        fromSDKJSON(object: any): _53.InnerOpSDKType;
        toSDK(message: _53.InnerOp): _53.InnerOpSDKType;
        fromAmino(object: _53.InnerOpAmino): _53.InnerOp;
        toAmino(message: _53.InnerOp): _53.InnerOpAmino;
        fromAminoMsg(object: _53.InnerOpAminoMsg): _53.InnerOp;
        fromProtoMsg(message: _53.InnerOpProtoMsg): _53.InnerOp;
        toProto(message: _53.InnerOp): Uint8Array;
        toProtoMsg(message: _53.InnerOp): _53.InnerOpProtoMsg;
        registerTypeUrl(): void;
    };
    ProofSpec: {
        typeUrl: string;
        is(o: any): o is _53.ProofSpec;
        isSDK(o: any): o is _53.ProofSpecSDKType;
        isAmino(o: any): o is _53.ProofSpecAmino;
        encode(message: _53.ProofSpec, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.ProofSpec;
        fromJSON(object: any): _53.ProofSpec;
        toJSON(message: _53.ProofSpec): import("..").JsonSafe<_53.ProofSpec>;
        fromPartial(object: import("../helpers").DeepPartial<_53.ProofSpec>): _53.ProofSpec;
        fromSDK(object: _53.ProofSpecSDKType): _53.ProofSpec;
        fromSDKJSON(object: any): _53.ProofSpecSDKType;
        toSDK(message: _53.ProofSpec): _53.ProofSpecSDKType;
        fromAmino(object: _53.ProofSpecAmino): _53.ProofSpec;
        toAmino(message: _53.ProofSpec): _53.ProofSpecAmino;
        fromAminoMsg(object: _53.ProofSpecAminoMsg): _53.ProofSpec;
        fromProtoMsg(message: _53.ProofSpecProtoMsg): _53.ProofSpec;
        toProto(message: _53.ProofSpec): Uint8Array;
        toProtoMsg(message: _53.ProofSpec): _53.ProofSpecProtoMsg;
        registerTypeUrl(): void;
    };
    InnerSpec: {
        typeUrl: string;
        is(o: any): o is _53.InnerSpec;
        isSDK(o: any): o is _53.InnerSpecSDKType;
        isAmino(o: any): o is _53.InnerSpecAmino;
        encode(message: _53.InnerSpec, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.InnerSpec;
        fromJSON(object: any): _53.InnerSpec;
        toJSON(message: _53.InnerSpec): import("..").JsonSafe<_53.InnerSpec>;
        fromPartial(object: import("../helpers").DeepPartial<_53.InnerSpec>): _53.InnerSpec;
        fromSDK(object: _53.InnerSpecSDKType): _53.InnerSpec;
        fromSDKJSON(object: any): _53.InnerSpecSDKType;
        toSDK(message: _53.InnerSpec): _53.InnerSpecSDKType;
        fromAmino(object: _53.InnerSpecAmino): _53.InnerSpec;
        toAmino(message: _53.InnerSpec): _53.InnerSpecAmino;
        fromAminoMsg(object: _53.InnerSpecAminoMsg): _53.InnerSpec;
        fromProtoMsg(message: _53.InnerSpecProtoMsg): _53.InnerSpec;
        toProto(message: _53.InnerSpec): Uint8Array;
        toProtoMsg(message: _53.InnerSpec): _53.InnerSpecProtoMsg;
        registerTypeUrl(): void;
    };
    BatchProof: {
        typeUrl: string;
        is(o: any): o is _53.BatchProof;
        isSDK(o: any): o is _53.BatchProofSDKType;
        isAmino(o: any): o is _53.BatchProofAmino;
        encode(message: _53.BatchProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.BatchProof;
        fromJSON(object: any): _53.BatchProof;
        toJSON(message: _53.BatchProof): import("..").JsonSafe<_53.BatchProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.BatchProof>): _53.BatchProof;
        fromSDK(object: _53.BatchProofSDKType): _53.BatchProof;
        fromSDKJSON(object: any): _53.BatchProofSDKType;
        toSDK(message: _53.BatchProof): _53.BatchProofSDKType;
        fromAmino(object: _53.BatchProofAmino): _53.BatchProof;
        toAmino(message: _53.BatchProof): _53.BatchProofAmino;
        fromAminoMsg(object: _53.BatchProofAminoMsg): _53.BatchProof;
        fromProtoMsg(message: _53.BatchProofProtoMsg): _53.BatchProof;
        toProto(message: _53.BatchProof): Uint8Array;
        toProtoMsg(message: _53.BatchProof): _53.BatchProofProtoMsg;
        registerTypeUrl(): void;
    };
    BatchEntry: {
        typeUrl: string;
        is(o: any): o is _53.BatchEntry;
        isSDK(o: any): o is _53.BatchEntrySDKType;
        isAmino(o: any): o is _53.BatchEntryAmino;
        encode(message: _53.BatchEntry, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.BatchEntry;
        fromJSON(object: any): _53.BatchEntry;
        toJSON(message: _53.BatchEntry): import("..").JsonSafe<_53.BatchEntry>;
        fromPartial(object: import("../helpers").DeepPartial<_53.BatchEntry>): _53.BatchEntry;
        fromSDK(object: _53.BatchEntrySDKType): _53.BatchEntry;
        fromSDKJSON(object: any): _53.BatchEntrySDKType;
        toSDK(message: _53.BatchEntry): _53.BatchEntrySDKType;
        fromAmino(object: _53.BatchEntryAmino): _53.BatchEntry;
        toAmino(message: _53.BatchEntry): _53.BatchEntryAmino;
        fromAminoMsg(object: _53.BatchEntryAminoMsg): _53.BatchEntry;
        fromProtoMsg(message: _53.BatchEntryProtoMsg): _53.BatchEntry;
        toProto(message: _53.BatchEntry): Uint8Array;
        toProtoMsg(message: _53.BatchEntry): _53.BatchEntryProtoMsg;
        registerTypeUrl(): void;
    };
    CompressedBatchProof: {
        typeUrl: string;
        is(o: any): o is _53.CompressedBatchProof;
        isSDK(o: any): o is _53.CompressedBatchProofSDKType;
        isAmino(o: any): o is _53.CompressedBatchProofAmino;
        encode(message: _53.CompressedBatchProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.CompressedBatchProof;
        fromJSON(object: any): _53.CompressedBatchProof;
        toJSON(message: _53.CompressedBatchProof): import("..").JsonSafe<_53.CompressedBatchProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.CompressedBatchProof>): _53.CompressedBatchProof;
        fromSDK(object: _53.CompressedBatchProofSDKType): _53.CompressedBatchProof;
        fromSDKJSON(object: any): _53.CompressedBatchProofSDKType;
        toSDK(message: _53.CompressedBatchProof): _53.CompressedBatchProofSDKType;
        fromAmino(object: _53.CompressedBatchProofAmino): _53.CompressedBatchProof;
        toAmino(message: _53.CompressedBatchProof): _53.CompressedBatchProofAmino;
        fromAminoMsg(object: _53.CompressedBatchProofAminoMsg): _53.CompressedBatchProof;
        fromProtoMsg(message: _53.CompressedBatchProofProtoMsg): _53.CompressedBatchProof;
        toProto(message: _53.CompressedBatchProof): Uint8Array;
        toProtoMsg(message: _53.CompressedBatchProof): _53.CompressedBatchProofProtoMsg;
        registerTypeUrl(): void;
    };
    CompressedBatchEntry: {
        typeUrl: string;
        is(o: any): o is _53.CompressedBatchEntry;
        isSDK(o: any): o is _53.CompressedBatchEntrySDKType;
        isAmino(o: any): o is _53.CompressedBatchEntryAmino;
        encode(message: _53.CompressedBatchEntry, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.CompressedBatchEntry;
        fromJSON(object: any): _53.CompressedBatchEntry;
        toJSON(message: _53.CompressedBatchEntry): import("..").JsonSafe<_53.CompressedBatchEntry>;
        fromPartial(object: import("../helpers").DeepPartial<_53.CompressedBatchEntry>): _53.CompressedBatchEntry;
        fromSDK(object: _53.CompressedBatchEntrySDKType): _53.CompressedBatchEntry;
        fromSDKJSON(object: any): _53.CompressedBatchEntrySDKType;
        toSDK(message: _53.CompressedBatchEntry): _53.CompressedBatchEntrySDKType;
        fromAmino(object: _53.CompressedBatchEntryAmino): _53.CompressedBatchEntry;
        toAmino(message: _53.CompressedBatchEntry): _53.CompressedBatchEntryAmino;
        fromAminoMsg(object: _53.CompressedBatchEntryAminoMsg): _53.CompressedBatchEntry;
        fromProtoMsg(message: _53.CompressedBatchEntryProtoMsg): _53.CompressedBatchEntry;
        toProto(message: _53.CompressedBatchEntry): Uint8Array;
        toProtoMsg(message: _53.CompressedBatchEntry): _53.CompressedBatchEntryProtoMsg;
        registerTypeUrl(): void;
    };
    CompressedExistenceProof: {
        typeUrl: string;
        is(o: any): o is _53.CompressedExistenceProof;
        isSDK(o: any): o is _53.CompressedExistenceProofSDKType;
        isAmino(o: any): o is _53.CompressedExistenceProofAmino;
        encode(message: _53.CompressedExistenceProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.CompressedExistenceProof;
        fromJSON(object: any): _53.CompressedExistenceProof;
        toJSON(message: _53.CompressedExistenceProof): import("..").JsonSafe<_53.CompressedExistenceProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.CompressedExistenceProof>): _53.CompressedExistenceProof;
        fromSDK(object: _53.CompressedExistenceProofSDKType): _53.CompressedExistenceProof;
        fromSDKJSON(object: any): _53.CompressedExistenceProofSDKType;
        toSDK(message: _53.CompressedExistenceProof): _53.CompressedExistenceProofSDKType;
        fromAmino(object: _53.CompressedExistenceProofAmino): _53.CompressedExistenceProof;
        toAmino(message: _53.CompressedExistenceProof): _53.CompressedExistenceProofAmino;
        fromAminoMsg(object: _53.CompressedExistenceProofAminoMsg): _53.CompressedExistenceProof;
        fromProtoMsg(message: _53.CompressedExistenceProofProtoMsg): _53.CompressedExistenceProof;
        toProto(message: _53.CompressedExistenceProof): Uint8Array;
        toProtoMsg(message: _53.CompressedExistenceProof): _53.CompressedExistenceProofProtoMsg;
        registerTypeUrl(): void;
    };
    CompressedNonExistenceProof: {
        typeUrl: string;
        is(o: any): o is _53.CompressedNonExistenceProof;
        isSDK(o: any): o is _53.CompressedNonExistenceProofSDKType;
        isAmino(o: any): o is _53.CompressedNonExistenceProofAmino;
        encode(message: _53.CompressedNonExistenceProof, writer?: import("..").BinaryWriter): import("..").BinaryWriter;
        decode(input: import("..").BinaryReader | Uint8Array, length?: number): _53.CompressedNonExistenceProof;
        fromJSON(object: any): _53.CompressedNonExistenceProof;
        toJSON(message: _53.CompressedNonExistenceProof): import("..").JsonSafe<_53.CompressedNonExistenceProof>;
        fromPartial(object: import("../helpers").DeepPartial<_53.CompressedNonExistenceProof>): _53.CompressedNonExistenceProof;
        fromSDK(object: _53.CompressedNonExistenceProofSDKType): _53.CompressedNonExistenceProof;
        fromSDKJSON(object: any): _53.CompressedNonExistenceProofSDKType;
        toSDK(message: _53.CompressedNonExistenceProof): _53.CompressedNonExistenceProofSDKType;
        fromAmino(object: _53.CompressedNonExistenceProofAmino): _53.CompressedNonExistenceProof;
        toAmino(message: _53.CompressedNonExistenceProof): _53.CompressedNonExistenceProofAmino;
        fromAminoMsg(object: _53.CompressedNonExistenceProofAminoMsg): _53.CompressedNonExistenceProof;
        fromProtoMsg(message: _53.CompressedNonExistenceProofProtoMsg): _53.CompressedNonExistenceProof;
        toProto(message: _53.CompressedNonExistenceProof): Uint8Array;
        toProtoMsg(message: _53.CompressedNonExistenceProof): _53.CompressedNonExistenceProofProtoMsg;
        registerTypeUrl(): void;
    };
};
