export declare const createCustomLCDClient: ({ restEndpoint }: {
    restEndpoint: string;
}) => Promise<{
    cosmos: {
        bank: {
            v1beta1: import("../cosmos/bank/v1beta1/query.lcd").LCDQueryClient;
        };
        gov: {
            v1beta1: import("../cosmos/gov/v1beta1/query.lcd").LCDQueryClient;
        };
    };
    osmosis: {
        gamm: {
            v1beta1: import("./gamm/v1beta1/query.lcd").LCDQueryClient;
        };
    };
}>;
