import { RpcResolver } from "../../../helper-func-types";
import { QueryBalanceRequest, QueryBalanceResponse, QueryAllBalancesRequest, QueryAllBalancesResponse, QuerySpendableBalancesRequest, QuerySpendableBalancesResponse, QueryTotalSupplyRequest, QueryTotalSupplyResponse, QuerySupplyOfRequest, QuerySupplyOfResponse, QueryParamsRequest, QueryParamsResponse, QueryDenomMetadataRequest, QueryDenomMetadataResponse, QueryDenomsMetadataRequest, QueryDenomsMetadataResponse, QueryDenomOwnersRequest, QueryDenomOwnersResponse } from "./query";
export declare const createGetBalance: (clientResolver?: RpcResolver) => (request: QueryBalanceRequest) => Promise<QueryBalanceResponse>;
export declare const createGetAllBalances: (clientResolver?: RpcResolver) => (request: QueryAllBalancesRequest) => Promise<QueryAllBalancesResponse>;
export declare const createGetSpendableBalances: (clientResolver?: RpcResolver) => (request: QuerySpendableBalancesRequest) => Promise<QuerySpendableBalancesResponse>;
export declare const createGetTotalSupply: (clientResolver?: RpcResolver) => (request: QueryTotalSupplyRequest) => Promise<QueryTotalSupplyResponse>;
export declare const createGetSupplyOf: (clientResolver?: RpcResolver) => (request: QuerySupplyOfRequest) => Promise<QuerySupplyOfResponse>;
export declare const createGetParams: (clientResolver?: RpcResolver) => (request: QueryParamsRequest) => Promise<QueryParamsResponse>;
export declare const createGetDenomMetadata: (clientResolver?: RpcResolver) => (request: QueryDenomMetadataRequest) => Promise<QueryDenomMetadataResponse>;
export declare const createGetDenomsMetadata: (clientResolver?: RpcResolver) => (request: QueryDenomsMetadataRequest) => Promise<QueryDenomsMetadataResponse>;
export declare const createGetDenomOwners: (clientResolver?: RpcResolver) => (request: QueryDenomOwnersRequest) => Promise<QueryDenomOwnersResponse>;
