import { QueryBalanceRequest, QueryBalanceResponse, QueryAllBalancesRequest, QueryAllBalancesResponse, QuerySpendableBalancesRequest, QuerySpendableBalancesResponse, QueryTotalSupplyRequest, QueryTotalSupplyResponse, QuerySupplyOfRequest, QuerySupplyOfResponse, QueryParamsRequest, QueryParamsResponse, QueryDenomMetadataRequest, QueryDenomMetadataResponse, QueryDenomsMetadataRequest, QueryDenomsMetadataResponse, QueryDenomOwnersRequest, QueryDenomOwnersResponse } from "./query";
export declare const useGetBalance: <TData = QueryBalanceResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryBalanceRequest, QueryBalanceResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetAllBalances: <TData = QueryAllBalancesResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryAllBalancesRequest, QueryAllBalancesResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetSpendableBalances: <TData = QuerySpendableBalancesResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QuerySpendableBalancesRequest, QuerySpendableBalancesResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetTotalSupply: <TData = QueryTotalSupplyResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryTotalSupplyRequest, QueryTotalSupplyResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetSupplyOf: <TData = QuerySupplyOfResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QuerySupplyOfRequest, QuerySupplyOfResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetParams: <TData = QueryParamsResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryParamsRequest, QueryParamsResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetDenomMetadata: <TData = QueryDenomMetadataResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryDenomMetadataRequest, QueryDenomMetadataResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetDenomsMetadata: <TData = QueryDenomsMetadataResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryDenomsMetadataRequest, QueryDenomsMetadataResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
export declare const useGetDenomOwners: <TData = QueryDenomOwnersResponse>({ request, options, clientResolver, customizedQueryKey, }: import("../../../react-query").UseQueryParams<QueryDenomOwnersRequest, QueryDenomOwnersResponse, TData>) => import("@tanstack/react-query").UseQueryResult<TData, Error>;
