import { LCDClient } from "@cosmology/lcd";
import { ListAllInterfacesRequest, ListAllInterfacesResponseSDKType, ListImplementationsRequest, ListImplementationsResponseSDKType } from "./reflection";
export declare class LCDQueryClient {
    req: LCDClient;
    constructor({ requestClient }: {
        requestClient: LCDClient;
    });
    listAllInterfaces: (_params?: ListAllInterfacesRequest) => Promise<ListAllInterfacesResponseSDKType>;
    listImplementations: (params: ListImplementationsRequest) => Promise<ListImplementationsResponseSDKType>;
}
