import { TelescopeGeneratedType } from "../../../types";
import { Registry } from "@cosmjs/proto-signing";
import { MsgSubmitEvidence } from "./tx";
export declare const registry: ReadonlyArray<[string, TelescopeGeneratedType<any, any, any>]>;
export declare const load: (protoRegistry: Registry) => void;
export declare const MessageComposer: {
    encoded: {
        submitEvidence(value: MsgSubmitEvidence): {
            typeUrl: string;
            value: Uint8Array<ArrayBufferLike>;
        };
    };
    withTypeUrl: {
        submitEvidence(value: MsgSubmitEvidence): {
            typeUrl: string;
            value: MsgSubmitEvidence;
        };
    };
    toJSON: {
        submitEvidence(value: MsgSubmitEvidence): {
            typeUrl: string;
            value: {
                submitter: string;
                evidence?: {
                    $typeUrl?: "/google.protobuf.Any" | string;
                    typeUrl: string;
                    value: string;
                };
            };
        };
    };
    fromJSON: {
        submitEvidence(value: any): {
            typeUrl: string;
            value: MsgSubmitEvidence;
        };
    };
    fromPartial: {
        submitEvidence(value: MsgSubmitEvidence): {
            typeUrl: string;
            value: MsgSubmitEvidence;
        };
    };
};
