import { setPaginationParams } from "../../../helpers";
import { QueryCertificatesResponse } from "./query";
export class LCDQueryClient {
    req;
    constructor({ requestClient }) {
        this.req = requestClient;
    }
    /* Certificates queries certificates */
    certificates = async (params) => {
        const options = {
            params: {}
        };
        if (typeof params?.filter !== "undefined") {
            options.params.filter = params.filter;
        }
        if (typeof params?.pagination !== "undefined") {
            setPaginationParams(options, params.pagination);
        }
        const endpoint = `akash/cert/v1beta2/certificates/list`;
        return QueryCertificatesResponse.fromSDKJSON(await this.req.get(endpoint, options));
    };
}
