import { MsgVerifyInvariant } from "./tx";
export class MsgClientImpl {
    rpc;
    constructor(rpc) {
        this.rpc = rpc;
    }
    /* VerifyInvariant defines a method to verify a particular invariance. */
    verifyInvariant = async (signerAddress, message, fee = "auto", memo = "") => {
        const data = [{
                typeUrl: MsgVerifyInvariant.typeUrl,
                value: message
            }];
        return this.rpc.signAndBroadcast(signerAddress, data, fee, memo);
    };
}
export const createClientImpl = (rpc) => {
    return new MsgClientImpl(rpc);
};
