import { buildUseMutation } from "../../../react-query";
import { createSubmitProposal, buildHelperVote, constructLetsVoteWeighted, createToDeposit } from "./tx.rpc.func";
export const useSubmitProposal = buildUseMutation({
    builderMutationFn: createSubmitProposal
});
export const useHelperVote = buildUseMutation({
    builderMutationFn: buildHelperVote
});
export const useTxLetsVoteWeighted = buildUseMutation({
    builderMutationFn: constructLetsVoteWeighted
});
export const useToDeposit = buildUseMutation({
    builderMutationFn: createToDeposit
});
