import { MsgCreateDenom, MsgMint, MsgBurn, MsgChangeAdmin, MsgSetDenomMetadata } from "./tx";
export const AminoConverter = {
    "/osmosis.tokenfactory.v1beta1.MsgCreateDenom": {
        aminoType: "osmosis/tokenfactory/create-denom",
        toAmino: MsgCreateDenom.toAmino,
        fromAmino: MsgCreateDenom.fromAmino
    },
    "/osmosis.tokenfactory.v1beta1.MsgMint": {
        aminoType: "osmosis/tokenfactory/mint",
        toAmino: MsgMint.toAmino,
        fromAmino: MsgMint.fromAmino
    },
    "/osmosis.tokenfactory.v1beta1.MsgBurn": {
        aminoType: "osmosis/tokenfactory/burn",
        toAmino: MsgBurn.toAmino,
        fromAmino: MsgBurn.fromAmino
    },
    "/osmosis.tokenfactory.v1beta1.MsgChangeAdmin": {
        aminoType: "osmosis/tokenfactory/change-admin",
        toAmino: MsgChangeAdmin.toAmino,
        fromAmino: MsgChangeAdmin.fromAmino
    },
    "/osmosis.tokenfactory.v1beta1.MsgSetDenomMetadata": {
        aminoType: "osmosis/tokenfactory/set-denom-metadata",
        toAmino: MsgSetDenomMetadata.toAmino,
        fromAmino: MsgSetDenomMetadata.fromAmino
    }
};
