export declare const createEvmosLCDClient: ({ restEndpoint }: {
    restEndpoint: string;
}) => Promise<{
    cosmos: {
        bank: {
            v1beta1: import("../cosmos/bank/v1beta1/query.lcd").LCDQueryClient;
        };
        gov: {
            v1beta1: import("../cosmos/gov/v1beta1/query.lcd").LCDQueryClient;
        };
    };
    evmos: {
        erc20: {
            v1: import("./erc20/v1/query.lcd").LCDQueryClient;
        };
    };
}>;
