import { LCDClient } from "@cosmology/lcd";
import { QueryDevFeeInfosRequest, QueryDevFeeInfosResponseSDKType, QueryDevFeeInfoRequest, QueryDevFeeInfoResponseSDKType, QueryParamsRequest, QueryParamsResponseSDKType, QueryDevFeeInfosPerDeployerRequest, QueryDevFeeInfosPerDeployerResponseSDKType } from "./query";
export declare class LCDQueryClient {
    req: LCDClient;
    constructor({ requestClient }: {
        requestClient: LCDClient;
    });
    devFeeInfos: (params?: QueryDevFeeInfosRequest) => Promise<QueryDevFeeInfosResponseSDKType>;
    devFeeInfo: (params: QueryDevFeeInfoRequest) => Promise<QueryDevFeeInfoResponseSDKType>;
    params: (_params?: QueryParamsRequest) => Promise<QueryParamsResponseSDKType>;
    devFeeInfosPerDeployer: (params: QueryDevFeeInfosPerDeployerRequest) => Promise<QueryDevFeeInfosPerDeployerResponseSDKType>;
}
