import { QueryBalancesResponse } from "./query";
export class LCDQueryClient {
    req;
    constructor({ requestClient }) {
        this.req = requestClient;
    }
    /* Retrieves the unvested, vested and locked tokens for a vesting account */
    balances = async (params) => {
        const endpoint = `evmos/vesting/v1/balances/${params.address}`;
        return QueryBalancesResponse.fromSDKJSON(await this.req.get(endpoint));
    };
}
