import * as _230 from "./applications/transfer/v1/genesis";
import * as _231 from "./applications/transfer/v1/query";
import * as _232 from "./applications/transfer/v1/transfer";
import * as _233 from "./applications/transfer/v1/tx";
import * as _234 from "./applications/transfer/v2/packet";
import * as _235 from "./core/channel/v1/channel";
import * as _236 from "./core/channel/v1/genesis";
import * as _237 from "./core/channel/v1/query";
import * as _238 from "./core/channel/v1/tx";
import * as _239 from "./core/client/v1/client";
import * as _240 from "./core/client/v1/genesis";
import * as _241 from "./core/client/v1/query";
import * as _242 from "./core/client/v1/tx";
import * as _243 from "./core/commitment/v1/commitment";
import * as _244 from "./core/connection/v1/connection";
import * as _245 from "./core/connection/v1/genesis";
import * as _246 from "./core/connection/v1/query";
import * as _247 from "./core/connection/v1/tx";
import * as _248 from "./core/port/v1/query";
import * as _249 from "./core/types/v1/genesis";
import * as _250 from "./lightclients/localhost/v1/localhost";
import * as _251 from "./lightclients/solomachine/v1/solomachine";
import * as _252 from "./lightclients/solomachine/v2/solomachine";
import * as _253 from "./lightclients/tendermint/v1/tendermint";
import * as _469 from "./applications/transfer/v1/tx.amino";
import * as _470 from "./core/channel/v1/tx.amino";
import * as _471 from "./core/client/v1/tx.amino";
import * as _472 from "./core/connection/v1/tx.amino";
import * as _473 from "./applications/transfer/v1/tx.registry";
import * as _474 from "./core/channel/v1/tx.registry";
import * as _475 from "./core/client/v1/tx.registry";
import * as _476 from "./core/connection/v1/tx.registry";
import * as _477 from "./applications/transfer/v1/query.lcd";
import * as _478 from "./core/channel/v1/query.lcd";
import * as _479 from "./core/client/v1/query.lcd";
import * as _480 from "./core/connection/v1/query.lcd";
import * as _481 from "./applications/transfer/v1/query.rpc.Query";
import * as _482 from "./core/channel/v1/query.rpc.Query";
import * as _483 from "./core/client/v1/query.rpc.Query";
import * as _484 from "./core/connection/v1/query.rpc.Query";
import * as _485 from "./core/port/v1/query.rpc.Query";
import * as _486 from "./applications/transfer/v1/tx.rpc.msg";
import * as _487 from "./core/channel/v1/tx.rpc.msg";
import * as _488 from "./core/client/v1/tx.rpc.msg";
import * as _489 from "./core/connection/v1/tx.rpc.msg";
import * as _555 from "./lcd";
import * as _556 from "./rpc.query";
import * as _557 from "./rpc.tx";
export var ibc;
(function (ibc) {
    let applications;
    (function (applications) {
        let transfer;
        (function (transfer) {
            transfer.v1 = {
                ..._230,
                ..._231,
                ..._232,
                ..._233,
                ..._469,
                ..._473,
                ..._477,
                ..._481,
                ..._486
            };
            transfer.v2 = {
                ..._234
            };
        })(transfer = applications.transfer || (applications.transfer = {}));
    })(applications = ibc.applications || (ibc.applications = {}));
    let core;
    (function (core) {
        let channel;
        (function (channel) {
            channel.v1 = {
                ..._235,
                ..._236,
                ..._237,
                ..._238,
                ..._470,
                ..._474,
                ..._478,
                ..._482,
                ..._487
            };
        })(channel = core.channel || (core.channel = {}));
        let client;
        (function (client) {
            client.v1 = {
                ..._239,
                ..._240,
                ..._241,
                ..._242,
                ..._471,
                ..._475,
                ..._479,
                ..._483,
                ..._488
            };
        })(client = core.client || (core.client = {}));
        let commitment;
        (function (commitment) {
            commitment.v1 = {
                ..._243
            };
        })(commitment = core.commitment || (core.commitment = {}));
        let connection;
        (function (connection) {
            connection.v1 = {
                ..._244,
                ..._245,
                ..._246,
                ..._247,
                ..._472,
                ..._476,
                ..._480,
                ..._484,
                ..._489
            };
        })(connection = core.connection || (core.connection = {}));
        let port;
        (function (port) {
            port.v1 = {
                ..._248,
                ..._485
            };
        })(port = core.port || (core.port = {}));
        let types;
        (function (types) {
            types.v1 = {
                ..._249
            };
        })(types = core.types || (core.types = {}));
    })(core = ibc.core || (ibc.core = {}));
    let lightclients;
    (function (lightclients) {
        let localhost;
        (function (localhost) {
            localhost.v1 = {
                ..._250
            };
        })(localhost = lightclients.localhost || (lightclients.localhost = {}));
        let solomachine;
        (function (solomachine) {
            solomachine.v1 = {
                ..._251
            };
            solomachine.v2 = {
                ..._252
            };
        })(solomachine = lightclients.solomachine || (lightclients.solomachine = {}));
        let tendermint;
        (function (tendermint) {
            tendermint.v1 = {
                ..._253
            };
        })(tendermint = lightclients.tendermint || (lightclients.tendermint = {}));
    })(lightclients = ibc.lightclients || (ibc.lightclients = {}));
    ibc.ClientFactory = {
        ..._555,
        ..._556,
        ..._557
    };
})(ibc || (ibc = {}));
