import { QueryEpochsInfoResponse, QueryCurrentEpochResponse } from "./query";
export class LCDQueryClient {
    req;
    constructor({ requestClient }) {
        this.req = requestClient;
    }
    /* EpochInfos provide running epochInfos */
    epochInfos = async (_params = {}) => {
        const endpoint = `osmosis/epochs/v1beta1/epochs`;
        return QueryEpochsInfoResponse.fromSDKJSON(await this.req.get(endpoint));
    };
    /* CurrentEpoch provide current epoch of specified identifier */
    currentEpoch = async (params) => {
        const options = {
            params: {}
        };
        if (typeof params?.identifier !== "undefined") {
            options.params.identifier = params.identifier;
        }
        const endpoint = `osmosis/epochs/v1beta1/current_epoch`;
        return QueryCurrentEpochResponse.fromSDKJSON(await this.req.get(endpoint, options));
    };
}
