import { QueryParamsResponse, QueryEpochProvisionsResponse } from "./query";
export class LCDQueryClient {
    req;
    constructor({ requestClient }) {
        this.req = requestClient;
    }
    /* Params returns the total set of minting parameters. */
    params = async (_params = {}) => {
        const endpoint = `osmosis/mint/v1beta1/params`;
        return QueryParamsResponse.fromSDKJSON(await this.req.get(endpoint));
    };
    /* EpochProvisions returns the current minting epoch provisions value. */
    epochProvisions = async (_params = {}) => {
        const endpoint = `osmosis/mint/v1beta1/epoch_provisions`;
        return QueryEpochProvisionsResponse.fromSDKJSON(await this.req.get(endpoint));
    };
}
