import { TxRpc } from "./types";
import * as _OsmosisClaimV1beta1Queryrpc from "./osmosis/claim/v1beta1/query.rpc.Query";
import * as _CosmosAuthV1beta1Queryrpc from "./cosmos/auth/v1beta1/query.rpc.Query";
import * as _CosmosGovV1beta1Queryrpc from "./cosmos/gov/v1beta1/query.rpc.Query";
import * as _CosmosGovV1beta1Txrpc from "./cosmos/gov/v1beta1/tx.rpc.msg";
export interface OsmosisClaim extends _OsmosisClaimV1beta1Queryrpc.OsmosisClaim {
}
export declare class OsmosisClaim {
    rpc: TxRpc;
    init(rpc: TxRpc): void;
}
export interface CosmosAuthQueryAccount extends _CosmosAuthV1beta1Queryrpc.CosmosAuthQueryAccount, _CosmosGovV1beta1Queryrpc.CosmosAuthQueryAccount {
}
export declare class CosmosAuthQueryAccount {
    rpc: TxRpc;
    init(rpc: TxRpc): void;
}
export interface CosmosAuthTxAccount extends _CosmosGovV1beta1Txrpc.CosmosAuthTxAccount {
}
export declare class CosmosAuthTxAccount {
    rpc: TxRpc;
    init(rpc: TxRpc): void;
}
